# Generated by Makefile. Do not edit.

commit dfaeedb9e7f4a7bdbac89ddc27ef862a51c1d91a
Author: Alberts Muktupāvels <alberts.muktupavels@gmail.com>
Date:   Mon Nov 24 06:50:54 2014 +0200

    bump version to 3.15.2, update NEWS

M	NEWS
M	configure.ac

commit 4c85d040861d3232a6f05729c00464861bd4cf0b
Author: Alberts Muktupāvels <alberts.muktupavels@gmail.com>
Date:   Mon Nov 24 05:34:25 2014 +0200

    configure: bump required GTK+ version

M	configure.ac

commit 4367578c2c49a5c892f59a70d1a627e1931df871
Author: Alberts Muktupāvels <alberts.muktupavels@gmail.com>
Date:   Mon Nov 24 05:30:03 2014 +0200

    notification-area: don't use deprecated GtkAlignment

M	applets/notification_area/na-tray.c

commit d1dd54ec8ef57c95c7b763a5375cdfc7b42ad232
Author: Alberts Muktupāvels <alberts.muktupavels@gmail.com>
Date:   Mon Nov 24 05:28:15 2014 +0200

    notification-area: don't use deprecated GdkColor

M	applets/notification_area/main.c
M	applets/notification_area/na-tray-manager.c
M	applets/notification_area/na-tray-manager.h
M	applets/notification_area/na-tray.c
M	applets/notification_area/na-tray.h

commit 144f249402f8b18430ddbc2e6b51d329fab18d48
Author: Alberts Muktupāvels <alberts.muktupavels@gmail.com>
Date:   Fri Nov 21 05:20:24 2014 +0200

    update background when PanelAppletFrame size changes
    
    When PanelAppletFrame changes size update applets background. This
    is possible fix for bug:
    https://bugzilla.gnome.org/show_bug.cgi?id=500999

M	gnome-panel/panel-applet-frame.c

commit 3a9de518a45326c1926f8f736e08e5fc4c3faec9
Author: Alberts Muktupāvels <alberts.muktupavels@gmail.com>
Date:   Fri Nov 21 04:46:11 2014 +0200

    applets: don't set background widgets
    
    There is no need to set background widget for in process applets.

M	applets/clock/clock.c
M	applets/fish/fish.c
M	applets/notification_area/main.c
M	applets/wncklet/showdesktop.c
M	applets/wncklet/window-list.c
M	applets/wncklet/window-menu.c
M	applets/wncklet/workspace-switcher.c

commit 098df5e7bc0b0778e51b3b0410c0587eec62f952
Author: Alberts Muktupāvels <alberts.muktupavels@gmail.com>
Date:   Fri Nov 21 04:18:36 2014 +0200

    panel.c: don't crash clicking on panel handle
    
    Documentation says that gtk_get_current_event can return NULL.
    Also returned value must be freed.
    
    https://developer.gnome.org/gtk3/stable/gtk3-General.html#gtk-get-current-event

M	gnome-panel/panel.c

commit f69f945f3a92430682ca3f3b15acf1622092e43a
Author: Alberts Muktupāvels <alberts.muktupavels@gmail.com>
Date:   Fri Nov 21 04:00:13 2014 +0200

    gnome-panel.css: remove box-shadow from menu bar

M	gnome-panel/gnome-panel.css

commit 696f8490fbb7a9b4e49e806701f9f961a85c1332
Author: Alberts Muktupāvels <alberts.muktupavels@gmail.com>
Date:   Fri Nov 21 02:17:26 2014 +0200

    libpanel-applet: don't set background on invalid window

M	libpanel-applet/panel-applet.c

commit 9c0bbbe58ddce072d944c80cecb9a27a58c841c2
Author: Alberts Muktupāvels <alberts.muktupavels@gmail.com>
Date:   Fri Nov 21 02:11:11 2014 +0200

    libpanel-applet: don't scale background

M	libpanel-applet/panel-applet.c

commit 9920c5f55eeeccbbaaf98c1a6024fb8d3bad6075
Author: Alberts Muktupāvels <alberts.muktupavels@gmail.com>
Date:   Thu Nov 20 22:56:44 2014 +0200

    panel-properties-dialog.ui: fix deprecations

M	gnome-panel/panel-properties-dialog.ui

commit 3cb7bcd714a79b3607850314aca343b85a4e338d
Author: Alberts Muktupāvels <alberts.muktupavels@gmail.com>
Date:   Thu Nov 20 22:47:43 2014 +0200

    panel-frame: don't use deprecated ...get_background_color

M	gnome-panel/panel-frame.c

commit 9072307fe4c839ceda531b26942cfc8f34dafc0a
Author: Alberts Muktupāvels <alberts.muktupavels@gmail.com>
Date:   Thu Nov 20 22:33:05 2014 +0200

    don't use deprecated gtk_cursor_new
    
    https://git.gnome.org/browse/gtk+/commit/gdk?id=eedff394136013f31f9391e3c9d5b1ec5abc2c6f

M	gnome-panel/menu.c
M	gnome-panel/panel-force-quit.c
M	gnome-panel/panel-toplevel.c
M	gnome-panel/panel-util.c
M	gnome-panel/panel-widget.c

commit 539ecc45b7555ed225a55a178fe2a797ff776ee3
Author: Alberts Muktupāvels <alberts.muktupavels@gmail.com>
Date:   Thu Nov 20 22:21:41 2014 +0200

    panel-widget: don't use deprecated ...get_background_color

M	gnome-panel/panel-widget.c

commit 692f233cba984b054895c598cfc2b9f355bd0699
Author: Alberts Muktupāvels <alberts.muktupavels@gmail.com>
Date:   Thu Nov 20 21:46:02 2014 +0200

    simplify background handling
    
    All this code is not needed and has not worked like it should.
    
    GTK+ 3.16 will deprecate some functions used by this code. Setting
    background-image with gtk_style_properties_set was not implemented.
    See bug: https://bugzilla.gnome.org/show_bug.cgi?id=710184
    
    This restores ability to have transparent panels. Tested with both
    in process and out of process applets, with compositing manager and
    without it.
    
    If some applets are not transparent that most likely is theme
    problem.

M	gnome-panel/panel-applet-frame.c
M	gnome-panel/panel-applet-frame.h
M	gnome-panel/panel-background.c
M	gnome-panel/panel-background.h
M	gnome-panel/panel-menu-bar-object.c
M	gnome-panel/panel-menu-bar-object.h
M	gnome-panel/panel-separator.c
M	gnome-panel/panel-separator.h
M	gnome-panel/panel.c
M	libpanel-applet/panel-applet.c

commit 4faa73f48d303aebcaac2ecdc29360d446ae0ce2
Author: Alberts Muktupāvels <alberts.muktupavels@gmail.com>
Date:   Thu Nov 20 20:51:10 2014 +0200

    notification-area: don't use deprecated GtkMisc

M	applets/notification_area/fixedtip.c
M	applets/notification_area/testtray.c

commit 704cefbd81204855436795c4c91223e107967365
Author: Alberts Muktupāvels <alberts.muktupavels@gmail.com>
Date:   Thu Nov 20 20:50:40 2014 +0200

    fish: don't use deprecated GtkMisc

M	applets/fish/fish.c

commit aa64fe1fc7974063433584625a427e984c14be13
Author: Alberts Muktupāvels <alberts.muktupavels@gmail.com>
Date:   Thu Nov 20 20:35:34 2014 +0200

    panel-ditem-editor: don't use deprecated GtkMisc

M	gnome-panel/panel-ditem-editor.c

commit ce046937f8a67e530fb34ec8807c81ad5964e702
Author: Alberts Muktupāvels <alberts.muktupavels@gmail.com>
Date:   Thu Nov 20 20:35:05 2014 +0200

    panel-addto: don't use deprecated GtkMisc

M	gnome-panel/panel-addto.c

commit 8b85530a4d40c72476b5526021beee40ab525b99
Author: Alberts Muktupāvels <alberts.muktupavels@gmail.com>
Date:   Thu Nov 20 20:34:27 2014 +0200

    panel-force-quit: don't use deprecated GtkMisc

M	gnome-panel/panel-force-quit.c

commit a3e74b3ab073c7517089cbbd75b99599969f18c6
Author: Alberts Muktupāvels <alberts.muktupavels@gmail.com>
Date:   Thu Nov 20 20:33:45 2014 +0200

    PanelMenuBarObject: don't use deprecated GtkMisc

M	gnome-panel/panel-menu-bar-object.c

commit f2873e7c4937d9a6ad087f394948711017791a65
Author: Tom Tryfonidis <tomtryf@gmail.com>
Date:   Mon Nov 17 10:12:22 2014 +0000

    Updated Greek translation

M	po/el.po

commit 5cab323c40888ecc000366042d89c113f1787a22
Author: Tiago S <almosthumane@portugalmail.pt>
Date:   Sat Nov 15 17:24:19 2014 +0000

    Updated Portuguese translation

M	po/pt.po

commit 3c8387188a699c797bef08c8a24ad2f988cd994c
Author: Alberts Muktupāvels <alberts.muktupavels@gmail.com>
Date:   Fri Nov 14 19:00:34 2014 +0200

    clock: fix crash
    
    https://bugzilla.gnome.org/show_bug.cgi?id=737575

M	applets/clock/clock.c

commit 6ca0e5dee4142d7995827b28ff674006ee3f8dd4
Author: Alberts Muktupāvels <alberts.muktupavels@gmail.com>
Date:   Fri Nov 14 00:34:07 2014 +0200

    clock: remove workaround...
    
    ... and bump libgweather required version to 3.10.1

M	applets/clock/clock.c
M	configure.ac

commit 4793588637281a5400be016237d9d7ccf0a9a9d2
Author: Sweta Kothari <swkothar@redhat.com>
Date:   Wed Nov 12 11:56:49 2014 +0530

    Updated gujarati translations

M	po/gu.po

commit bb336419e8259a289a379edc5f33eade3a5db350
Author: Alberts Muktupāvels <alberts.muktupavels@gmail.com>
Date:   Fri Nov 7 04:17:59 2014 +0200

    update POTFILES.in

M	po/POTFILES.in

commit 444c21fbfcc99069773ea71fb7109ccd412b3109
Author: Alberts Muktupāvels <alberts.muktupavels@gmail.com>
Date:   Fri Nov 7 04:11:22 2014 +0200

    clock: don't use deprecated GtkButton:xalign

M	applets/clock/clock.ui

commit ae558465071eb9d0d355f77380e064b47b5f6d82
Author: Alberts Muktupāvels <alberts.muktupavels@gmail.com>
Date:   Sun Oct 12 21:11:20 2014 +0300

    remove libegg

M	configure.ac
M	gnome-panel/Makefile.am
D	gnome-panel/libegg/Makefile.am
D	gnome-panel/libegg/eggdesktopfile.c
D	gnome-panel/libegg/eggdesktopfile.h
D	gnome-panel/libegg/eggsmclient-private.h
D	gnome-panel/libegg/eggsmclient-xsmp.c
D	gnome-panel/libegg/eggsmclient.c
D	gnome-panel/libegg/eggsmclient.h
M	po/POTFILES.in

commit 5445c133c4036d96169caa3094b39c8e4d6aa315
Author: Alberts Muktupāvels <alberts.muktupavels@gmail.com>
Date:   Fri Nov 7 04:01:44 2014 +0200

    remove last use of libegg

M	gnome-panel/main.c

commit 073baaf19a120d1cc67362833bb5c73c6c9daecf
Author: Alberts Muktupāvels <alberts.muktupavels@gmail.com>
Date:   Fri Nov 7 03:56:38 2014 +0200

    handle SIGTERM and SIGINT

M	gnome-panel/main.c

commit 8d9956d04b42f1d5ab5b9ec76f4a48beb69c6aa5
Author: Alberts Muktupāvels <alberts.muktupavels@gmail.com>
Date:   Fri Nov 7 03:40:56 2014 +0200

    use dbus to register with session manager
    
    autorestart in desktop file is set to false. It is needed to
    correctly handle --replace. It will be autorestarted in case of
    crash.

M	gnome-panel/Makefile.am
M	gnome-panel/gnome-panel.desktop.in.in
M	gnome-panel/main.c
M	gnome-panel/panel-session.c
M	gnome-panel/panel-session.h
D	gnome-panel/panel-shell.c
D	gnome-panel/panel-shell.h

commit 50e5e053a64090d1fe8bb374965ebaaf46d6a9fc
Author: Alberts Muktupāvels <alberts.muktupavels@gmail.com>
Date:   Thu Nov 6 23:51:42 2014 +0200

    doc: add out-of-process

M	doc/reference/panel-applet/tmpl/applet.sgml

commit 127aac5c472425d9983f19fb568c633a88b6e667
Author: Alberts Muktupāvels <alberts.muktupavels@gmail.com>
Date:   Thu Nov 6 23:18:33 2014 +0200

    build our applets as in process applets
    
    1. If applets are build as out of process applets then they are
    ignoring styling added in gnome-panel/gnome-panel.css.
    
    2. Transparent panels will work better with in process applets.
    
    3. Debian and Ubuntu does this by default.

M	applets/clock/Makefile.am
M	applets/clock/clock.c
M	applets/clock/org.gnome.panel.ClockApplet.panel-applet.in.in
D	applets/clock/org.gnome.panel.applet.ClockAppletFactory.service.in
M	applets/fish/Makefile.am
M	applets/fish/fish.c
M	applets/fish/org.gnome.panel.FishApplet.panel-applet.in.in
D	applets/fish/org.gnome.panel.applet.FishAppletFactory.service.in
M	applets/notification_area/Makefile.am
M	applets/notification_area/main.c
M	applets/notification_area/org.gnome.panel.NotificationAreaApplet.panel-applet.in.in
D	applets/notification_area/org.gnome.panel.applet.NotificationAreaAppletFactory.service.in
M	applets/wncklet/Makefile.am
M	applets/wncklet/org.gnome.panel.Wncklet.panel-applet.in.in
D	applets/wncklet/org.gnome.panel.applet.WnckletFactory.service.in
M	applets/wncklet/wncklet.c
M	configure.ac

commit 426146f802e3e9c949b5240b4732ca41ad6e551c
Author: Alberts Muktupāvels <alberts.muktupavels@gmail.com>
Date:   Thu Nov 6 22:52:35 2014 +0200

    theme: remove background color from menu bars
    
    Setting background color for menu bars is not needed. Also it
    breaks transparent panels.

M	gnome-panel/gnome-panel.css

commit df4ec78272624660e1e01b7382dac3e1f83cfc4a
Author: Alberts Muktupāvels <alberts.muktupavels@gmail.com>
Date:   Thu Nov 6 22:37:00 2014 +0200

    don't use GtkPlug/GtkSocket for in process applets
    
    1. This will allow panel to exit/stop without crashing when using
    in process applets. It was crashing because of following assert:
    g_assert (widget->priv->verifying_invariants_count > 0);
    
    2. In process applet will not have extra background. Transparency
    should now work as expected. This is still problem with out of
    process applets.

M	gnome-panel/libpanel-applet-private/panel-applet-container.c
M	libpanel-applet/panel-applet.c

commit 408bab094d1fad471b342548dabc58410a3dc327
Author: Alberts Muktupāvels <alberts.muktupavels@gmail.com>
Date:   Thu Nov 6 20:25:29 2014 +0200

    make it possible to get applet widget
    
    We will use this to get applet widget from factory. This will
    allow to bypass GtkPlug/GtkSocket.

M	gnome-panel/libpanel-applet-private/panel-applets-manager-dbus.c
M	gnome-panel/panel-applets-manager.c
M	gnome-panel/panel-applets-manager.h
M	libpanel-applet/panel-applet-private.h
M	libpanel-applet/panel-applet.c

commit 8ef73bdebecf522b229d5da953eaf05c5329b890
Author: Alberts Muktupāvels <alberts.muktupavels@gmail.com>
Date:   Thu Nov 6 20:11:02 2014 +0200

    libpanel-applet: reformat panel-applet-private.h

M	libpanel-applet/panel-applet-private.h

commit 8e1f7ea9f13533ce448cbc485d766fed01029be5
Author: Alberts Muktupāvels <alberts.muktupavels@gmail.com>
Date:   Thu Nov 6 19:54:36 2014 +0200

    libpanel-applet: add panel_applet_factory_get_applet_widget
    
    This function will be used to get applet widget from factory.

M	libpanel-applet/panel-applet-factory.c
M	libpanel-applet/panel-applet-factory.h

commit 83811fe3c74142df7ba993fcf245d8900490ce06
Author: Alberts Muktupāvels <alberts.muktupavels@gmail.com>
Date:   Thu Nov 6 19:49:52 2014 +0200

    libpanel-applet: reformat panel-applet-factory.h

M	libpanel-applet/panel-applet-factory.h

commit 12dd7cacaab112ec0d2f8f53205feaa84e3c67b8
Author: Alberts Muktupāvels <alberts.muktupavels@gmail.com>
Date:   Thu Nov 6 19:44:36 2014 +0200

    libpanel-applet: return process type and applet uid
    
    Return applet process type and generated uid from factory. Process
    type will be needed to know if we should create GtkSocket, but uid
    will be used to get applet widget.

M	gnome-panel/libpanel-applet-private/panel-applet-container.c
M	libpanel-applet/panel-applet-factory.c

commit 3fe6791d32a415a333bcb7d71d98a6de9929fa27
Author: Alberts Muktupāvels <alberts.muktupavels@gmail.com>
Date:   Thu Nov 6 19:37:26 2014 +0200

    libpanel-applet: store applets in hash table

M	libpanel-applet/panel-applet-factory.c

commit dca3101714da67adc08fc986a6355afada4bde15
Author: Alberts Muktupāvels <alberts.muktupavels@gmail.com>
Date:   Thu Nov 6 19:24:40 2014 +0200

    libpanel-applet: store factories in hash table

M	libpanel-applet/panel-applet-factory.c

commit 3ed0b1b87ecad205bdaed0ca52e8866bc0666863
Author: Alberts Muktupāvels <alberts.muktupavels@gmail.com>
Date:   Thu Nov 6 18:44:38 2014 +0200

    libpanel-applet: delay GtkPlug creation
    
    We are going to create GtkPlug only for out of process applets and
    constructor is first place where we will know applet process type.

M	libpanel-applet/panel-applet.c

commit 330ce53f4abe5420e144497e7ccabcac8ccb5379
Author: Alberts Muktupāvels <alberts.muktupavels@gmail.com>
Date:   Thu Nov 6 18:40:59 2014 +0200

    libpanel-applet: use g_define_type_with_private

M	libpanel-applet/panel-applet.c

commit dafdc5714a6cfc7ebf26fcbd614b48cfc790b954
Author: Alberts Muktupāvels <alberts.muktupavels@gmail.com>
Date:   Thu Nov 6 18:35:42 2014 +0200

    libpanel-applet: add process type to private data
    
    We will need to know this as soon we will create GtkPlug and
    GtkSocket only for out of process applets.

M	libpanel-applet/panel-applet-factory.c
M	libpanel-applet/panel-applet-factory.h
M	libpanel-applet/panel-applet.c

commit c04da8c76ee6f16af44faca2b247df71e98b0a4b
Author: Alberts Muktupāvels <alberts.muktupavels@gmail.com>
Date:   Thu Nov 6 18:28:27 2014 +0200

    libpanel-applet: add panel-applet-private.h...
    
    ... and move private functions from factory to this file. Later
    we will have at least one more private function.

M	libpanel-applet/Makefile.am
M	libpanel-applet/panel-applet-factory.c
M	libpanel-applet/panel-applet-factory.h
A	libpanel-applet/panel-applet-private.h
M	libpanel-applet/panel-applet.c

commit ccfa0f7174aa727ba3c574bd13d7bb66138dc9c0
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Wed Nov 5 14:26:00 2014 +0100

    Updated Polish translation

M	po/pl.po

commit 74c2086cbe8872eb3d6f7bc40de506796ade70f1
Author: Alberts Muktupāvels <alberts.muktupavels@gmail.com>
Date:   Tue Nov 4 14:54:12 2014 +0200

    menu: don't use deprecated GtkMisc

M	gnome-panel/menu.c

commit 5209462c4b47706a1b9317d1eca81235a2b5d8a1
Author: Alberts Muktupāvels <alberts.muktupavels@gmail.com>
Date:   Tue Nov 4 14:50:06 2014 +0200

    menu: load main-menu from correct .menu file

M	gnome-panel/menu.c

commit 9e493bac7bf2f3659481f676d1b551fd0d9c724e
Author: Alberts Muktupāvels <alberts.muktupavels@gmail.com>
Date:   Tue Nov 4 02:07:42 2014 +0200

    clock: fix evolution opening from applet

M	applets/clock/calendar-window.c

commit cc99dca11f8c0c86590bfecd017a953208d6f837
Author: Alberts Muktupāvels <alberts.muktupavels@gmail.com>
Date:   Mon Nov 3 23:57:44 2014 +0200

    clock: properly handle visibility of edit button

M	applets/clock/calendar-window.c

commit 821c5ca543e2469ec95ec479e65fb39c53e46f36
Author: Alberts Muktupāvels <alberts.muktupavels@gmail.com>
Date:   Mon Nov 3 23:43:04 2014 +0200

    libpanel-applet: fix critical warning

M	libpanel-applet/panel-applet.c

commit 6c0470dda83dd4a0ddd07fe4afab4d96f7174562
Author: Alberts Muktupāvels <alberts.muktupavels@gmail.com>
Date:   Mon Nov 3 22:42:44 2014 +0200

    clock: simplify size groups

M	applets/clock/clock-location-tile.c

commit ba3dd6b9c8744a47bd112c48f44915b9f227974f
Author: Alberts Muktupāvels <alberts.muktupavels@gmail.com>
Date:   Mon Nov 3 22:35:43 2014 +0200

    clock: don't use deprecated GtkMisc

M	applets/clock/clock-location-tile.c
M	configure.ac

commit 5580bf9fb773da207ae8c029ee68c7017848e327
Author: Alberts Muktupāvels <alberts.muktupavels@gmail.com>
Date:   Mon Nov 3 22:27:47 2014 +0200

    clock: don't use deprecated GtkAlignment

M	applets/clock/calendar-window.c
M	applets/clock/clock-location-tile.c
M	applets/clock/clock.c

commit d026f107a0c279df936ef2c39586d431cc535f88
Author: Alberts Muktupāvels <alberts.muktupavels@gmail.com>
Date:   Mon Nov 3 21:56:17 2014 +0200

    clock: use g_strcmp0 not custom null_safe_strcmp

M	applets/clock/calendar-client.c

commit c7ea765c344473366e6e4445bd5288ebe8f90b3d
Author: Alberts Muktupāvels <alberts.muktupavels@gmail.com>
Date:   Mon Nov 3 21:08:46 2014 +0200

    clock: don't subclass deprecated GtkAlignment

M	applets/clock/clock-location-tile.c
M	applets/clock/clock-location-tile.h

commit f9a70934762987ae3b25c06d11fbac59faf8a7b5
Author: Alberts Muktupāvels <alberts.muktupavels@gmail.com>
Date:   Mon Nov 3 18:00:13 2014 +0200

    clock: don't use deprecated GdkColor

M	applets/clock/calendar-window.c

commit fdc7315372ae65000ef0ebc913579f9bb84c5248
Author: Alberts Muktupāvels <alberts.muktupavels@gmail.com>
Date:   Mon Nov 3 16:48:56 2014 +0200

    bump version to 3.15.0

M	configure.ac

commit 1a2950092a1b584b4f4a045c6e80f193fa5d6762
Author: Timo Jyrinki <timo@debian.org>
Date:   Mon Nov 3 18:58:52 2014 +0200

    Change Finnish translation team web page to l10n.gnome.org

M	po/fi.po

commit 2c2279a4b0e20eb818e451c930cb01b11156257e
Author: Alberts Muktupāvels <alberts.muktupavels@gmail.com>
Date:   Fri Oct 31 20:31:21 2014 +0200

    menu: don't use XDG_MENU_PREFIX if empty

M	gnome-panel/menu.c

commit 20688be3dccbe51855fb900f20066de327595a8d
Author: Alberts Muktupāvels <alberts.muktupavels@gmail.com>
Date:   Thu Oct 30 12:35:52 2014 +0200

    fix 'make distcheck'

M	Makefile.am
M	configure.ac

commit 0cb46531c8db24f34d338f9641b55b876fa0c0de
Author: Alberts Muktupāvels <alberts.muktupavels@gmail.com>
Date:   Thu Oct 30 11:48:25 2014 +0200

    Revert "libpanel-applet: update girdir and typelibdir"
    
    This reverts commit 4a327dcff334bf96071e699d26ec83e71858032e. There
    is better way to fix 'make distcheck'.

M	libpanel-applet/Makefile.am

commit 462b017357235d8865f592e491e544cc8ab994e0
Author: Alberts Muktupāvels <alberts.muktupavels@gmail.com>
Date:   Thu Oct 30 11:48:17 2014 +0200

    remove --disable-scrollkeeper

M	Makefile.am

commit d90aadb98fa558a768d7bec4bf5962f1964b7868
Author: Milo Casagrande <milo@ubuntu.com>
Date:   Thu Oct 30 09:37:59 2014 +0000

    Updated Italian translation

M	po/it.po

commit e10d995ceb0b4a6bcb08843f4d985e3779a8e1fe
Author: Alberts Muktupāvels <alberts.muktupavels@gmail.com>
Date:   Tue Oct 28 22:41:11 2014 +0200

    update NEWS

M	NEWS

commit f5b73804634da12554474f7cb6077978f35a4d06
Author: Alberts Muktupāvels <alberts.muktupavels@gmail.com>
Date:   Tue Oct 28 22:20:21 2014 +0200

    panel-menu-bar: fix warning

M	gnome-panel/panel-menu-bar.c

commit b969b3c9bbe8d6d67a04a418d3367ff42b072fce
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:   Tue Oct 28 20:16:56 2014 +0100

    Added Serbian translation

M	po/sr.po
M	po/sr@latin.po

commit 140a7393cc74fd773db865223eff5e8ae7f003d2
Author: Balló György <ballogyor@gmail.com>
Date:   Fri Oct 17 19:06:53 2014 +0200

    Add support for user switch with LightDM

M	gnome-panel/panel-menu-items.c

commit 4ed46751373193c10c0dd001013c396d3ced3118
Author: Alberts Muktupāvels <alberts.muktupavels@gmail.com>
Date:   Tue Oct 28 17:41:04 2014 +0200

    add hibernate, suspend, hybrid sleep and restart to user menu

M	gnome-panel/panel-action-button.c
M	gnome-panel/panel-enums.h
M	gnome-panel/panel-menu-items.c

commit f8792337a7d5c081f17c27e31d756f6186b7e6aa
Author: Alberts Muktupāvels <alberts.muktupavels@gmail.com>
Date:   Mon Oct 27 17:53:28 2014 +0200

    update ShowOnlyIn to GNOME-Flashback

M	gnome-panel/gnome-panel.desktop.in.in

commit 22e71c096139b06581ca339a1e1778a6521c2cff
Author: Alberts Muktupāvels <alberts.muktupavels@gmail.com>
Date:   Thu Oct 23 02:28:36 2014 +0300

    libpanel-util: add PanelEndSessionDialog
    
    This will be used to request end session dialog to confirm or
    cancel hibernate, suspend ot hybrid sleep actions.

M	gnome-panel/libpanel-util/Makefile.am
A	gnome-panel/libpanel-util/org.freedesktop.login1.Manager.xml
A	gnome-panel/libpanel-util/panel-end-session-dialog.c
A	gnome-panel/libpanel-util/panel-end-session-dialog.h

commit 17e90cca970412ce641a0d051cc4ce220e475332
Author: Alberts Muktupāvels <alberts.muktupavels@gmail.com>
Date:   Thu Oct 23 00:04:10 2014 +0300

    session-manager: add function to request reboot

M	gnome-panel/libpanel-util/panel-session-manager.c
M	gnome-panel/libpanel-util/panel-session-manager.h

commit 6bccf9f47d9472e4ab24ec5c5fb628ed78bf4527
Author: Balló György <ballogyor@gmail.com>
Date:   Wed Oct 15 23:23:57 2014 +0200

    Show icon in menu bar by default
    
    Can be hide with "-PanelMenuBar-icon-visible: false;" set for PanelMenuBar.

M	gnome-panel/panel-menu-bar.c

commit 781b11907e7301a034c23df7d5f39822b7426038
Author: Alberts Muktupāvels <alberts.muktupavels@gmail.com>
Date:   Fri Oct 17 09:57:57 2014 +0300

    rename Adwaita.css to gnome-panel.css

M	gnome-panel/Makefile.am
R100	gnome-panel/Adwaita.css	gnome-panel/gnome-panel.css
M	gnome-panel/main.c
M	gnome-panel/panel.gresource.xml

commit 9363a166e85971cef1084831a201def9384d5ac6
Author: Alberts Muktupāvels <alberts.muktupavels@gmail.com>
Date:   Fri Oct 17 09:55:58 2014 +0300

    theme: remove border from buttons

M	gnome-panel/Adwaita.css

commit 7c1607feed985a5fd8d7bff46605ef10bb2a9a1d
Author: Balló György <ballogyor@gmail.com>
Date:   Wed Oct 15 21:31:31 2014 +0200

    Simplify Adwaita style
    
    This brings a more traditional look and feel for the panel with support for light and dark theme variants, and also for the HighContrast theme.

M	gnome-panel/Adwaita.css
M	gnome-panel/main.c

commit ac02b880213d744fc5087b2c5a0acd02f222805f
Author: Alberts Muktupāvels <alberts.muktupavels@gmail.com>
Date:   Thu Oct 16 20:24:59 2014 +0300

    menus: don't hardcode application menu file
    
    Use XDG_MENU_PREFIX to generate correct applications menu file and
    use it.

M	gnome-panel/menu.c
M	gnome-panel/menu.h
M	gnome-panel/panel-addto.c
M	gnome-panel/panel-menu-bar.c
M	gnome-panel/panel-menu-button.c
M	gnome-panel/panel-run-dialog.c

commit 14c5637428f27828eeb6769e49e4d22a86b1dc97
Author: Balló György <ballogyor@gmail.com>
Date:   Wed Oct 15 21:56:31 2014 +0200

    Add show desktop applet to bottom panel
    
    This commit reverts fbaf96b23e41eb533f70b253a00db72fd4751aff to make the layout more similar to GNOME 2.

M	data/panel-default-layout.layout

commit dbe0f09eb97f01fe0f6291b6c6af6331cc882d98
Author: Alberts Muktupāvels <alberts.muktupavels@gmail.com>
Date:   Mon Oct 13 07:19:55 2014 +0300

    remove bonobo info from docs

M	doc/reference/panel-applet/panel-applet-docs.sgml

commit 9c0ce17439f1ed896cb5aad7e7fac0b9900b07b9
Author: Alberts Muktupāvels <alberts.muktupavels@gmail.com>
Date:   Mon Oct 13 05:05:57 2014 +0300

    panel-image-menu-item: remove use of GtkSettings:gtk-menu-images
    
    This is deprecated so remove use of this property and use default
    value - FALSE.
    
    PanelImageMenuItem was added only for main-menu and menu-bar
    applets. In future these applets might get preferences dialogs. If
    it will happen then most likely this will be configurable option.

M	gnome-panel/panel-image-menu-item.c

commit 42843d581a6c679f2a3b28c20bc7b4dc5f9a1161
Author: Alberts Muktupāvels <alberts.muktupavels@gmail.com>
Date:   Mon Oct 13 03:56:37 2014 +0300

    update all *.ui files

M	applets/clock/clock.ui
M	applets/fish/fish.ui
M	applets/wncklet/window-list.ui
M	applets/wncklet/workspace-switcher.ui
M	gnome-panel/panel-properties-dialog.ui
M	gnome-panel/panel-run-dialog.ui
M	gnome-panel/panel-test-applets.ui

commit c54d694bb9fb8b7191fac2936060d54ec497f6bb
Author: Alberts Muktupāvels <alberts.muktupavels@gmail.com>
Date:   Sun Oct 12 02:39:27 2014 +0300

    clock: fix warning
    
    Fix new warning introduced in commit removing NetworkManager
    dependency.

M	applets/clock/clock-location.c

commit a1b1d244bd69f8eacb3eee3824fe6af8a8f93906
Author: Alberts Muktupāvels <alberts.muktupavels@gmail.com>
Date:   Sun Oct 12 02:30:34 2014 +0300

    configure: bump version to 3.14

M	configure.ac

commit d907a6ea1be469f9acfbf5661e665d38c6c61cd3
Author: Alberts Muktupāvels <alberts.muktupavels@gmail.com>
Date:   Sun Oct 12 02:29:13 2014 +0300

    menu: don't use deprecated gtk_menu_get_tearoff_state

M	gnome-panel/menu.c

commit 86649dff3855b5c4078f0fab080655f16ca0bb97
Author: Alberts Muktupāvels <alberts.muktupavels@gmail.com>
Date:   Sun Oct 12 00:17:19 2014 +0300

    configure: remove unused *_REQUIRED

M	configure.ac

commit 9d3924e8a26bca3ab0f434efff7282a68ed5d92a
Author: Alberts Muktupāvels <alberts.muktupavels@gmail.com>
Date:   Sun Oct 12 00:12:25 2014 +0300

    panel-toplevel: don't set resize grip, it is deprecated

M	gnome-panel/panel-toplevel.c

commit f9d94265eea95e2b319a90c1896f94b1bf48ba4d
Author: Alberts Muktupāvels <alberts.muktupavels@gmail.com>
Date:   Sun Oct 12 00:11:36 2014 +0300

    panel-widget: don't use deprecated gtk_widget_reparent

M	gnome-panel/panel-widget.c

commit 01dbc4c1cc8c8fb680024aa68434ef4bfb9c399b
Author: Alberts Muktupāvels <alberts.muktupavels@gmail.com>
Date:   Sat Oct 11 23:29:16 2014 +0300

    clock: don't use uninitialized variable
    
    Make sure we don't try to use uninitialized variable in
    clock_needs_label_refresh function.

M	applets/clock/clock-location-tile.c

commit 04e6ef4dbc6a1fdc720b750fdf87a7f43a8a2df6
Author: Alberts Muktupāvels <alberts.muktupavels@gmail.com>
Date:   Sat Oct 11 23:19:37 2014 +0300

    clock: use GNetworkMonitor

M	applets/clock/clock-location.c
M	configure.ac

commit f141e5e3114685079b0e9455989a3233c7040599
Author: Alberts Muktupāvels <alberts.muktupavels@gmail.com>
Date:   Sat Oct 11 19:49:58 2014 +0300

    theme: add style for show desktop applet

M	gnome-panel/Adwaita.css

commit ead391f0a70f7d770e692d866cb805b1f368d529
Author: Alberts Muktupāvels <alberts.muktupavels@gmail.com>
Date:   Sat Oct 11 19:20:08 2014 +0300

    improve Adwaita theme

M	gnome-panel/Adwaita.css

commit 7662298e9346aa8de037b0f4aaa7bc2700fb6c20
Author: Alberts Muktupāvels <alberts.muktupavels@gmail.com>
Date:   Wed Oct 8 01:24:08 2014 +0300

    bump version to 3.10.0

M	configure.ac

commit 7051c5c13c7f76ae1f6e087967f8e4f58bca589a
Author: Alberts Muktupāvels <alberts.muktupavels@gmail.com>
Date:   Wed Sep 24 18:59:57 2014 +0300

    fish: use G_DEFINE_TYPE

M	applets/fish/fish.c

commit cb7cc7839798623c21345eb4152008e832aba8fd
Author: Alberts Muktupāvels <alberts.muktupavels@gmail.com>
Date:   Wed Sep 24 18:21:28 2014 +0300

    fish: update fish widget after it is setup

M	applets/fish/fish.c

commit 00f70849e8322b41edd251afaa002815baf2b629
Author: Alberts Muktupāvels <alberts.muktupavels@gmail.com>
Date:   Wed Sep 24 18:13:35 2014 +0300

    fish: restore option to change animation

M	applets/fish/fish.c
M	applets/fish/fish.ui

commit 1a902473eb8465e8527b4e0d2eea14cc0f10b027
Author: Alberts Muktupāvels <alberts.muktupavels@gmail.com>
Date:   Tue Sep 23 23:11:26 2014 +0300

    menu.c: force pixel size for menu item images
    
    Get pixel size from GtkIconSize and use it to force size for
    images in menu items.

M	gnome-panel/menu.c

commit 3b1825b8af79443fb7f89e1936c078ba683c2af9
Author: Alberts Muktupāvels <alberts.muktupavels@gmail.com>
Date:   Tue Sep 23 20:30:06 2014 +0300

    clock: fix weather preferences

M	applets/clock/clock.c

commit c9b097f01a93156547db61547e74031299919ed3
Author: Alberts Muktupāvels <alberts.muktupavels@gmail.com>
Date:   Tue Sep 23 20:09:42 2014 +0300

    theme: add css style for Adwaita theme
    
    This is same style that used to live in gnome-themes-standard.

A	gnome-panel/Adwaita.css
M	gnome-panel/Makefile.am
M	gnome-panel/main.c
M	gnome-panel/panel.gresource.xml

commit ef770468e3d05c531881e2f6b3bb92f94928eb91
Author: Dmitry Shachnev <mitya57@gmail.com>
Date:   Sun Sep 21 15:04:21 2014 +0400

    fish: Fix a memory leak

M	applets/fish/fish.c

commit 1a5c9bdb6e061e69a66e9d157bddad552747c721
Author: Alberts Muktupāvels <alberts.muktupavels@gmail.com>
Date:   Tue Sep 23 18:25:14 2014 +0300

    doap: update mailing-list

M	gnome-panel.doap

commit d2f87d83035ae52e15d40ac81b266be7df8a61d1
Author: Alberts Muktupāvels <alberts.muktupavels@gmail.com>
Date:   Tue Sep 23 18:20:57 2014 +0300

    doap: update name

M	gnome-panel.doap

commit 21fd7c49f5d74a7bb9af3dec78af353b1a97f431
Author: Alberts Muktupāvels <alberts.muktupavels@gmail.com>
Date:   Tue Sep 23 18:20:35 2014 +0300

    doap: add programming-language

M	gnome-panel.doap

commit 4a327dcff334bf96071e699d26ec83e71858032e
Author: Alberts Muktupāvels <alberts.muktupavels@gmail.com>
Date:   Thu Sep 4 00:09:26 2014 +0300

    libpanel-applet: update girdir and typelibdir

M	libpanel-applet/Makefile.am

commit 19d1bdee841b11fc340c97aae20e10f179643ff3
Author: Alberts Muktupāvels <alberts.muktupavels@gmail.com>
Date:   Wed Sep 3 23:42:59 2014 +0300

    clock: fix libpanel-util/panel-color.h include

M	applets/clock/Makefile.am
M	applets/clock/clock-map.c

commit 84f35748d2155567fab3da5c5e45f6f6e0fc3e5c
Author: Alberts Muktupāvels <alberts.muktupavels@gmail.com>
Date:   Wed Sep 3 23:41:49 2014 +0300

    libpanel-applet: update documentation

M	doc/reference/panel-applet/panel-applet-sections.txt
M	doc/reference/panel-applet/tmpl/applet.sgml
M	libpanel-applet/panel-applet.c

commit 203e30a9e5428d4511bb89cf47f8cda34747de91
Author: Alberts Muktupāvels <alberts.muktupavels@gmail.com>
Date:   Wed Sep 3 23:24:55 2014 +0300

    misc: update POTFILES.in

M	po/POTFILES.in

commit 453da496407cb8e73cee88832f309fad626beba0
Author: Alberts Muktupāvels <alberts.muktupavels@gmail.com>
Date:   Wed Sep 3 23:22:25 2014 +0300

    remove MAINTAINERS file

D	MAINTAINERS
M	Makefile.am

commit 6f03a287948e66ebd0ccd8f807e9a2fbbb6cfbff
Author: Alberts Muktupāvels <alberts.muktupavels@gmail.com>
Date:   Wed Sep 3 23:20:50 2014 +0300

    libpanel-applet: update version
    
    - Update API version to 5.0.
    - Don't use version number in library name.
    - Rename from libpanelapplet-4.0.pc to libpanel-applet.pc.
    - Reset library version info to 0:0:0.

M	applets/clock/Makefile.am
M	applets/fish/Makefile.am
M	applets/notification_area/Makefile.am
M	applets/wncklet/Makefile.am
M	configure.ac
M	doc/reference/panel-applet/Makefile.am
M	doc/reference/panel-applet/panel-applet-docs.sgml
M	libpanel-applet/Makefile.am
R066	libpanel-applet/libpanelapplet-4.0-uninstalled.pc.in	libpanel-applet/libpanel-applet-uninstalled.pc.in
R065	libpanel-applet/libpanelapplet-4.0.pc.in	libpanel-applet/libpanel-applet.pc.in

commit 07a3e7bda9afbccafa910e6bfe8e13465b26819c
Author: Alberts Muktupāvels <alberts.muktupavels@gmail.com>
Date:   Wed Sep 3 22:57:24 2014 +0300

    misc: remove Jonathan from maintainers

M	gnome-panel.doap

commit 0c3844c0e5f1bee5885d2c7aeaa49763e6708f6d
Author: Alberts Muktupāvels <alberts.muktupavels@gmail.com>
Date:   Tue Sep 2 22:17:01 2014 +0300

    libpanel-applet: unown bus name and unregister dbus object
    
    https://bugzilla.gnome.org/show_bug.cgi?id=692610

M	libpanel-applet/panel-applet-factory.c

commit fed6a445e340dc995a52b3b1b8cb730965f5c748
Author: Alberts Muktupāvels <alberts.muktupavels@gmail.com>
Date:   Thu Aug 21 21:38:12 2014 +0300

    panel-test-applets.ui: make label translatable

M	gnome-panel/panel-test-applets.ui

commit 334992d773034d8f2133e77e462fee47fd1dfb5c
Author: Alberts Muktupāvels <alberts.muktupavels@gmail.com>
Date:   Thu Aug 21 14:43:16 2014 +0300

    update panel-test-applets
    
    1) Update for new libpanel-applet version.
    2) Set default size for applet window.
    3) Open applet window on top of 'Test applet utility' window.

M	gnome-panel/panel-test-applets.c
M	gnome-panel/panel-test-applets.ui

commit 13719beb1d7a072d7732abf926c4ffbede91eb30
Author: Alberts Muktupāvels <alberts.muktupavels@gmail.com>
Date:   Thu Aug 14 02:23:41 2014 +0300

    remove one more old ChangeLog file

D	gnome-panel/ChangeLog-20010806

commit cd8c582efbde3f4e683258e0dd41c50d88648d8f
Author: Alberts Muktupāvels <alberts.muktupavels@gmail.com>
Date:   Thu Aug 14 02:20:08 2014 +0300

    remove gnome-panel-add script
    
    This script is outdated! I have not seen any bug report that it
    does not work so most likely no one is using it.

M	gnome-panel/Makefile.am
D	gnome-panel/gnome-panel-add.in

commit 13fccad8e5555dd134bed9a96e06c9362d15b065
Author: Alberts Muktupāvels <alberts.muktupavels@gmail.com>
Date:   Thu Aug 14 02:03:42 2014 +0300

    panel-session-manager: don't make sync calls for Logout and Shutdown

M	gnome-panel/libpanel-util/panel-session-manager.c

commit 59951a69813159566644ef68b12e0a51ed01363a
Author: Alberts Muktupāvels <alberts.muktupavels@gmail.com>
Date:   Sat Jul 12 20:34:37 2014 +0300

    don't use deprecated gtk_icon_size_register
    
    Also 'gtk-icon-sizes' in themes are deprecated and ignored. That
    means that panel-menu and panel-menu-bar always is registered with
    default sizes - 24x24px and 16x16px. We can safely replace these by
    built-in stock icon sizes.
    
    This commit also restores limited option to change icon size. You
    can change icon size to one of built-in sizes - 16px, 24px, 32px
    and 48px.

M	data/org.gnome.gnome-panel.gschema.xml.in.in
M	gnome-panel/main.c
M	gnome-panel/panel-menu-bar-object.c
M	gnome-panel/panel-stock-icons.c
M	gnome-panel/panel-stock-icons.h

commit 7807bf814c1170d4cd84df8698d0e8a6719d7251
Author: Alberts Muktupāvels <alberts.muktupavels@gmail.com>
Date:   Fri Jul 11 18:44:49 2014 +0300

    use PanelImageMenuItem not GtkImageMenuItem

M	gnome-panel/menu.c
M	gnome-panel/panel-menu-bar.c
M	gnome-panel/panel-menu-items.c
M	gnome-panel/panel-menu-items.h
M	gnome-panel/panel-recent.c

commit e16c2484c3cba8ae5cdd22d693d4150afc80fdc0
Author: Alberts Muktupāvels <alberts.muktupavels@gmail.com>
Date:   Fri Jul 11 17:55:28 2014 +0300

    add panel-image-menu-item.[c/h]
    
    GtkImageMenuItem has been deprecated, but we will want to continue
    to use image menu items at least in Main Menu and Menu Bar applets.
    
    Added files are copied from GTK+ 3.8.9 version and then modified:
    - GtkImageMenuItem renamed to PanelImageMenuItem.
    - Removed deprecated parts - GtkStock, GtkActivatable.
    - Changed license from LGPL to GPL. This should be allowed. At
      least that is how I understand it. See third paragraph in LGPL
      license.
    
    We already had panel_image_menu_new function. This commit renames
    function name to panel_image_new_new2 to not conflict with newly
    added files.

M	gnome-panel/Makefile.am
M	gnome-panel/menu.c
M	gnome-panel/menu.h
A	gnome-panel/panel-image-menu-item.c
A	gnome-panel/panel-image-menu-item.h
M	gnome-panel/panel-menu-bar.c
M	gnome-panel/panel-menu-items.c

commit 272f6801148ea851a613f92ae1c41e534fce4992
Author: Alberts Muktupāvels <alberts.muktupavels@gmail.com>
Date:   Thu Jul 10 17:51:21 2014 +0300

    panel-background-monitor: fix deprecated warning

M	gnome-panel/panel-background-monitor.c

commit 4c31993f338e5212b72817c727fcd99b5a376aca
Author: Alberts Muktupāvels <alberts.muktupavels@gmail.com>
Date:   Thu Jul 10 17:34:44 2014 +0300

    panel-conext-menu: don't use deprecated GtkImageMenu

M	gnome-panel/panel-context-menu.c

commit cd7a97d5deab25a59e26a20f6b43f19f5a057281
Author: Alberts Muktupāvels <alberts.muktupavels@gmail.com>
Date:   Thu Jul 10 17:29:50 2014 +0300

    don't use deprecated GtkStock

M	gnome-panel/menu.c
M	gnome-panel/menu.h
M	gnome-panel/panel-applet-frame.c
M	gnome-panel/panel-context-menu.c
M	gnome-panel/panel-menu-items.c
M	gnome-panel/panel-recent.c
M	gnome-panel/panel-run-dialog.c
M	gnome-panel/panel-stock-icons.c
M	gnome-panel/panel-stock-icons.h

commit b5032f580b5fbf575f54efc60c3856e627671e80
Author: Alberts Muktupāvels <alberts.muktupavels@gmail.com>
Date:   Sun Jun 29 23:14:18 2014 +0300

    clock: port 'size-request' signal
    
    Use "size-allocate" signal instead of "size-request" to set size
    request for scrolled_window.

M	applets/clock/calendar-window.c

commit 2284c93dc8c127930a05954e26c6bebdb48f14fe
Author: Alberts Muktupāvels <alberts.muktupavels@gmail.com>
Date:   Sun Jun 29 22:55:13 2014 +0300

    Revert "calendar-window: Port 'size-request' signal"
    
    This reverts commit 7f9470c42ba1264667e8b4f916b3f157c6cd1e54.

M	applets/clock/calendar-window.c

commit e14b9ac0b2768bed8670a80bf94c2bad21e9b4cd
Author: Alberts Muktupāvels <alberts.muktupavels@gmail.com>
Date:   Wed Jul 9 17:36:36 2014 +0300

    panel-toplevel: fix deprecated warning

M	gnome-panel/panel-toplevel.c

commit 9e347a8577a53d9e7a65760540e6099024aeaaa3
Author: Alberts Muktupāvels <alberts.muktupavels@gmail.com>
Date:   Wed Jul 9 17:28:40 2014 +0300

    panel-multiscreen: fix deprecated warnings

M	gnome-panel/panel-multiscreen.c

commit 5dd302391c9f31611c8e172f971ae347dc99ffe4
Author: Alberts Muktupāvels <alberts.muktupavels@gmail.com>
Date:   Wed Jul 9 17:18:56 2014 +0300

    clock: remove unused variable

M	applets/clock/calendar-window.c

commit 97d08dadb41c180e5334a6bd06ae730b0251cf98
Author: Alberts Muktupāvels <alberts.muktupavels@gmail.com>
Date:   Wed Jul 9 17:14:31 2014 +0300

    panel-force-quit: don't use deprecated GtkStock

M	gnome-panel/panel-force-quit.c
M	gnome-panel/panel-stock-icons.c
M	gnome-panel/panel-stock-icons.h

commit f38b0cda2dd859eec5cde3f644f96d6759a4afd6
Author: Alberts Muktupāvels <alberts.muktupavels@gmail.com>
Date:   Sun Jun 29 19:54:21 2014 +0300

    clock: fix EDS integration

M	applets/clock/calendar-window.c
M	applets/clock/clock.c

commit acf9480b083cec5fc61ebb5fecf1b44291f6652e
Author: Alberts Muktupāvels <alberts.muktupavels@gmail.com>
Date:   Wed Sep 3 22:49:21 2014 +0300

    misc: update POTFILES.skip

M	po/POTFILES.skip

commit 8ee09fcc7bac084c4ef17270b0e1c673e003f9c8
Author: Alberts Muktupāvels <alberts.muktupavels@gmail.com>
Date:   Wed Jul 9 16:55:19 2014 +0300

    misc: remove session related files
    
    GNOME Flashback session will be available in gnome-flashback
    package.

M	data/Makefile.am
D	data/gnome-fallback.desktop.in.in
D	data/gnome-flashback-compiz.desktop.in.in
D	data/gnome-flashback-compiz.session.desktop.in
D	data/gnome-flashback.session.desktop.in
M	gnome-panel/Makefile.am
D	gnome-panel/gnome-session-flashback.in
M	po/POTFILES.in
M	po/POTFILES.skip

commit b4f36d323fec890a15f622d3df2698a4f601b49a
Author: Alberts Muktupāvels <alberts.muktupavels@gmail.com>
Date:   Wed Jul 9 16:52:09 2014 +0300

    misc: remove one more old ChangeLog file

D	ChangeLog-20020212

commit 32e0e50a2b513dc3bf1889430ac993995238c890
Author: Alberts Muktupāvels <alberts.muktupavels@gmail.com>
Date:   Wed Jul 9 16:47:30 2014 +0300

    remove screen from settings

M	data/org.gnome.gnome-panel.toplevel.gschema.xml.in.in
M	gnome-panel/panel-layout.c
M	gnome-panel/panel-schemas.h
M	gnome-panel/panel-toplevel.c

commit ecc844146e7637b20643359252e9adf82cd8c0fe
Author: Alberts Muktupāvels <alberts.muktupavels@gmail.com>
Date:   Wed Jul 9 16:02:28 2014 +0300

    misc: remove old ChangeLog.pre-git files

D	ChangeLog.pre-git
D	applets/ChangeLog.pre-git
D	applets/clock/ChangeLog.pre-git
D	applets/fish/ChangeLog.pre-git
D	applets/notification_area/ChangeLog.pre-git
D	applets/wncklet/ChangeLog.pre-git
D	doc/reference/panel-applet/ChangeLog.pre-git
D	gnome-panel/ChangeLog.pre-git
D	help/ChangeLog.pre-git
D	libpanel-applet/ChangeLog.pre-git
D	po/ChangeLog.pre-git

commit be976a06563b10e73f4ed5abae7303b9d2642acc
Author: Alberts Muktupāvels <alberts.muktupavels@gmail.com>
Date:   Wed Jul 9 15:59:20 2014 +0300

    notification_area: fix deprecated warnings

M	applets/notification_area/na-tray.c
M	applets/notification_area/testtray.c

commit 770c16149d3f381cd9b6e27b057d1ff77193eb32
Author: Alberts Muktupāvels <alberts.muktupavels@gmail.com>
Date:   Wed Jul 9 15:48:18 2014 +0300

    help: fix translation merge warning

M	help/fish/fr/fr.po

commit 167015b82edaee6145c8bf0c0e58207ce0c7ee37
Author: Alberts Muktupāvels <alberts.muktupavels@gmail.com>
Date:   Wed Jul 9 15:39:58 2014 +0300

    fish: don't use deprecated GTK_STOCK_CLOSE

M	applets/fish/fish.c

commit 7aaf498dbaecec5a3583bd2019d2d16bdf49c830
Author: Alberts Muktupāvels <alberts.muktupavels@gmail.com>
Date:   Wed Jul 9 15:34:30 2014 +0300

    libpanel-applet: add missing (transfer) annotation

M	libpanel-applet/panel-applet.c

commit ce5b1fb115053a5430c26c4da0bad3f22b9f972e
Author: Alberts Muktupāvels <alberts.muktupavels@gmail.com>
Date:   Wed Jul 9 00:55:41 2014 +0300

    wncklet: fix deprecated warnings
    
    gtk_window_reshow_with_initial_size replaced with suggestion from
    this commit:
    https://git.gnome.org/browse/gtk+/commit/?id=01f7ed1d073096364180d00c5684fb782779d454

M	applets/wncklet/workspace-switcher.c

commit bd58054c9f6ccefcf2db28288d98040d7fbd9882
Author: Alberts Muktupāvels <alberts.muktupavels@gmail.com>
Date:   Wed Jul 9 00:49:19 2014 +0300

    clock: fix deprecated warnings
    
    Bump libgweather required version to 3.9.2

M	applets/clock/clock-location.c
M	applets/clock/clock.c
M	configure.ac

commit 5653c4c4d3721a683f12ed7a4da0da88a1039c18
Author: Alberts Muktupāvels <alberts.muktupavels@gmail.com>
Date:   Tue Jul 8 22:18:43 2014 +0300

    remove deprecated functions from libpanel-applet

M	applets/wncklet/showdesktop.c
M	applets/wncklet/window-list.c
M	applets/wncklet/window-menu.c
M	gnome-panel/applet.c
M	gnome-panel/libpanel-applet-private/panel-applet-container.c
M	gnome-panel/libpanel-applet-private/panel-applet-frame-dbus.c
M	gnome-panel/panel-applet-frame.c
M	gnome-panel/panel-applet-frame.h
M	gnome-panel/panel.c
M	gnome-panel/panel.h
M	libpanel-applet/panel-applet.c
M	libpanel-applet/panel-applet.h
M	libpanel-applet/test-dbus-applet.c

commit 82cf06901c3fa7ea6f164a5b97fc8f1b8b4abd49
Author: Alberts Muktupāvels <alberts.muktupavels@gmail.com>
Date:   Tue Jul 8 18:44:45 2014 +0300

    remove gconf

M	configure.ac
M	doc/reference/panel-applet/panel-applet-docs.sgml
M	doc/reference/panel-applet/panel-applet-sections.txt
D	doc/reference/panel-applet/tmpl/gconf.sgml
M	gnome-panel/Makefile.am
M	gnome-panel/libpanel-applet-private/panel-applet-container.c
M	gnome-panel/libpanel-applet-private/panel-applet-frame-dbus.c
M	gnome-panel/panel-applet-frame.c
M	gnome-panel/panel-applet-frame.h
D	gnome-panel/panel-gconf.c
D	gnome-panel/panel-gconf.h
M	gnome-panel/panel-layout.c
M	gnome-panel/panel-test-applets.c
M	libpanel-applet/Makefile.am
M	libpanel-applet/libpanelapplet-4.0-uninstalled.pc.in
M	libpanel-applet/libpanelapplet-4.0.pc.in
D	libpanel-applet/panel-applet-gconf.c
D	libpanel-applet/panel-applet-gconf.h
M	libpanel-applet/panel-applet.c
M	libpanel-applet/panel-applet.h

commit 138a674c2788bfe153f461f85df28ef1dce09ee1
Author: Alberts Muktupāvels <alberts.muktupavels@gmail.com>
Date:   Sat Jul 5 15:01:54 2014 +0300

    don't use deprecated GtkAction and GtkActionGroup

M	applets/clock/clock-menu.xml
M	applets/clock/clock.c
M	applets/fish/fish-menu.xml
M	applets/fish/fish.c
M	applets/wncklet/window-list-menu.xml
M	applets/wncklet/window-list.c
M	applets/wncklet/workspace-switcher-menu.xml
M	applets/wncklet/workspace-switcher.c
M	libpanel-applet/panel-applet.c
M	libpanel-applet/panel-applet.h
M	libpanel-applet/test-dbus-applet.c

commit 8497e0deee614034e8df968aa76de82b5b138436
Author: Alberts Muktupāvels <alberts.muktupavels@gmail.com>
Date:   Wed Jun 4 23:07:40 2014 +0300

    panel-addto.c: don't use deprecated GTK_STOCK_*

M	gnome-panel/panel-addto.c

commit d05c21d9fc136b97ce141f9f7de0b1e140090a1e
Author: Alberts Muktupāvels <alberts.muktupavels@gmail.com>
Date:   Wed Jun 4 22:51:03 2014 +0300

    panel-ditem-editor.c: don't use deprecated GTK_STOCK_*

M	gnome-panel/panel-ditem-editor.c

commit 3ce091e6973d64551fb3f8282009fc4c4aad407f
Author: Alberts Muktupāvels <alberts.muktupavels@gmail.com>
Date:   Wed Sep 3 22:38:53 2014 +0300

    applet.[c/h]: fix deprecated warnings
    
    * Don't use deprecated GtkImageMenuItem.
    * Don't use deprecated GtkStock.

M	gnome-panel/applet.c
M	gnome-panel/applet.h
M	gnome-panel/launcher.c
M	gnome-panel/panel-action-button.c
M	gnome-panel/panel-menu-bar.c
M	gnome-panel/panel-menu-button.c

commit 8da8d00ef63b7d379e2aa92ccd2e5a8a597f64b0
Author: Alberts Muktupāvels <alberts.muktupavels@gmail.com>
Date:   Mon Jun 2 23:32:32 2014 +0300

    configure.ac: Update clock applet required modules
    Add dconf as required module for clock applet to fix build error.
    https://mail.gnome.org/archives/gnome-flashback-list/2014-May/msg00056.html

M	configure.ac

commit a94bd966e9fa32b17b7c3bcfe1afeda3dbe3e53e
Author: Alberts Muktupāvels <alberts.muktupavels@gmail.com>
Date:   Sun May 25 15:52:58 2014 +0300

    panel.c: don't use deprecated GtkStock

M	gnome-panel/panel.c

commit 4663328fb8e62e8f03537a227691525c15e7f9be
Author: Alberts Muktupāvels <alberts.muktupavels@gmail.com>
Date:   Sun May 25 15:37:54 2014 +0300

    panel-icon-chooser: don't use deprecated GtkStock

M	gnome-panel/libpanel-util/panel-icon-chooser.c

commit 22f3fdb4483c8c14a49489223731c31dc1e53bef
Author: Alberts Muktupāvels <alberts.muktupavels@gmail.com>
Date:   Sun May 25 14:55:30 2014 +0300

    xstuff.c: remove old unused code

M	gnome-panel/xstuff.c
M	gnome-panel/xstuff.h

commit f30bb5bd9ad86fc68b64ea7f7ef110f360307271
Author: Alberts Muktupāvels <alberts.muktupavels@gmail.com>
Date:   Fri May 23 11:38:40 2014 +0300

    Fix window-list applet bug on vertical panel
    03_tasklist_orientation.patch from debian. This requires libwnck
    3.4.6 or newer.

M	applets/wncklet/window-list.c
M	configure.ac

commit 5b19b4b79edf7410089f44ceefc56a44408f1c73
Author: Alberts Muktupāvels <alberts.muktupavels@gmail.com>
Date:   Sat Dec 28 14:56:07 2013 +0200

    don't use deprecated GtkSymbolicColor
    
    Code for color shading copied from mutter:
    https://git.gnome.org/browse/mutter/tree/src/ui/theme.c

M	applets/clock/Makefile.am
M	applets/clock/clock-map.c
M	gnome-panel/libpanel-util/Makefile.am
A	gnome-panel/libpanel-util/panel-color.c
A	gnome-panel/libpanel-util/panel-color.h
M	gnome-panel/panel-frame.c

commit 7d4a63d1077c2cea972fd1f4e9f9b27e80a6b9eb
Author: Alberts Muktupāvels <alberts.muktupavels@gmail.com>
Date:   Sat Dec 7 13:36:05 2013 +0200

    port bindings to gsettings

M	gnome-panel/panel-bindings.c
M	gnome-panel/panel-schemas.h
M	libpanel-applet/panel-applet-bindings.c
M	libpanel-applet/panel-applet-bindings.h
M	libpanel-applet/panel-applet.c

commit d306ad3495fe45e1a4ef684bac432a0c40d15fe5
Author: Alberts Muktupāvels <alberts.muktupavels@gmail.com>
Date:   Sat Dec 7 13:05:59 2013 +0200

    remove deprecated librsvg/rsvg-cairo.h include
    
    Direct include of librsvg/rsvg-cairo.h has been deprecated from
    2.36.2 version. Removed it and added required version for librsvg.

M	applets/clock/clock-utils.c
M	configure.ac

commit 5ca920935fe01d5eb8599ee16be229fc4df3eb15
Author: Alberts Muktupāvels <alberts.muktupavels@gmail.com>
Date:   Sat Dec 7 12:49:54 2013 +0200

    Remove g_type_init(), bump GLib required version

M	applets/clock/test-system-timezone.c
M	configure.ac

commit 02ce0726b4429f7b87954a59032d514f971b7039
Author: Alberts Muktupāvels <alberts.muktupavels@gmail.com>
Date:   Mon Nov 18 23:38:27 2013 +0200

    panel: don't set panel's initial size to G_MAXINT
    
    Replacing GtkTable with GtkGrid introduced new bug. Warning is -
    'Native children wider or taller than 65535 pixels are not supported'.
    This is caused by setting panels initial size to G_MAXINT. Changing
    initial size to 0 fixes this new bug.

M	gnome-panel/panel-widget.c

commit 281f4d550bc83dd6126c4b56db05b9d362bf1838
Author: Alberts Muktupāvels <alberts.muktupavels@gmail.com>
Date:   Mon Nov 18 23:31:18 2013 +0200

    panel: replace gtktable with gtkgrid in panel-toplevel.c

M	gnome-panel/panel-toplevel.c

commit c3006b307dc60d46ee5da81b62a44c728bf20731
Author: Alberts Muktupāvels <alberts.muktupavels@gmail.com>
Date:   Mon Nov 18 19:42:50 2013 +0200

    clock: remove unused #define line

M	applets/clock/clock.h

commit 52d301d34073412bc0044ebd2a9b2ab837f2bf4d
Author: Alberts Muktupāvels <alberts.muktupavels@gmail.com>
Date:   Mon Nov 18 16:24:15 2013 +0200

    panel: port panel-menu-items.c to gsettings
    
    Only home-icon-name is ported. desktop-is-home-dir and
    computer-icon-name is removed from Nautilus.

M	gnome-panel/panel-menu-items.c

commit 46c24f07e5f86d1321edb2b7ea0222b94721a86c
Author: Alberts Muktupāvels <alberts.muktupavels@gmail.com>
Date:   Mon Nov 18 14:56:32 2013 +0200

    panel: remove gconf from panel-action-button.c

M	gnome-panel/panel-action-button.c

commit b459e934fd22e37103ea596df5a624cc975bc76a
Author: Alberts Muktupāvels <alberts.muktupavels@gmail.com>
Date:   Mon Nov 18 14:37:31 2013 +0200

    panel: remove unneeded include in gnome-desktop-item-edit.c

M	gnome-panel/gnome-desktop-item-edit.c

commit 4308e45abb9196708f98ca4c5a8b388bd49c0fb8
Author: Alberts Muktupāvels <alberts.muktupavels@gmail.com>
Date:   Mon Nov 18 14:29:51 2013 +0200

    notification_area: remove unneeded include

M	applets/notification_area/main.c
M	applets/notification_area/na-tray.c

commit 008929fb0b41097990e59d9589c2a10929e13448
Author: Alberts Muktupāvels <alberts.muktupavels@gmail.com>
Date:   Mon Nov 18 14:21:05 2013 +0200

    panel: port panel-util.c to gsettings

M	gnome-panel/panel-schemas.h
M	gnome-panel/panel-util.c

commit 9f4598b4c6d268b1a355ca55e3686de5bfbe5582
Author: Alberts Muktupāvels <alberts.muktupavels@gmail.com>
Date:   Sun Nov 17 17:58:26 2013 +0200

    panel: remove unused variables from panel-layout.c

M	gnome-panel/panel-layout.c
M	gnome-panel/panel-schemas.h

commit d254806ed3de4cb9e02ff93e3c7ecc790dc82bc3
Author: Alberts Muktupāvels <alberts.muktupavels@gmail.com>
Date:   Sun Nov 17 15:36:37 2013 +0200

    panel: replace gtktable with gtkgrid in panel-ditem-editor.c

M	gnome-panel/panel-ditem-editor.c

commit 6d3ad0b8fc59a707572f22578d5f9f70083d8c13
Author: Alberts Muktupāvels <alberts.muktupavels@gmail.com>
Date:   Sun Nov 17 00:38:19 2013 +0200

    wncklet: remove unneeded code and rename function
    
    Function panel_applet_add_preferences was used only with gconf,
    but applet now uses gsettings to store/read settings so this
    function is not needed anymore.
    
    Renamed function setup_gconf to setup_gsettings as it is more
    correct name for this function.

M	applets/wncklet/window-list.c
M	applets/wncklet/workspace-switcher.c

commit 5019aa1a198ded79c544d1a3be7134c4dd712aef
Author: Alberts Muktupāvels <alberts.muktupavels@gmail.com>
Date:   Mon Oct 27 17:48:34 2014 +0200

    misc: add myself as maintainer
    
    1) GNOME Flashback needs new release for gnome-panel, but current
    maintainers does not show any interest in bug fixes and/or
    improvements to this module.
    
    2) Current maintainers are inactive. Jonathan does not object that
    I am taking over maintainership.
    
    3) I am already maintaining other modules used by GNOME Flashback
    session - gnome-applets, gnome-flashback, metacity and
    notification-daemon.
    
    4) No response to this email:
    https://mail.gnome.org/archives/gnome-flashback-list/2014-September/msg00033.html

M	gnome-panel.doap

commit 06ba54acce932211b5ee67dec4de8dda6ef780a7
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:   Sun Oct 26 07:43:52 2014 +0100

    Updated Serbian translation

M	po/sr.po
M	po/sr@latin.po

commit 1f9c0e0e8629ad0137eaba9650c5ce130de44bdd
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Fri Oct 3 17:44:19 2014 +0200

    Updated Norwegian bokmål translation.

M	po/nb.po

commit dcd5dcad4d34a328701f16dd36d129d9cca20eb1
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Mon Sep 29 14:49:10 2014 +0200

    Updated Norwegian bokmål translation.

M	po/nb.po

commit 4bea4c5b12445510c45a137998fed7b3623cd73b
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Fri Sep 26 17:19:57 2014 +0200

    Updated Norwegian bokmål translation.

M	po/nb.po

commit 745951830f23f76e220882991495676d7e58eced
Author: Saibal Ray <sray@redhat.com>
Date:   Wed Sep 24 05:41:15 2014 +0000

    Updated Bengali (India) translation

M	po/bn_IN.po

commit 75516ac5fabcb52366a71ba9e12b07cdcdfc803d
Author: Krishnababu Krothapalli <k.meetme@gmail.com>
Date:   Tue Sep 23 14:20:48 2014 +0000

    Updated Telugu translation

M	po/te.po

commit efea518eadeef2edf03be8041b3eaa6d410113b5
Author: Shankar Prasad <prasad.mvs@gmail.com>
Date:   Mon Sep 22 06:49:38 2014 +0000

    Updated Kannada translation

M	po/kn.po

commit 90c05f9db144bb8b33de835ca573b117617677cc
Author: Manoj Kumar Giri <mgiri@redhat.com>
Date:   Wed Sep 17 11:30:50 2014 +0000

    Updated Oriya translation

M	po/or.po

commit ec1d22a78243465841a8cc5a6aea1e1d73dc918e
Author: Rajesh Ranjan <rajeshkajha@yahoo.com>
Date:   Wed Sep 17 05:57:05 2014 +0000

    Updated Hindi translation

M	po/hi.po

commit 613116c6c2f9b8e003bf8c6c08a34d708203e4fe
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Tue Sep 16 18:12:49 2014 +0200

    Added Slovenian translation

M	po/sl.po

commit b805441ab2f3e510fc6336326f9a2c065041d433
Author: Stas Solovey <whats_up@tut.by>
Date:   Mon Sep 15 22:27:46 2014 +0000

    Updated Russian translation

M	po/ru.po

commit 13c82297ddfec6897ce7bbf808526cd4565b0e0a
Author: Shantha kumar <shantha.thamizh@gmail.com>
Date:   Mon Sep 15 13:41:03 2014 +0000

    Updated Tamil translation

M	po/ta.po

commit 68b92f4aa5a21e64e588a50c5b9f080beca0cbbe
Author: Balázs Úr <urbalazs@gmail.com>
Date:   Thu Sep 11 18:23:06 2014 +0000

    Updated Hungarian translation

M	po/hu.po

commit e7e545b6f6cdd9b751c894f3293209b50e4fbe6f
Author: Sandeep Sheshrao Shedmake <sshedmak@redhat.com>
Date:   Thu Sep 11 18:18:48 2014 +0530

    Corrected a fuzzy entry for 'mr'

M	po/mr.po

commit 9fb12416e2771b9cb8d6f6e56ef831d624967ff1
Author: Sandeep Sheshrao Shedmake <sshedmak@redhat.com>
Date:   Thu Sep 11 18:05:19 2014 +0530

    Updated Marathi Translations

M	po/mr.po

commit b0e7b8d066622e7a24253e5517656df71013d153
Author: Sweta Kothari <swkothar@redhat.com>
Date:   Thu Sep 11 11:14:50 2014 +0530

    Updated gujarati translations

M	po/gu.po

commit 313a11d1a72e60e1f02271ec1b07682f8968506b
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Wed Sep 10 15:47:48 2014 +0200

    Fix a tag in Hungarian help translation

M	help/clock/hu/hu.po

commit 3504f7b832c61fe15805c198e774ba4a23aad973
Author: Nilamdyuti Goswami <ngoswami@redhat.com>
Date:   Tue Sep 9 09:11:58 2014 +0000

    Updated Assamese translation

M	po/as.po

commit 0a4c2ffbb25e289e4da405e3caa182483299efbb
Author: Andika Triwidada <andika@gmail.com>
Date:   Fri Sep 5 01:14:48 2014 +0000

    Updated Indonesian translation

M	po/id.po

commit edf12e298f14575267426173ab3c814efdfa9766
Author: Daniel Mustieles <dnaiel.mustieles@gmail.com>
Date:   Mon Sep 1 19:33:17 2014 +0200

    Updated Spanish translation

M	po/es.po

commit 603a096b572e364c4867fdfdbfb8fa139081c39f
Author: Olav Vitters <olav@vitters.nl>
Date:   Wed Jul 30 21:06:43 2014 +0200

    doap category other

M	gnome-panel.doap

commit f8f23188f159025675f630d204d31076a25fa9a4
Author: Balázs Úr <urbalazs@src.gnome.org>
Date:   Wed Jul 23 10:14:19 2014 +0200

    [help/clock] Initial Hungarian translation

M	help/clock/Makefile.am
A	help/clock/hu/hu.po

commit 2d7abbcf6bf5108e00faaf23362ddfea2d2bf242
Author: Balázs Úr <urbalazs@src.gnome.org>
Date:   Mon Jul 21 21:17:14 2014 +0200

    [help/fish] Initial Hungarian translation

M	help/fish/Makefile.am
A	help/fish/hu/hu.po

commit d74e8f6b34a64078df9cba35b7b0394e200ea258
Author: Marek Černocký <marek@manet.cz>
Date:   Sun Aug 24 09:42:10 2014 +0200

    Updated Czech translation

M	po/cs.po

commit 5c9e4f8b15c7f4444c1fd127cbf92ed7d16e32a2
Author: Enrico Nicoletto <liverig@gmail.com>
Date:   Tue Aug 26 19:53:35 2014 +0000

    Updated Brazilian Portuguese translation

M	po/pt_BR.po

commit 2859561c4156efa4555132877185f93f22d5740f
Author: Philipp Kaluza <phk@src.gnome.org>
Date:   Sun Aug 24 13:15:34 2014 +0200

    post-release version bump for 3.9 series

M	configure.ac

commit 8a0fefddefe262457dee5a51436373ea987aa6ac
Author: Philipp Kaluza <phk@src.gnome.org>
Date:   Fri Aug 22 18:58:21 2014 +0200

    NEWS file: add deprecation announcement and some more tweaks

M	NEWS

commit 92694c6fd5ecedbbd163323e196920fe802304d7
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Fri Aug 22 18:04:45 2014 +0200

    Updated Polish translation

M	po/pl.po

commit aba45952db81b9a593a6bb674c2fd8113a58bff9
Author: Philipp Kaluza <phk@src.gnome.org>
Date:   Fri Aug 22 16:59:30 2014 +0200

    Update all translations to current POT

M	po/af.po
M	po/am.po
M	po/ar.po
M	po/as.po
M	po/ast.po
M	po/az.po
M	po/be.po
M	po/be@latin.po
M	po/bg.po
M	po/bn.po
M	po/bn_IN.po
M	po/br.po
M	po/bs.po
M	po/ca.po
M	po/ca@valencia.po
M	po/crh.po
M	po/cs.po
M	po/csb.po
M	po/cy.po
M	po/da.po
M	po/de.po
M	po/dz.po
M	po/el.po
M	po/en@shaw.po
M	po/en_CA.po
M	po/en_GB.po
M	po/eo.po
M	po/es.po
M	po/et.po
M	po/eu.po
M	po/fa.po
M	po/fi.po
M	po/fr.po
M	po/fur.po
M	po/fy.po
M	po/ga.po
M	po/gl.po
M	po/gu.po
M	po/gv.po
M	po/ha.po
M	po/he.po
M	po/hi.po
M	po/hr.po
M	po/hu.po
M	po/hy.po
M	po/id.po
M	po/ig.po
M	po/is.po
M	po/it.po
M	po/ja.po
M	po/ka.po
M	po/kk.po
M	po/km.po
M	po/kn.po
M	po/ko.po
M	po/ku.po
M	po/ky.po
M	po/la.po
M	po/li.po
M	po/lt.po
M	po/lv.po
M	po/mai.po
M	po/mg.po
M	po/mi.po
M	po/mk.po
M	po/ml.po
M	po/mn.po
M	po/mr.po
M	po/ms.po
M	po/my.po
M	po/nb.po
M	po/nds.po
M	po/ne.po
M	po/nl.po
M	po/nn.po
M	po/nso.po
M	po/oc.po
M	po/or.po
M	po/pa.po
M	po/pl.po
M	po/ps.po
M	po/pt.po
M	po/pt_BR.po
M	po/ro.po
M	po/ru.po
M	po/rw.po
M	po/si.po
M	po/sk.po
M	po/sl.po
M	po/sq.po
M	po/sr.po
M	po/sr@ije.po
M	po/sr@latin.po
M	po/sv.po
M	po/ta.po
M	po/te.po
M	po/th.po
M	po/tr.po
M	po/ug.po
M	po/uk.po
M	po/uz.po
M	po/uz@cyrillic.po
M	po/vi.po
M	po/wa.po
M	po/xh.po
M	po/yi.po
M	po/yo.po
M	po/zh_CN.po
M	po/zh_HK.po
M	po/zh_TW.po
M	po/zu.po

commit 4867a999eaceb4194bda01091daf330e1cf60190
Author: Philipp Kaluza <phk@src.gnome.org>
Date:   Fri Aug 22 16:17:45 2014 +0200

    update NEWS file for release

M	NEWS

commit b23eae361a4688624d8eed1e564e20b45f0a86bc
Author: Philipp Kaluza <phk@src.gnome.org>
Date:   Tue Aug 12 15:02:22 2014 +0200

    Bump version to 3.8.1
    
    in preparation for release.

M	configure.ac

commit 03f0c9a73a06ce6a26356185ab92c49eeaa021b2
Author: Dmitry Shachnev <mitya57@gmail.com>
Date:   Wed Nov 27 18:47:55 2013 +0400

    Add session description for Flashback mode with Compiz
    
    This is _not_ a supported mode for Gnome Flashback.
    We don't install these session files by default.
    
    These files are here only as a convenience for our downstream Ubuntu,
    to make it easier to collect translations for this session description.
    
    Signed-off-by: Philipp Kaluza <floss@ghostroute.eu>

M	data/Makefile.am
A	data/gnome-flashback-compiz.desktop.in.in
A	data/gnome-flashback-compiz.session.desktop.in
M	po/POTFILES.in

commit 81fd7ad51cd581ca3cf6ce0a9da4eb466a24b3f3
Author: Marek Černocký <marek@manet.cz>
Date:   Sat May 31 15:12:31 2014 +0200

    Updated Czech translation

M	po/cs.po

commit ab71b98a4e2399df951b1d1a265f8fe32c480eb1
Author: Balázs Úr <urbalazs@src.gnome.org>
Date:   Fri Feb 28 21:34:51 2014 +0100

    Updated Hungarian translation

M	po/hu.po

commit 562f4bd9d31f6ac888b8c4344d06db27a6c60942
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:   Tue Jan 28 18:35:01 2014 +0100

    Updated Serbian translation

M	po/sr.po
M	po/sr@latin.po

commit f0b302a773a485ae09e5fcaa7b68c76576ec9124
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Sun Dec 22 19:23:44 2013 +0100

    Updated Slovenian translation

M	po/sl.po

commit 8e3f507818901f2f68e4dbca325d39c99ae7e225
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Thu Dec 12 11:43:10 2013 +0100

    Updated Spanish translation

M	po/es.po

commit 5688885f1866a6f5ccff4bb45304f5acc8390c71
Author: Marek Černocký <marek@manet.cz>
Date:   Sat Dec 7 18:44:57 2013 +0100

    Updated Czech translation

M	po/cs.po

commit b9f347f322c831213617820c303c6a2b19cb2275
Author: MarMav <mavridou@gmail.com>
Date:   Mon Aug 11 09:30:07 2014 +0000

    Updated Greek translation

M	po/el.po

commit bd08241d9690bdb84bce89e29f1e14587c051516
Author: Alberts Muktupāvels <alberts.muktupavels@gmail.com>
Date:   Tue Jun 3 10:23:59 2014 +0300

    Use correct applications .menu file
    * gnome-menus renamed applications.menu to gnome-applications.menu
      since 3.7.90 version. Update to reflect this change.
    * Bump required libgnome-menu-3.0 version to 3.7.90

M	configure.ac
M	gnome-panel/menu.c
M	gnome-panel/panel-addto.c
M	gnome-panel/panel-menu-bar.c
M	gnome-panel/panel-menu-button.c
M	gnome-panel/panel-run-dialog.c

commit 4bf27c93347538a519ff04bb11f1248cec8b53a4
Author: Alberts Muktupāvels <alberts.muktupavels@gmail.com>
Date:   Sun May 25 15:50:47 2014 +0300

    button-widget.c: fix deprecated warnings

M	gnome-panel/button-widget.c

commit b1573ec09cb13a590cb18bddb6fd9eb93f79c207
Author: Sebastian Geiger <sbastig@gmx.net>
Date:   Fri May 23 19:49:13 2014 +0200

    Clock Applet: Cleanup
    
     * Remove deprecated widgets like Gtk[VH]Box
       GtkTable, etc.

M	applets/clock/clock.ui

commit c2d9898dcb994e94212741dc0cc027a86d55a3a2
Author: Sebastian Geiger <sbastig@gmx.net>
Date:   Fri May 23 16:00:52 2014 +0200

    Panel test dialog: Clean up
    
     * Remove deprecated stuff such as GtkVBox
       GtkTable and GtkHSeparator.
    
    Signed-off-by: Alberts Muktupāvels <alberts.muktupavels@gmail.com>

M	gnome-panel/panel-test-applets.ui

commit 96e1070f3c7c69282283b19d6b7b5ef93a10fe15
Author: Alberts Muktupāvels <alberts.muktupavels@gmail.com>
Date:   Fri May 23 17:43:25 2014 +0300

    Fix clock applet preferences
    Reload locations list in preferences dialog when new location is
    added or removed.

M	applets/clock/clock.c

commit 8d7cb2b776a3a1f2612474605cad31e3c341caf6
Author: Alberts Muktupāvels <alberts.muktupavels@gmail.com>
Date:   Fri May 23 17:11:11 2014 +0300

    Fix clock crash when adding new location

M	applets/clock/clock.c

commit d51fd356ccfe68206a35c83369bbea91a7fcce2b
Author: Sebastian Geiger <sbastig@gmx.net>
Date:   Fri May 23 15:32:09 2014 +0200

    Panel properties dialog: Clean up
    
     * Remove deprecated widgets such as
       GtkTable, Gtk[VH]Box, GtkHScale
    
    Signed-off-by: Alberts Muktupāvels <alberts.muktupavels@gmail.com>

M	gnome-panel/panel-properties-dialog.ui

commit 58d695b16ab64d80ca2d9bb574b8fed8d4b0f1b2
Author: Jonathan Carter <jocarter@linux.com>
Date:   Thu May 22 19:48:25 2014 +0200

    Remove myself from maintainers

M	MAINTAINERS

commit dc139c3ff361bc16ce79ee72590b2b8345126b56
Author: Sebastian Geiger <sbastig@gmx.net>
Date:   Wed May 21 12:37:14 2014 +0200

    Update panel run dialog
    
    Signed-off-by: Alberts Muktupāvels <alberts.muktupavels@gmail.com>

M	gnome-panel/panel-run-dialog.ui

commit 294d7d7b9d304f1d8e6b8df9e7156aa45b69f3a0
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Fri Apr 4 18:57:02 2014 +0200

    doap: update URLs

M	gnome-panel.doap

commit 4df9f4ea746468f948516de8b8a8ac48367dbd84
Author: Alberts Muktupāvels <alberts.muktupavels@gmail.com>
Date:   Mon Feb 24 10:08:17 2014 +0200

    gnome-panel.desktop: remove StartupNotify line
    
    With new glib (2.39.1+) versio gnome-panel failed to register
    with session manager allways reaching timeout. This simple commit
    fix that bug.

M	gnome-panel/gnome-panel.desktop.in.in

commit 4afb14167a29dd61f5fdefbce20e45442994f1a1
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Thu Jan 23 12:57:54 2014 +0100

    Updated FSF's address

M	applets/clock/calendar-client.c
M	applets/clock/calendar-client.h
M	applets/clock/calendar-debug.h
M	applets/clock/calendar-sources.c
M	applets/clock/calendar-sources.h
M	applets/clock/calendar-window.c
M	applets/clock/calendar-window.h
M	applets/clock/clock-sunpos.c
M	applets/clock/clock-utils.c
M	applets/clock/clock-utils.h
M	applets/clock/clock.c
M	applets/clock/clock.h
M	applets/clock/set-timezone.c
M	applets/clock/set-timezone.h
M	applets/clock/system-timezone.c
M	applets/clock/system-timezone.h
M	applets/clock/test-system-timezone.c
M	applets/fish/fish.c
M	applets/notification_area/fixedtip.c
M	applets/notification_area/fixedtip.h
M	applets/notification_area/main.c
M	applets/notification_area/main.h
M	applets/notification_area/na-tray-child.c
M	applets/notification_area/na-tray-child.h
M	applets/notification_area/na-tray-manager.c
M	applets/notification_area/na-tray-manager.h
M	applets/notification_area/na-tray.c
M	applets/notification_area/na-tray.h
M	applets/notification_area/testtray.c
M	applets/wncklet/showdesktop.c
M	applets/wncklet/showdesktop.h
M	applets/wncklet/window-menu.c
M	applets/wncklet/window-menu.h
M	applets/wncklet/wncklet.c
M	applets/wncklet/wncklet.h
M	gnome-panel/libegg/eggdesktopfile.c
M	gnome-panel/libegg/eggdesktopfile.h
M	gnome-panel/libegg/eggsmclient-private.h
M	gnome-panel/libegg/eggsmclient-xsmp.c
M	gnome-panel/libegg/eggsmclient.c
M	gnome-panel/libegg/eggsmclient.h
M	gnome-panel/libpanel-applet-private/panel-applet-container.c
M	gnome-panel/libpanel-applet-private/panel-applet-container.h
M	gnome-panel/libpanel-applet-private/panel-applet-frame-dbus.c
M	gnome-panel/libpanel-applet-private/panel-applet-frame-dbus.h
M	gnome-panel/libpanel-applet-private/panel-applets-manager-dbus.c
M	gnome-panel/libpanel-applet-private/panel-applets-manager-dbus.h
M	gnome-panel/libpanel-util/panel-cleanup.c
M	gnome-panel/libpanel-util/panel-cleanup.h
M	gnome-panel/libpanel-util/panel-dconf.c
M	gnome-panel/libpanel-util/panel-dconf.h
M	gnome-panel/libpanel-util/panel-error.c
M	gnome-panel/libpanel-util/panel-error.h
M	gnome-panel/libpanel-util/panel-glib.c
M	gnome-panel/libpanel-util/panel-glib.h
M	gnome-panel/libpanel-util/panel-gsettings.c
M	gnome-panel/libpanel-util/panel-gsettings.h
M	gnome-panel/libpanel-util/panel-gtk.c
M	gnome-panel/libpanel-util/panel-gtk.h
M	gnome-panel/libpanel-util/panel-icon-chooser.c
M	gnome-panel/libpanel-util/panel-icon-chooser.h
M	gnome-panel/libpanel-util/panel-keyfile.c
M	gnome-panel/libpanel-util/panel-keyfile.h
M	gnome-panel/libpanel-util/panel-launch.c
M	gnome-panel/libpanel-util/panel-launch.h
M	gnome-panel/libpanel-util/panel-list.c
M	gnome-panel/libpanel-util/panel-list.h
M	gnome-panel/libpanel-util/panel-screensaver.c
M	gnome-panel/libpanel-util/panel-screensaver.h
M	gnome-panel/libpanel-util/panel-session-manager.c
M	gnome-panel/libpanel-util/panel-session-manager.h
M	gnome-panel/libpanel-util/panel-show.c
M	gnome-panel/libpanel-util/panel-show.h
M	gnome-panel/libpanel-util/panel-xdg.c
M	gnome-panel/libpanel-util/panel-xdg.h
M	gnome-panel/menu.c
M	gnome-panel/menu.h
M	gnome-panel/panel-a11y.c
M	gnome-panel/panel-a11y.h
M	gnome-panel/panel-action-button.c
M	gnome-panel/panel-action-button.h
M	gnome-panel/panel-action-protocol.c
M	gnome-panel/panel-action-protocol.h
M	gnome-panel/panel-addto.c
M	gnome-panel/panel-addto.h
M	gnome-panel/panel-applet-frame.c
M	gnome-panel/panel-applet-frame.h
M	gnome-panel/panel-applet-info.c
M	gnome-panel/panel-applet-info.h
M	gnome-panel/panel-applets-manager.c
M	gnome-panel/panel-applets-manager.h
M	gnome-panel/panel-background-monitor.c
M	gnome-panel/panel-background-monitor.h
M	gnome-panel/panel-background.c
M	gnome-panel/panel-background.h
M	gnome-panel/panel-bindings.c
M	gnome-panel/panel-bindings.h
M	gnome-panel/panel-compatibility.c
M	gnome-panel/panel-compatibility.h
M	gnome-panel/panel-context-menu.c
M	gnome-panel/panel-context-menu.h
M	gnome-panel/panel-ditem-editor.c
M	gnome-panel/panel-ditem-editor.h
M	gnome-panel/panel-enums-gsettings.h
M	gnome-panel/panel-enums.h
M	gnome-panel/panel-force-quit.c
M	gnome-panel/panel-force-quit.h
M	gnome-panel/panel-frame.c
M	gnome-panel/panel-frame.h
M	gnome-panel/panel-gconf.c
M	gnome-panel/panel-gconf.h
M	gnome-panel/panel-globals.h
M	gnome-panel/panel-layout.c
M	gnome-panel/panel-layout.h
M	gnome-panel/panel-lockdown.c
M	gnome-panel/panel-lockdown.h
M	gnome-panel/panel-menu-bar-object.c
M	gnome-panel/panel-menu-bar-object.h
M	gnome-panel/panel-menu-bar.c
M	gnome-panel/panel-menu-bar.h
M	gnome-panel/panel-menu-button.c
M	gnome-panel/panel-menu-button.h
M	gnome-panel/panel-menu-items.c
M	gnome-panel/panel-menu-items.h
M	gnome-panel/panel-modules.c
M	gnome-panel/panel-modules.h
M	gnome-panel/panel-object-loader.c
M	gnome-panel/panel-object-loader.h
M	gnome-panel/panel-properties-dialog.c
M	gnome-panel/panel-properties-dialog.h
M	gnome-panel/panel-recent.c
M	gnome-panel/panel-recent.h
M	gnome-panel/panel-run-dialog.c
M	gnome-panel/panel-run-dialog.h
M	gnome-panel/panel-separator.c
M	gnome-panel/panel-separator.h
M	gnome-panel/panel-session.c
M	gnome-panel/panel-session.h
M	gnome-panel/panel-shell.c
M	gnome-panel/panel-shell.h
M	gnome-panel/panel-stock-icons.c
M	gnome-panel/panel-stock-icons.h
M	gnome-panel/panel-struts.c
M	gnome-panel/panel-struts.h
M	gnome-panel/panel-toplevel.c
M	gnome-panel/panel-toplevel.h
M	gnome-panel/panel-user-menu.c
M	gnome-panel/panel-user-menu.h
M	gnome-panel/panel-xutils.c
M	gnome-panel/panel-xutils.h
M	libpanel-applet/panel-applet-bindings.c
M	libpanel-applet/panel-applet-bindings.h
M	libpanel-applet/panel-applet-factory.c
M	libpanel-applet/panel-applet-factory.h
M	libpanel-applet/panel-applet-gconf.c
M	libpanel-applet/panel-applet-gconf.h
M	libpanel-applet/panel-applet.c
M	libpanel-applet/panel-applet.h

commit fd0dfcd119e4fe627cf64bf176bee0fd01fdcc6f
Author: Alberts Muktupāvels <alberts.muktupavels@gmail.com>
Date:   Sat Dec 28 15:32:34 2013 +0200

    showdesktop: Use named icons rather than (deprecated) stock items.

M	applets/wncklet/showdesktop.c

commit dbd7cd4327d4dd02512a513b2b74497dab6b8b8a
Author: Alberts Muktupāvels <alberts.muktupavels@gmail.com>
Date:   Sat Dec 28 15:22:32 2013 +0200

    configure.ac: remove bonobo line

M	configure.ac

commit fc24d8fa623c4cf841eb5168cb1c250b4a84d4da
Author: Alberts Muktupāvels <alberts.muktupavels@gmail.com>
Date:   Sun Dec 8 14:07:29 2013 +0200

    panel: fix problem when panel size not updated
    
    1. Don't set requisition->[width/height] to panel->size in
    panel_widget_size_request.
    Example 1: Monitor with 1024x768px resolution with horizontal panel and we want
    rotate it. panel->size is 1024px, when we rotate panel panel_widget_size_request
    is called to get preferred width and height. We expect panel height to be 768px,
    bet it will be set to 1024px. We don't want this.
    Example 2: When enabling show hide buttons again we are forcing width to be
    panel->size and at the end panel total width is arrow width * 2 + panel->size
    which makes panel larger than our screens width.
    
    2. Lets call gtk_widget_size_allocate in panel_toplevel_check_resize always not
    only when size is NOT changed. Doing this will fix these current problems:
    * Making expanded panel unexpanded. Currently applets on right side is not
      available.
    * Starting panel in non expanded state. Currently it is completely useless, no
      applets are shown. Expanding it does not fix it until panel is restarted.
    * Clicking on 'show hide buttons'. Currently buttons simply does not show.
    * Changing panel orientation. Currently after orientation changing applets are
      not updated or even whole panel widget remains in its old orientation.
    * Left / right orientation panels are empty when starting panel.
    * Changing resolution. Currently when resolution is changed panel size is not
      updated making part of panel unavailable if new resolution is smaller.
    
    I am not sure if this is 100% right way to fix these problems, but I think
    better fix this way rather keeping these problems not fixed.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=709549
    https://bugzilla.gnome.org/show_bug.cgi?id=704622
    https://bugzilla.gnome.org/show_bug.cgi?id=577767

M	gnome-panel/panel-toplevel.c

commit 0021c4741af748b634989ac0829d7aab8b103e80
Author: Alberts Muktupāvels <alberts.muktupavels@gmail.com>
Date:   Sat Dec 7 21:24:21 2013 +0200

    panel: simplify panel_toplevel_check_resize function
    
    There is no need to use two GtkAllocation variables. And there is
    no need to set requisition.[width/height] to -1 before using in
    gtk_widget_get_preferred_size.
    
    Signed-off-by: Philipp Kaluza <floss@ghostroute.eu>

M	gnome-panel/panel-toplevel.c

commit 150bb6398c5393fd99d26912a0aa26dbdf20fa59
Author: Alberts Muktupāvels <alberts.muktupavels@gmail.com>
Date:   Sat Dec 7 21:14:50 2013 +0200

    PanelWidget: remove unused variable - thick
    
    Signed-off-by: Philipp Kaluza <floss@ghostroute.eu>

M	gnome-panel/panel-widget.c
M	gnome-panel/panel-widget.h

commit c5fedec7c7b4e10d11381fc54c02a19fd23394aa
Author: Alberts Muktupāvels <alberts.muktupavels@gmail.com>
Date:   Sat Dec 7 20:15:44 2013 +0200

    clock: workaround gweather crash when closing preferences dialog
    
    gweather_location_entry_set_location allows using NULL to clear
    entry, but there is bug - #708586. So for now don't use this
    function, and no-op.  That bug is fixed in libgweather 3.10.1
    version.
    
    Known regressions:
     - when adding / removing places, places list is not updated
       until the preferences window is reopened.
     - clock still crashed on some locations
    Document that this is a temporary workaround.
    
    Signed-off-by: Philipp Kaluza <floss@ghostroute.eu>

M	applets/clock/clock.c

commit 3ab4888810fa2b0dea83387fc44092f99951f01e
Author: Alberts Muktupāvels <alberts.muktupavels@gmail.com>
Date:   Sat Dec 7 14:35:06 2013 +0200

    fix building with gweather 3.9.2 or newer
    
    Fix gnome-panel building when using gweather 3.9.2 or newer. This
    fixes bug #711380.

M	applets/clock/clock-location.c
M	configure.ac

commit a1b325a70783cb8c9622b7c1e57e975830edd89c
Author: Alberts Muktupāvels <alberts.muktupavels@gmail.com>
Date:   Sat Dec 7 13:38:36 2013 +0200

    panel: create better applet/object names

M	gnome-panel/panel-layout.c

commit a6cadc6fd74c04dfd379e65e7f06db4fcd216402
Author: Alberts Muktupāvels <alberts.muktupavels@gmail.com>
Date:   Mon Nov 18 21:57:05 2013 +0200

    clock: remove no longer needed code
    
    1) size_request is not valid signal anymore.
    2) Removed code was added in 2003-08-19 to fix bugs - #110005
    and #120188. I think these bugs are not valid anymore as I could
    not reproduce any jumping. Tried with different fonts.
    3) size variable was completely unneded.

M	applets/clock/clock.c

commit bdd7bda061e9d927bc84a6299b29165d82d82341
Author: Alberts Muktupāvels <alberts.muktupavels@gmail.com>
Date:   Sun Nov 17 16:24:33 2013 +0200

    panel: show launcher edit dialog on correct screen

M	gnome-panel/launcher.c

commit e61fdce47bfebd68d502d431c73914d814a2f1d2
Author: Alberts Muktupāvels <alberts.muktupavels@gmail.com>
Date:   Sun Nov 17 01:22:15 2013 +0200

    libpanel-applet: show applet edit popup on correct screen

M	libpanel-applet/panel-applet.c

commit e5c4f808e640069ced424cc5138aa0c209c965f0
Author: Alberts Muktupāvels <alberts.muktupavels@gmail.com>
Date:   Sat Nov 16 22:50:55 2013 +0200

    libpanel-applet-private: fix typo in Makefile.am

M	gnome-panel/libpanel-applet-private/Makefile.am

commit 0e226096601ae5d6299f9d44b3a416f600bf396e
Author: Alberts Muktupāvels <alberts.muktupavels@gmail.com>
Date:   Sun Oct 6 15:41:41 2013 +0300

    notification_area: fix deprecated warnings

M	applets/notification_area/testtray.c

commit 4511f4466df0b163906794b4a32196226ccf90f3
Author: Alberts Muktupāvels <alberts.muktupavels@gmail.com>
Date:   Mon Oct 7 12:32:42 2013 +0300

    panel: fix check_resize_function

M	gnome-panel/panel-toplevel.c
M	gnome-panel/panel-widget.c

commit 3e81fb1ee7d3f35360aa69909ef1ecd030cd88f4
Author: Lasse Liehu <lasse.liehu@gmail.com>
Date:   Fri May 30 15:37:17 2014 +0300

    Finnish translation update

M	po/fi.po

commit 82e03ed642715fac6095c4070d6e3f7e3e7323e9
Author: Inaki Larranaga Murgoitio <dooteo@zundan.com>
Date:   Fri May 2 12:22:04 2014 +0200

    Updated Basque language

M	po/eu.po

commit 86dd5486070fbd48bd1928779c66168db41e9f85
Author: Stas Solovey <whats_up@tut.by>
Date:   Thu Apr 17 13:21:07 2014 +0000

    Updated Russian translation

M	po/ru.po

commit cacedc2379a3d5a595fed9c0f97a0230684455f5
Author: michaeljayt <michaeljayt@gmail.com>
Date:   Sun Dec 1 15:59:20 2013 +0800

    Update Chinese simplified translation

M	po/zh_CN.po

commit f465303b9b3552d368deeb0e13b7c6dd7ef290b6
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:   Fri Oct 11 10:53:27 2013 +0200

    Updated Serbian translation

M	po/sr.po
M	po/sr@latin.po

commit 18aa7a9171f9c4b3462d5bb189249281750d0def
Author: Jethro Beekman <gnome-bugzilla@jbeekman.nl>
Date:   Thu Oct 24 11:46:27 2013 +0200

    clock: make calendar window remember location expander state

M	applets/clock/calendar-window.c

commit 076c55b72f4fe0ec79beddf6a10bb1526729c797
Author: Rūdolfs Mazurs <rudolfsm@src.gnome.org>
Date:   Tue Oct 8 02:46:19 2013 +0300

    Updated Latvian translation

M	po/lv.po

commit d7d0efa55a26cce3f62b05610b80b37cfd61a8a3
Author: Alberts Muktupāvels <alberts.muktupavels@gmail.com>
Date:   Sat Sep 28 18:56:48 2013 +0300

    panel, libpanel-applet: use gdk_device_manager_get_client_pointer
    
    to get device (not gtk_get_current_event_device)

M	gnome-panel/applet.c
M	gnome-panel/panel-toplevel.c
M	gnome-panel/panel-widget.c
M	libpanel-applet/panel-applet.c

commit 87a70e220b22e1edefeb9815e3f7b7c0b859868c
Author: Conn O Griofa <connogriofa@gmail.com>
Date:   Wed Aug 12 17:22:58 2009 +0100

    panel: Increases the number of bookmarks visible in Places
    
    before overflowing to a submenu.
    Fixes bug https://bugs.launchpad.net/ubuntu/+source/gnome-panel/+bug/204567

M	gnome-panel/panel-menu-items.c

commit 95e7989915793193e9234ed91301d8d2b4197f1e
Author: Philipp Kaluza <phk@src.gnome.org>
Date:   Fri Sep 27 12:55:30 2013 +0200

    hashify email address

M	gnome-panel.doap

commit e2a1974f4b3c70c9f500c5418aa664221bdab149
Author: Philipp Kaluza <phk@src.gnome.org>
Date:   Wed Sep 25 16:07:39 2013 +0200

    Update NEWS file and release gnome-panel 3.8.0

M	NEWS
M	configure.ac

commit 15890b893c87bb35b422830b22f1c26d4cae4809
Author: Philipp Kaluza <phk@src.gnome.org>
Date:   Wed Sep 25 17:36:39 2013 +0200

    also distribute gnome-session-flashback.in in tarballs

M	gnome-panel/Makefile.am

commit ce8b3fcb101d1795bb3ab99f767e60b44f4a08e8
Author: Alberts Muktupāvels <alberts.muktupavels@gmail.com>
Date:   Sat Aug 17 01:00:37 2013 +0300

    panel: fix gnome-panel background
    
    Closes bug https://bugzilla.gnome.org/show_bug.cgi?id=704203

M	gnome-panel/panel-widget.c

commit b9d4b2c21b2ed757aa64169e7cc07523ba9c3965
Author: Alberts Muktupāvels <alberts.muktupavels@gmail.com>
Date:   Sat Aug 17 01:00:37 2013 +0300

    panel: fix deprecated warnings (part 2)

M	gnome-panel/panel-properties-dialog.c
M	gnome-panel/panel-toplevel.c

commit dde999b0ba9d444f5d97ff13179a585dfe1ee711
Author: Alberts Muktupāvels <alberts.muktupavels@gmail.com>
Date:   Fri Aug 16 23:17:21 2013 +0300

    panel: fix deprecated warnings (part 1)

M	gnome-panel/applet.c
M	gnome-panel/libpanel-util/panel-icon-chooser.c
M	gnome-panel/panel-toplevel.c
M	gnome-panel/panel-util.c
M	gnome-panel/panel-widget.c
M	libpanel-applet/panel-applet.c

commit 03d09b99ee1d5d3ffd48bdc0800a8266ed0515a0
Author: Philipp Kaluza <phk@src.gnome.org>
Date:   Wed Sep 25 15:26:33 2013 +0200

    panel: fix an uninitialized variable warning

M	gnome-panel/panel-layout.c

commit 3261131e2f3c93fe6238c2d3c7f7f40a14ec7969
Author: Alberts Muktupāvels <alberts.muktupavels@gmail.com>
Date:   Wed Sep 25 15:16:09 2013 +0200

    panel: create panel objects on correct screen panels when using separate x screens
    
    This fixes bug: https://bugzilla.gnome.org/show_bug.cgi?id=704019
    
    Signed-off-by: Philipp Kaluza <phk@src.gnome.org>

M	gnome-panel/panel-layout.c

commit ce1d5b3d1ee1a50337cf80a8a838e3d397a785bb
Author: Philipp Kaluza <phk@src.gnome.org>
Date:   Tue Sep 24 03:52:27 2013 +0200

    oops, add myself here also

M	MAINTAINERS

commit c33d699e5a701ff29045442af178f1fbd29a0df7
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Mon Sep 23 22:22:05 2013 +0200

    Updated POTFILES.in and POTFILES.skip

M	po/POTFILES.in
M	po/POTFILES.skip

commit 4e2e5aa9c550ce86ca0fea85b0ea62b00a060f63
Author: Philipp Kaluza <phk@src.gnome.org>
Date:   Mon Sep 23 19:06:27 2013 +0200

    add a wrapper script "gnome-session-flashback"
    
    ... and launch that from the X session description.
    
    This avoids listing parameters in the .desktop in a way which was
    problematic, and gives us a place to set up some logging when
    debugging gnome-session.

M	data/Makefile.am
R059	data/gnome-fallback.desktop.in	data/gnome-fallback.desktop.in.in
M	gnome-panel/Makefile.am
A	gnome-panel/gnome-session-flashback.in

commit 7c4ae3d229e297b79b497b1621fc2a0f99d34c0e
Author: Philipp Kaluza <phk@src.gnome.org>
Date:   Mon Sep 23 16:08:48 2013 +0200

    finally grasp the nettle - add myself as maintainer

M	gnome-panel.doap

commit 643c3f889921a31db6c52438e3178960a36c07b3
Author: Joe Hansen <joedalton2@yahoo.dk>
Date:   Wed Sep 11 22:26:28 2013 +0200

    Updated Danish translation

M	po/da.po

commit 7997067fbf656e4ebfb27da946e61dd8b9c52b89
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:   Wed Aug 28 01:04:02 2013 +0200

    Updated Galician translations

M	po/gl.po

commit 3d516a1ed39a3c6ebfa3df677b43fe312f9e2457
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Tue Aug 20 23:33:20 2013 +0200

    Updated Polish translation

M	po/pl.po

commit c49a64bb1dbe611603211dd1f9fe01df44cc1fda
Author: Aurimas Černius <aurisc4@gmail.com>
Date:   Sun Aug 18 23:01:37 2013 +0300

    Updated Lithuanian translation

M	po/lt.po

commit 170f0a302c62fc7eba1c98753ecd989ed1961c7d
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Sun Aug 11 02:25:09 2013 +0200

    Updated Polish translation

M	po/pl.po

commit aff1d6dabd57d7d851569a0467032b2e844205c9
Author: Christian Kirbach <christian.kirbach@gmail.com>
Date:   Thu Jul 11 19:56:23 2013 +0200

    Updated German translation

M	po/de.po

commit e3fbb347355ce5b370de6a96148e9f24dcfc4cad
Author: Jeremy Bicha <jbicha@ubuntu.com>
Date:   Wed Jul 10 13:46:51 2013 -0400

    panel: fix misspelling
    
    Thanks http://lintian.debian.org/

M	gnome-panel/panel-action-button.c

commit 2a400d850861e0f9805f783a103b8914cf1b5e34
Author: Rafael Ferreira <rafael.f.f1@gmail.com>
Date:   Wed Jul 3 20:57:02 2013 -0300

    Updated Brazilian POrtuguese translation

M	po/pt_BR.po

commit 628419d542ea7886f1157aadb8e82bd0c5a9326a
Author: Andika Triwidada <andika@gmail.com>
Date:   Tue Jul 2 15:18:15 2013 +0700

    Updated Indonesian translation

M	po/id.po

commit edbb7190af57a1b3c5371cdbd2c09b924c3de400
Author: Jeremy Bicha <jbicha@ubuntu.com>
Date:   Fri Jun 28 22:27:16 2013 -0400

    Don't require nautilus-classic
    
    See https://bugzilla.gnome.org/show_bug.cgi?id=695088 for my reasons.
    If that bug is fixed, perhaps this commit can be reverted.

M	data/gnome-flashback.session.desktop.in

commit 3fb19c8e260b814949c017e4939c1e8254f9b877
Author: Jeremy Bicha <jbicha@ubuntu.com>
Date:   Thu Jun 20 13:02:42 2013 -0400

    Rename gnome-flashback.desktop to gnome-fallback.desktop for upgrades
    
    This way, users of GNOME Fallback will get GNOME Flashback automatically
    when they upgrade to this version instead of getting the system default
    since the old .desktop didn't exist any more.

M	data/Makefile.am
R100	data/gnome-flashback.desktop.in	data/gnome-fallback.desktop.in
M	po/POTFILES.in

commit f8f498b33662fc4a2c213e65e8fe03b4ed69fa69
Author: Balázs Úr <urbalazs@src.gnome.org>
Date:   Sun Jun 16 21:07:54 2013 +0200

    Updated Hungarian translation

M	po/hu.po

commit 4b9e3e65d14a90bc12a7b10651ceaeb66beb1e70
Author: Krishnababu Krothapalli <kkrothap@redhat.com>
Date:   Tue Jun 11 14:25:48 2013 +0530

    Updated Telugu Translations

M	po/te.po

commit d2ed41a3f0b7ee6b73bd7cedc1a311c8cd427334
Author: Sandeep Sheshrao Shedmake <sshedmak@redhat.com>
Date:   Wed Jun 5 11:44:18 2013 +0530

    Updated Marathi Translations

M	po/mr.po

commit 40eb51cbfa77b8e15e3296b0c136bf97a9131c3b
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Mon Jun 3 21:45:10 2013 +0200

    Updated Slovenian translation

M	po/sl.po

commit 53f0ce44d91a71fa449df3c5dffdd3be0694e2f5
Author: Shankar Prasad <svenkate@redhat.com>
Date:   Tue May 28 18:37:42 2013 +0530

    updated kn translations

M	po/kn.po

commit 03bda9c391dc1c71f1231455f2c52e428de06a2a
Author: Shantha kumar <shkumar@redhat.com>
Date:   Mon May 27 15:34:38 2013 +0530

    Tamil Translation Updated

M	po/ta.po

commit b0787b3d8e38cb2789850fe938079971efd3242b
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Fri May 24 15:50:37 2013 +0200

    Updated Norwegian bokmål translation

M	po/nb.po

commit 0ad5a6e71cd243dbd0a062a0570a08591089886a
Author: Marek Černocký <marek@manet.cz>
Date:   Thu May 23 20:37:23 2013 +0200

    Updated Czech translation

M	po/cs.po

commit 272f4c1a325036da866168479dc453a1b55c045c
Author: ManojKumar Giri <mgiri@redhat.com>
Date:   Thu May 23 19:11:17 2013 +0530

    Updated Odia Translation.

M	po/or.po

commit d48831358d6a9081ba2b94658642298a7d733def
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Wed May 22 12:15:20 2013 +0200

    Updated Spanish translation

M	po/es.po

commit 8714810a1dcf41cf11c442bc885213ffcbc45619
Author: Nilamdyuti Goswami <ngoswami@redhat.com>
Date:   Tue May 21 14:31:57 2013 +0530

    Assamese translation updated

M	po/as.po

commit 5b8fd93746491498b316cd99d12efb7a3476939c
Author: Sweta Kothari <swkothar@redhat.com>
Date:   Tue May 21 12:57:29 2013 +0530

    Updated gujarati file

M	po/gu.po

commit 3bee9c86f8c31ba0048ac52fefad2222b9ea53c2
Author: Alberts Muktupavels <alberts.muktupavels@gmail.com>
Date:   Mon May 20 10:55:56 2013 -0400

    Fix panels in separate x screens
    
    1) Don't set screen to default screen when it exist.
    2) Set screen for menu, otherwise menu always appears on first screen.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=689610

M	gnome-panel/panel-toplevel.c
M	libpanel-applet/panel-applet.c

commit be59b44d0fd3dc93e1b240b18a0706aa6e0cc19f
Author: Jeremy Bicha <jbicha@ubuntu.com>
Date:   Mon May 20 10:24:02 2013 -0400

    Display sunrise/sunset times in local time not UTC
    
    Thanks Jethro Beekman for the report and the fix
    
    https://bugzilla.gnome.org/show_bug.cgi?id=695814

M	applets/clock/clock-location-tile.c

commit f738cf54f5cbd0483f75fb9ee396967411f1a426
Author: Jeremy Bicha <jbicha@ubuntu.com>
Date:   Mon May 20 10:14:05 2013 -0400

    Fix autoconf
    
    Thanks Balló György for the patch

M	configure.ac

commit 5a8583a77aab91fe1a369becc9453b27bf30ee70
Author: Jeremy Bicha <jbicha@ubuntu.com>
Date:   Mon May 20 10:10:34 2013 -0400

    Fix Force-Quit panel applet
    
    This patch implements handling of XInput2 extension events in the applet.
    Without this patch, the applet fails to recognize such events (either mouse
    click for killing application, or escape key for exiting), hence freezing the
    desktop.
    
    Also fix the event mask in call of gdk_device_grab() for keyboard.
    
    Author: Sébastien Villemot <sebastien@debian.org>
    http://bugs.debian.org/698740

M	gnome-panel/panel-force-quit.c

commit fcc9e21a70d390c3824559132a83a61461bcb88a
Author: Jeremy Bicha <jbicha@ubuntu.com>
Date:   Sun Feb 24 17:22:29 2013 -0500

    Add the GNOME Flashback session
    
    This was removed from gnome-session 3.7.4 so let's it add it back here
    (under new name)
    
    https://bugzilla.gnome.org/show_bug.cgi?id=694625

M	data/Makefile.am
A	data/gnome-flashback.desktop.in
A	data/gnome-flashback.session.desktop.in
M	po/POTFILES.in

commit 322f7a88901a33b1929cea0dbc2c0c78064be1a4
Author: Jeremy Bicha <jbicha@ubuntu.com>
Date:   Sun Feb 24 12:35:57 2013 -0500

    panel: move clock back between notification area and user menu
    
    To match the layout used in GNOME 2 and adopted by the new Classic
    mode for GNOME Shell
    
    https://bugzilla.gnome.org/show_bug.cgi?id=694607

M	data/panel-default-layout.layout

commit c573625b066836abfcfc2b9e4d8ff0c060d998b6
Author: Jeremy Bicha <jbicha@ubuntu.com>
Date:   Fri Jan 25 22:58:05 2013 -0500

    Bump to 3.7.0

M	configure.ac

commit 2291001db0f473e922e2e854e68f0add223b7ae6
Author: Yuri Myasoedov <omerta13@yandex.ru>
Date:   Sat May 18 22:12:19 2013 +0400

    Updated Russian translation

M	po/ru.po

commit d11a8178bb526ff5d0a09b1e8efddfc8a23db0dc
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Tue May 14 15:13:03 2013 +0200

    Updated Norwegian bokmål translation

M	po/nb.po

commit 2a015fb149c7d08974b5570d1ada580ee36de593
Author: Andika Triwidada <andika@gmail.com>
Date:   Wed Apr 3 09:46:50 2013 +0700

    Updated Indonesian translation

M	po/id.po

commit d49a27c62ae49264c7a40e28c401941fb7301662
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:   Tue Apr 2 08:54:11 2013 +0200

    Updated Serbian translation

M	po/sr.po
M	po/sr@latin.po

commit efcdff3bf082780f083161984b95a1bfe428d7e2
Author: Ani Peter <apeter@redhat.com>
Date:   Tue Mar 26 01:43:20 2013 +0530

    Completed for Malayalam

M	po/ml.po

commit 451dc3f087315cb4684ed56e362565368f1462e5
Author: Ani Peter <apeter@redhat.com>
Date:   Tue Mar 26 01:34:19 2013 +0530

    Completed for Malayalam

M	po/ml.po

commit 71c95a4d11978a962ea1b6768ab80cac65dead12
Author: Ani Peter <apeter@redhat.com>
Date:   Tue Mar 26 01:32:43 2013 +0530

    Completed for Malayalam

M	po/ml.po

commit 7ec99d44b1439f9c10f8fdbb2dea6fdb6b4d65c8
Author: Ani Peter <apeter@redhat.com>
Date:   Mon Mar 25 22:32:05 2013 +0530

    Completed for Malayalam

M	po/ml.po

commit 3a5712608b4ada68d8b7ec8d18af286787ce23fd
Author: Krishnababu Krothapalli <kkrothap@redhat.com>
Date:   Mon Mar 25 16:12:57 2013 +0530

    Updated Telugu Translations

M	po/te.po

commit 78e6c3da7fdcb44236081e4d35b8b50b98ecda98
Author: Ani Peter <apeter@redhat.com>
Date:   Mon Mar 25 11:18:14 2013 +0530

    Completed cheese for Malayalam

M	po/ml.po

commit d15febe12a8a28854abdfb9a0da1664afab4645d
Author: ManojKumar Giri <mgiri@redhat.com>
Date:   Fri Mar 22 19:29:33 2013 +0530

    Updated Odia Language along with FUEL implementation

M	po/or.po

commit 6a919ca778c4ad437ae431cc91bfa8857ab56696
Author: Shankar Prasad <svenkate@redhat.com>
Date:   Fri Mar 22 16:37:23 2013 +0530

    Updated kn translations

M	po/kn.po

commit 7fd6523de0bd915696bd2fa1be8af708c36394f3
Author: Shantha kumar <shkumar@redhat.com>
Date:   Fri Mar 22 16:21:52 2013 +0530

    Tamil Translations Updated

M	po/ta.po

commit 88c0af4f3d4785431524c474382091d38bb5b741
Author: Sweta Kothari <swkothar@redhat.com>
Date:   Fri Mar 22 14:56:28 2013 +0530

    Updated gujarati file

M	po/gu.po

commit bab95aa329adf5d2a3fbf31a3d5df392a86ff136
Author: Sweta Kothari <swkothar@redhat.com>
Date:   Fri Mar 22 14:46:01 2013 +0530

    Updated gujarati file

M	po/gu.po

commit 167a817dabe285bdca818deb9df9567fedfc975b
Author: Rajesh Ranjan <rranjan@redhat.com>
Date:   Fri Mar 22 13:02:56 2013 +0530

    hindi translation

M	po/hi.po

commit 2d9f39ff7be29b2e9c3493277b08915240e7da71
Author: Sandeep Sheshrao Shedmake <sshedmak@redhat.com>
Date:   Thu Mar 21 15:22:53 2013 +0530

    Updated Marathi Translations

M	po/mr.po

commit 433d2e6c14d42ca62d89273270cdf896bc6ddb0a
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Wed Mar 20 18:01:54 2013 +0100

    Updated Spanish translation

M	po/es.po

commit 1798ac8390d35824d98f716736647ff03ea151b3
Author: Jasper St. Pierre <jstpierre@mecheye.net>
Date:   Thu Jan 3 21:58:47 2013 -0500

    notification_area: Use the generic marshaller
    
    The copy/paste code in gnome-shell has this change, so
    make it here too as well.

M	applets/notification_area/Makefile.am
M	applets/notification_area/fixedtip.c
D	applets/notification_area/na-marshal.list
M	applets/notification_area/na-tray-manager.c

commit 1cd169830deccfe0fbf3407722f45bef4473a526
Author: Marek Černocký <marek@manet.cz>
Date:   Mon Mar 18 20:57:37 2013 +0100

    Updated Czech translation

M	po/cs.po

commit 34cc4a7bf3f1d830ee5df952b8732310994a8374
Author: Joe Hansen <joedalton2@yahoo.dk>
Date:   Sun Mar 17 16:15:52 2013 +0100

    Updated Danish translation

M	po/da.po

commit d03ec7d560883330c440a576935280ea48470471
Author: Balázs Úr <urbalazs@src.gnome.org>
Date:   Sat Mar 16 22:46:03 2013 +0100

    Updated Hungarian translation

M	po/hu.po

commit 3046f9b80039ae00b35b9d88ee0b318e6484e9c3
Author: Rafael Ferreira <rafael.f.f1@gmail.com>
Date:   Sat Mar 16 14:44:59 2013 -0300

    Updated Brazilian Portuguese translation

M	po/pt_BR.po

commit ded430f3970c1e806b49cd27e591a9e0f78604cf
Author: Nilamdyuti Goswami <ngoswami@redhat.com>
Date:   Fri Mar 15 18:37:15 2013 +0530

    Assamese translation updated for gnome 3.8

M	po/as.po

commit 40506d83c08b9c0a33c48865bcced85efdca8779
Author: Martin Srebotnjak <miles@filmsi.net>
Date:   Thu Mar 14 20:59:36 2013 +0100

    Updated Slovenian translation

M	po/sl.po

commit 4f1d4eafce0664584745c96a49972d6d36c4bb77
Author: Theppitak Karoonboonyanan <thep@linux.thai.net>
Date:   Wed Mar 13 19:44:44 2013 +0700

    Updated Thai translation

M	po/th.po

commit ab3a749573dc834282935c4b8b8773a8776d12de
Author: Aurimas Černius <aurisc4@gmail.com>
Date:   Mon Mar 11 16:09:15 2013 +0200

    Updated Lithuanian translation

M	po/lt.po

commit 29bfb1829962811d8f3309445d4e61bc97b995fa
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Fri Mar 8 20:53:55 2013 +0100

    Updated Polish translation

M	po/pl.po

commit 44eba7db43b227d9b15a2d64d0af97167522891d
Author: Philipp Kaluza <phk@src.gnome.org>
Date:   Fri Mar 8 18:48:04 2013 +0100

    panel-run-dialog: rename helper function
    
    that I resurrected earlier from gnome_desktop_prepend_terminal_to_vector
    to panel_run_dialog_prepend_terminal_to_vector (use proper namespace).

M	gnome-panel/panel-run-dialog.c

commit bf6af945130299a69a244afaee4eecbd3fb77233
Author: Philipp Kaluza <phk@src.gnome.org>
Date:   Fri Mar 8 18:08:32 2013 +0100

    panel-run-dialog: resurrect function gnome_desktop_prepend_terminal_to_vector
    
    , which was removed from gnome-desktop in commit
    9bab2144b7c8ace0c057720be3c48fb24a80a19d , and keep a local
    copy in panel-run-dialog.c (simple helper function, static).
    (Second half of fix for bug #237308 .)

M	gnome-panel/panel-run-dialog.c

commit 452f59be8f9babf0ae33654e754da65151760a76
Author: Philipp Kaluza <phk@src.gnome.org>
Date:   Fri Mar 8 17:51:23 2013 +0100

    drop support for commandline-based calendar/tasks applications
    
    It's not worth the layering violations this would need.
    (Partial fix for bug #237308 .)

M	applets/clock/calendar-window.c

commit d8912ab2325e14a108edbd90fc8e5e57546873ac
Author: Vincent Untz <vuntz@gnome.org>
Date:   Fri Mar 8 16:41:29 2013 +0100

    misc: Remove myself from maintainers
    
    It's been a fun ride, for a long time. But Jonathan and Josselin are now
    ruling the world!

M	MAINTAINERS
M	gnome-panel.doap

commit 49aaad57d5b2ee8cf010c0829e58df555b921839
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Sun Feb 17 18:20:26 2013 +0100

    Updated Polish translation

M	po/pl.po

commit 34e46df19026c28c93c9b989b6fc44ab48d0cc1a
Author: Enrico Nicoletto <liverig@gmail.com>
Date:   Mon Feb 11 00:32:31 2013 -0200

    Updated Brazilian Portuguese translation

M	help/clock/pt_BR/pt_BR.po

commit edeab3c1e08a3e90f81e3a8d8b6f22e0b45ae48a
Author: Vincent Untz <vuntz@gnome.org>
Date:   Tue Feb 5 09:03:52 2013 +0100

    misc: Also update doap files for new maintainers

M	gnome-panel.doap

commit 531bb0341082aebc52845690030aa4073d26143c
Author: Josselin Mouette <joss@debian.org>
Date:   Tue Feb 5 08:49:46 2013 +0100

    Add myself to MAINTAINERS

M	MAINTAINERS

commit f8840478f7ad02795269524f6c914f130035e015
Author: Jonathan Carter <jocarter@linux.com>
Date:   Mon Feb 4 20:39:38 2013 -0500

    Add myself (jcarter) to MAINTAINERS

M	MAINTAINERS

commit 58b73a9e3129eb25f030f8d02bcd15303b300814
Author: Daniel Drake <dsd@laptop.org>
Date:   Mon Dec 17 14:58:20 2012 +0000

    na: apply style after realize
    
    Under Fedora 18 (GTK-3.6.2), notification icons such as the battery/power
    icon from gnome-settings-daemon are appearing all-black on top of a black
    background.
    
    This is because style_updated is being called before the tray applet
    is realized, meaning that the following code in
    na_tray_applet_style_updated() causes a bail-out:
    
      if (!applet->priv->tray)
        return;
    
    and the style is never applied.
    
    Fix this by updating the style explicitly after realizing the widget.

M	applets/notification_area/main.c

commit f5550422e202041a70cce8776785e3e651a01d8d
Author: Philipp Kaluza <phk@src.gnome.org>
Date:   Thu Jan 3 11:51:19 2013 +0100

    fix build error due to missing gweather-xml.h
    
    GWeather doesn't export the deprecated GWeatherXML anymore since
    commit 354f1aa9003ee08c6e63ecbaaa6b9179b9178184 . Luckily, our last
    usage of it is long gone. Remove leftover include.
    
    See https://bugzilla.redhat.com/show_bug.cgi?id=890219

M	applets/clock/clock.c

commit 0feee22c363fa54d5a57c2800502f956b1f0f878
Author: Breno Santana <breno_info@globomail.com>
Date:   Wed Jan 2 19:50:43 2013 -0200

    Updated Brazilian Portuguese translation reviewed by Enrico Nicoletto <liverig@gmail.com>

M	help/fish/Makefile.am
A	help/fish/pt_BR/pt_BR.po

commit 139944de306395ea52aa157fdfdcd655083448bb
Author: Marek Černocký <marek@manet.cz>
Date:   Sun Dec 30 10:09:35 2012 +0100

    Updated Czech translation

M	po/cs.po

commit caa5c778c8cec28e6199f8f01d162501c00e483d
Author: Marek Černocký <marek@manet.cz>
Date:   Sun Dec 30 09:39:39 2012 +0100

    Updated Czech translation

M	help/fish/cs/cs.po

commit 596bf21be8c7c235df4815f43459198931a5d79a
Author: Marek Černocký <marek@manet.cz>
Date:   Sun Dec 30 09:18:46 2012 +0100

    Updated Czech translation

M	po/cs.po

commit 5625564b158200e1231f4dd183591f855bf3b564
Author: Marek Černocký <marek@manet.cz>
Date:   Sun Dec 30 09:18:27 2012 +0100

    Updated Czech translation

M	help/clock/cs/cs.po

commit b2191c838db2037103f88f2ac4ce1a9d8e6a6411
Author: Shankar Prasad <svenkate@redhat.com>
Date:   Fri Nov 30 15:14:56 2012 +0530

    Updated kn translation

M	po/kn.po

commit caa16c814d810043a4d18993480ad66775bb624e
Author: ManojKumar Giri <mgiri@redhat.com>
Date:   Wed Nov 28 19:56:22 2012 +0530

    Updated Odia Translation with FUEL implementation.

M	po/or.po

commit be33e799d968a073c0a8856c96d11e8594b88bc4
Author: Yannick Gicquel <ygicquel@gmail.com>
Date:   Thu Nov 22 08:37:26 2012 +0100

    panel: Fix launcher icon animation ending with black artifact
    
    We simply need to hide the animation window before unref'ing the pixbuf.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=688618

M	gnome-panel/xstuff.c

commit a1622f6a17d6a4b1fbdb83b00d7c597523f68bfc
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Nov 12 19:05:36 2012 +0100

    release: post-release bump to 3.6.3

M	configure.ac

commit 8bb702de576cfcf04a78baa85bb69c08144451c4
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Nov 12 19:04:52 2012 +0100

    release: 3.6.2

M	NEWS
M	configure.ac

commit 686c3cf5c4dfa87b1bd04006c36cb2191eda41b3
Author: Milan Crha <mcrha@redhat.com>
Date:   Fri Oct 26 15:19:35 2012 +0200

    Use-after-free in panel_object_loader_stop_loading()
    
    https://bugzilla.gnome.org/show_bug.cgi?id=686445

M	gnome-panel/panel-object-loader.c

commit 76acc5b955b214420a32c827db433ff5ab136c6f
Author: Colin Walters <walters@verbum.org>
Date:   Fri Oct 12 18:21:18 2012 -0400

    Avoid double forking when launching apps; it breaks "pkexec"
    
    See https://bugzilla.gnome.org/show_bug.cgi?id=675789
    
    https://bugzilla.gnome.org/show_bug.cgi?id=686059
    
    Signed-off-by: Colin Walters <walters@verbum.org>

M	gnome-panel/libpanel-util/panel-launch.c
M	gnome-panel/panel-run-dialog.c

commit 88946ee81516749aaa14702924c036a2398975d3
Author: Arash Mousavi <mousavi.arash@gmail.com>
Date:   Wed Oct 17 11:29:55 2012 +0330

    L10N: Updated Persian translation

M	po/fa.po

commit c596bede04a0481bfb34acfe04e5502a6f8e10aa
Author: Shankar Prasad <svenkate@redhat.com>
Date:   Sun Oct 14 23:00:19 2012 +0530

    Updated Kannada Translations

M	po/kn.po

commit 01fb0a4b8927d6867aace169e7db3dfcdecb1549
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Sat Oct 13 12:46:00 2012 +0200

    Updated Norwegian bokmål translation

M	po/nb.po

commit 7256e65b99cc3dfa0ece45c795b758a83e3b722d
Author: Marek Kasik <mkasik@redhat.com>
Date:   Fri Oct 12 08:36:25 2012 +0200

    clock: Set correct month on startup
    
    Map number of month from g_date_time_get_day_of_month()
    to gtk_calendar_select_month() correctly.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=681325

M	applets/clock/calendar-window.c

commit d6465b6688b53a2bb0021e761376528a95bb26c6
Author: Ivan Masár <helix84@centrum.sk>
Date:   Wed Oct 10 15:27:49 2012 +0100

    Updated Slovak translation

M	po/sk.po

commit 5bba4328cae26f4d6a201d4cedb964b3d50286bc
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Tue Sep 25 08:37:34 2012 -0400

    Post-release version bump

M	configure.ac

commit 5abc07abb1167e72db42d3ee0ba7b2465d8c3b06
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Tue Sep 25 08:23:43 2012 -0400

    3.6.0

M	NEWS

commit 4f9697bd843f10570b371a470532f36f0bfb0f9a
Author: Timur Zhamakeev <ztimur@gmail.com>
Date:   Mon Sep 24 22:06:25 2012 +0600

    Updated Kyrgyz translation

M	po/ky.po

commit d7506efa43fbde0398abe0196de5ff2d3b188b83
Author: Rūdolfs Mazurs <rudolfsm@src.gnome.org>
Date:   Mon Sep 24 14:06:50 2012 +0300

    Updated Latvian translation

M	po/lv.po

commit c71f6796af19884fca5e2c079f41667c41e454ad
Author: Mattias Põldaru <mahfiaz@gmail.com>
Date:   Mon Sep 24 10:54:16 2012 +0300

    [l10n] Updated Estonian translation

M	po/et.po

commit dae5d2c1bd712153327cd8e0ec6889c243690501
Author: Rajesh Ranjan <rranjan@redhat.com>
Date:   Sun Sep 23 20:48:28 2012 +0530

    hindi update

M	po/hi.po

commit 6974f528c2baa3ac6cbd127130f32d91fe7e0ec0
Author: Mario Blättermann <mario.blaettermann@gmail.com>
Date:   Sun Sep 23 12:20:19 2012 +0200

    [l10n] Updated German translation

M	po/de.po

commit 3ba25345cb93141c2a07351770dca07a971f9e9d
Author: Carles Ferrando <carles.ferrando@gmail.com>
Date:   Sun Sep 23 00:23:46 2012 +0200

    [l10n]Updated Catalan (Valencian) translation

M	po/ca@valencia.po

commit 2bf5418bd6f3a87d74fa334656515ff512139ca8
Author: Gil Forcada <gforcada@gnome.org>
Date:   Sun Sep 23 00:23:16 2012 +0200

    [l10n] Updated Catalan translation

M	po/ca.po

commit f7e92c6eed6ac635ee47b215609bf4b0c1dc9fa7
Author: YunQiang Su <yqsu@src.gnome.org>
Date:   Sun Sep 23 04:24:23 2012 +0800

    update Simplified Chinese (zh_CN) translation

M	po/zh_CN.po

commit 7b592a12e8e2ed26cc65f610fc4b2a5f4c75b179
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:   Sat Sep 22 14:56:23 2012 +0300

    Updated Hebrew translation.

M	po/he.po

commit 1a96b358494b6911f9fbb356a7a6276d65f127bd
Author: Rafael Ferreira <rafael.f.f1@gmail.com>
Date:   Fri Sep 21 14:54:14 2012 -0300

    Updated Brazilian Portuguese Translation

M	po/pt_BR.po

commit 87a3d7c44da57131ddc4fa2c17153a6a4e5661b6
Author: Runa Bhattacharjee <runab@redhat.com>
Date:   Fri Sep 21 17:59:55 2012 +0530

    Updated Bengali India Translations

M	po/bn_IN.po

commit c8dd79eccb1fea42bf6ac1b5f2eeb7c6cf7e0762
Author: Rajesh Ranjan <rranjan@redhat.com>
Date:   Fri Sep 21 17:02:03 2012 +0530

    hindi update

M	po/hi.po

commit e820b8682e9c89e193655ccc76f2ff03751ecb20
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:   Thu Sep 20 21:02:47 2012 +0200

    Updated Serbian translation

M	po/sr.po
M	po/sr@latin.po

commit d3d9d6296ca204618451b36449a147b10d92287d
Author: Rajesh Ranjan <rranjan@redhat.com>
Date:   Thu Sep 20 16:36:58 2012 +0530

    hindi updated file

M	po/hi.po

commit 195b39859b47c87254a79122e86ef068f030a19b
Author: Sandeep Sheshrao Shedmake <sshedmak@redhat.com>
Date:   Thu Sep 20 12:22:20 2012 +0530

    Updated Marathi Translations

M	po/mr.po

commit 934d02634658cc9c168ebcbeb549e5ff75745836
Author: Alexander Shopov <ash@kambanaria.org>
Date:   Thu Sep 20 06:54:16 2012 +0300

    Updated Bulgarian translation

M	po/bg.po

commit 122feb69ed03bcc22d45aaf1e82678fb01bcdc85
Author: Praveen Illa <mail2ipn@gmail.com>
Date:   Thu Sep 20 00:01:05 2012 +0530

    Updated Telugu Translation

M	po/te.po

commit 745caa46138d901f18fbe8d289c7a5740a6cc374
Author: A S Alam <aalam@users.sf.net>
Date:   Wed Sep 19 21:28:55 2012 +0530

    update Punjabi Translation

M	po/pa.po

commit 61de48ac710fd7ce00947e38b864124318b1cea1
Author: Dr.T.Vasudevan <agnihot3@gmail.com>
Date:   Wed Sep 19 19:38:18 2012 +0530

    updated Tamil translation

M	po/ta.po

commit 8acb324e74e793ff7858bc5447c5bffe0c22068c
Author: Ani Peter <apeter@redhat.com>
Date:   Tue Sep 18 20:36:41 2012 +0530

    Updated Malayalam file

M	po/ml.po

commit ea40a4d6b0647a2435914b27ff9f3c965d13d2fc
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Tue Sep 18 16:36:26 2012 +0200

    Updated Spanish translation

M	po/es.po

commit e8936b26bf7a2440c348262733859ba84a25fb5e
Author: Bruce Cowan <bruce@bcowan.me.uk>
Date:   Tue Sep 18 08:27:08 2012 +0100

    Updated British English translation

M	po/en_GB.po

commit 15062ec82814140fd79f47976ae8697753d55800
Author: Sweta Kothari <swkothar@redhat.com>
Date:   Tue Sep 18 12:16:00 2012 +0530

    Updated gujarati file

M	po/gu.po

commit cdf4a202592811590e891306e32277b10e567015
Author: Milo Casagrande <milo@ubuntu.com>
Date:   Tue Sep 18 08:44:33 2012 +0200

    [l10n] Updated Italian translation

M	po/it.po

commit b77652ff8118a7384a87885c5853088ae7fed06b
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:   Mon Sep 17 23:15:45 2012 +0200

    Updated Hungarian translation

M	po/hu.po

commit b60f00b3665abf06a073d5c284323dfa31085db2
Author: Yuri Myasoedov <omerta13@yandex.ru>
Date:   Mon Sep 17 16:48:08 2012 +0400

    Updated Russian translation

M	po/ru.po

commit 453ff03a0c48131437d94164cbd33609f06f46bf
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Mon Sep 17 14:18:50 2012 +0200

    Updated Spanish translation

M	help/fish/es/es.po

commit 0c86b3761ca366ff29e37f1abb1e83c2ce9c94c1
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Mon Sep 17 14:18:24 2012 +0200

    Updated Spanish translation

M	help/clock/es/es.po

commit 18838106258d88788dfacdfe630c2f942d0c64ee
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Sep 17 13:05:25 2012 +0200

    release: post-release bump to 3.6.0

M	configure.ac

commit d1a9bf3e0bb71395b1cd9f457571ccd12dd0d39e
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Sep 17 13:04:32 2012 +0200

    release: 3.5.92

M	NEWS

commit 021c771b1216085e6684d20e0eac2fc4ab9d4cfc
Author: Marek Černocký <marek@manet.cz>
Date:   Sun Sep 16 22:24:24 2012 +0200

    Updated Czech translation

M	po/cs.po

commit 74fe686f67bdb14a2b48bf1a7d0e7e06c17b2be9
Author: Aurimas Černius <aurisc4@gmail.com>
Date:   Sun Sep 16 23:22:15 2012 +0300

    Updated Lithuanian translation

M	po/lt.po

commit 8b7b7369ba0b22617d0652d3ff93170b9d3ca6a8
Author: Andika Triwidada <andika@gmail.com>
Date:   Sun Sep 16 22:01:25 2012 +0700

    Updated Indonesian translation of Clock Applet Manual

M	help/clock/id/id.po

commit e8ba0268783afc6b1f83cb9cfdfc8dc9d5dd4af4
Author: Ask H. Larsen <asklarsen@gmail.com>
Date:   Sun Sep 16 13:27:42 2012 +0200

    Updated Danish translation

M	po/da.po

commit 873c2030a788bb7422f069ae01a0e3f955afdf40
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Sun Sep 16 13:21:26 2012 +0200

    Updated Spanish translation

M	po/es.po

commit 8d992477fb0b7ea744dde50d57cfb22faecbb790
Author: Theppitak Karoonboonyanan <thep@linux.thai.net>
Date:   Sun Sep 16 16:53:00 2012 +0700

    Updated Thai translation.

M	po/th.po

commit 5f0e9a06ef545f8ffc8f0ae6c2570593255db9e7
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:   Sun Sep 16 12:33:43 2012 +0800

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

M	po/zh_HK.po
M	po/zh_TW.po

commit ab8c48e325e8835f34d1faa80c446680f348a71b
Author: Timo Jyrinki <timo@debian.org>
Date:   Sat Sep 15 22:52:35 2012 +0300

    Finnish translation update by Jiri Grönroos

M	po/fi.po

commit 5ce27ab4413c9e3bb065b372bf00804521172e96
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Sat Sep 15 20:50:23 2012 +0200

    Updated Slovenian translation

M	po/sl.po

commit fb34c20095d6e6d6a5d86aac1f0aa31d778a35aa
Author: Duarte Loreto <happyguy_pt@hotmail.com>
Date:   Sat Sep 15 19:44:57 2012 +0100

    Updated Portuguese translation

M	po/pt.po

commit ec01377e6d3be8cf3a09aa427b2d29a478eea047
Author: Alexandre Franke <alexandre.franke@gmail.com>
Date:   Sat Sep 15 18:11:08 2012 +0200

    Update French translation

M	po/fr.po

commit 2667ceb3abea40f25ecbddb82bcdd90388c4d574
Author: Cheng Lu <chenglu1990@gmail.com>
Date:   Sat Sep 15 18:51:12 2012 +0800

    update Simplified Chinese (zh_CN) translation

M	po/zh_CN.po

commit 0f5d6e0b716805cfcb655488fbdd1bb278630f7b
Author: Andika Triwidada <andika@gmail.com>
Date:   Sat Sep 15 17:51:17 2012 +0700

    Updated Indonesian translation

M	po/id.po

commit 02d9ec4a2ce199dc14cddb10bd3b65a1a85334be
Author: Changwoo Ryu <cwryu@debian.org>
Date:   Sat Sep 15 17:12:15 2012 +0900

    Updated Korean translation

M	po/ko.po

commit 4bbde62d99a5a45583c26a5e8a34429b9eb39d30
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:   Sat Sep 15 01:47:06 2012 +0200

    Updated Galician translations

M	po/gl.po

commit 5ffcbf3fb658693ba22e0efa59943639485d7cd4
Author: Alexandre Franke <alexandre.franke@gmail.com>
Date:   Fri Sep 14 19:24:27 2012 +0200

    Update French translation

M	help/clock/fr/fr.po
M	help/fish/fr/fr.po

commit 772d475cd7be5fcd3d30d35f20a0054325d85f86
Author: Tom Tryfonidis <tomtryf@gmail.com>
Date:   Fri Sep 14 19:44:48 2012 +0300

    Updated Greek translation

M	po/el.po

commit 9b813182c09b582ea0289f44296e49f3b073b9b5
Author: Nilamdyuti Goswami <nilamdyuti@gmail.com>
Date:   Fri Sep 14 21:22:27 2012 +0530

    Assamese translation updated

M	po/as.po

commit a0fc172be23c3622f8f614dec4e23d79200d0e20
Author: Ihar Hrachyshka <ihar.hrachyshka@gmail.com>
Date:   Fri Sep 14 18:27:33 2012 +0300

    Updated Belarusian translation.

M	po/be.po

commit de06fa2120a046afc5b1f2e2733aab4b56300ecd
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Fri Sep 14 17:25:05 2012 +0200

    Updated Polish translation

M	po/pl.po

commit 9bd1a33a8561540eed00cecd923de260e1915f2b
Author: Jeremy Bicha <jbicha@ubuntu.com>
Date:   Sat Sep 8 22:51:33 2012 -0400

    panel: Remove ellipses from user menu to match GNOME Shell 3.6
    
    https://bugzilla.gnome.org/show_bug.cgi?id=683650

M	gnome-panel/panel-action-button.c

commit 5cc1362d0f81b419db334d38dd4c943c182fc4e6
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Thu Sep 13 21:21:46 2012 +0200

    Fix broken tag in Simplified Chinese help translation

M	help/clock/zh_CN/zh_CN.po

commit 0a34fc25e7a1ea8c0733ad28c73905181a0f8d17
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Thu Sep 13 21:17:00 2012 +0200

    Fix broken tag in Serbian help translation

M	help/clock/sr/sr.po

commit d4271d14a0be0d7ff235a1ab9d0498ae56669a90
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Thu Sep 13 20:50:43 2012 +0200

    Fix broken tags in Korean translations

M	help/clock/ko/ko.po
M	help/fish/ko/ko.po

commit 28a86ffc1b9dc6a58901e756afe657ee6b1014bd
Author: Milo Casagrande <milo@ubuntu.com>
Date:   Mon Sep 10 21:40:34 2012 +0200

    [l10n] Updated Italian translation.

M	po/it.po

commit 75e5ec9fcc6058b128452cfbff5a94dd88a3bdde
Author: Marek Černocký <marek@manet.cz>
Date:   Sun Sep 9 22:12:02 2012 +0200

    Czech translation

M	po/cs.po

commit 4a327090afecde21973c938cbba8c6b6eead3ef9
Author: Fábio Nogueira <fnogueira@gnome.org>
Date:   Sun Sep 9 11:42:13 2012 -0400

    Updated Brazilian Portuguese translation.

M	po/pt_BR.po

commit c391e9dab0b6cc276591d9bd11c724f541acf2ca
Author: Jeremy Bicha <jbicha@ubuntu.com>
Date:   Sat Sep 8 23:11:38 2012 -0400

    panel: Remove Online Accounts item from the user menu
    
    Thanks Michael Biebl for the patch!
    
    https://bugzilla.gnome.org/show_bug.cgi?id=683650

M	gnome-panel/panel-menu-items.c

commit a0a3ecd32edf7a2ffeeb2d67bfe2df70086e436c
Author: Jeremy Bicha <jbicha@ubuntu.com>
Date:   Sat Sep 8 22:44:05 2012 -0400

    panel: Rearrange user menu order to match GNOME Shell 3.6
    
    Switch User, Log Out, Lock is the new order
    
    https://bugzilla.gnome.org/show_bug.cgi?id=683650

M	gnome-panel/panel-menu-items.c

commit 39886325a0cff84e84dbcd058b6d516efdd0fa8a
Author: Tom Tryfonidis <tomtryf@gmail.com>
Date:   Sat Sep 8 00:09:52 2012 +0300

    Updated Greek help translations

M	help/clock/el/el.po
M	help/fish/el/el.po

commit b4cfd61b0232e1ab49a03776cdabce45137a47b3
Author: Claude Paroz <claude@2xlibre.net>
Date:   Fri Sep 7 17:03:04 2012 +0200

    Updated French translation by Mickael Albertus

M	po/fr.po

commit 7e0b15ee80ca3dd724b796ebebc2966bbe2f1c7e
Author: Ihar Hrachyshka <ihar.hrachyshka@gmail.com>
Date:   Fri Sep 7 17:26:21 2012 +0300

    Updated Belarusian translation.

M	po/be.po

commit 33a51511a2c351dc650ed149b43b544c14feb42f
Author: Theppitak Karoonboonyanan <thep@linux.thai.net>
Date:   Fri Sep 7 17:26:26 2012 +0700

    Updated Thai translation.

M	po/th.po

commit 81eaacbe47a5fe2b2c7fa2e1afe70536f336c52a
Author: Arash Mousavi <mousavi.arash@gmail.com>
Date:   Thu Sep 6 20:59:48 2012 +0430

    l10n: Updated Persian translation

M	po/fa.po

commit 3d5b8dfcd6a07f0cf11e824b6703d71d4ef7cf16
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Thu Sep 6 18:11:46 2012 +0200

    Updated Spanish translation

M	help/fish/es/es.po

commit b097e3474418f98b85d0680b205c2516d9f98294
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Thu Sep 6 18:11:36 2012 +0200

    Updated Spanish translation

M	help/clock/es/es.po

commit f4004502d8a29c7e492296eeebc998b7c68b2269
Author: Bruce Cowan <bruce@bcowan.me.uk>
Date:   Wed Sep 5 15:02:40 2012 +0100

    Updated British English translation

M	po/en_GB.po

commit 5519f74cb879a0c463d97878c90332531250199a
Author: Mario Blättermann <mario.blaettermann@gmail.com>
Date:   Tue Sep 4 20:59:45 2012 +0200

    [l10n] Updated German translation

M	po/de.po

commit 8c340098608638dd1f49bb98bf7ff4314df8da0f
Author: Mario Blättermann <mario.blaettermann@gmail.com>
Date:   Tue Sep 4 20:55:33 2012 +0200

    [l10n] Updated German doc translation

M	help/clock/de/de.po

commit c24c8d1e81ac26a594c65741adb4c205e8feecdc
Author: Mario Blättermann <mario.blaettermann@gmail.com>
Date:   Tue Sep 4 20:55:02 2012 +0200

    [l10n] Updated German doc translation

M	help/fish/de/de.po

commit 42194e1193de584b01a58bce751f26ef6bc61da5
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:   Tue Sep 4 15:06:59 2012 +0200

    Updated Hungarian translation

M	po/hu.po

commit 27a2e45f31fd96bb8f21936fd8659a314937c684
Author: Vincent Untz <vuntz@gnome.org>
Date:   Tue Sep 4 14:22:06 2012 +0200

    release: post-release bump to 3.5.92

M	configure.ac

commit 696f9f937ae320672fd62fd9b1e891ac6f44caae
Author: Vincent Untz <vuntz@gnome.org>
Date:   Tue Sep 4 14:21:11 2012 +0200

    release: 3.5.91

M	NEWS
M	configure.ac

commit 515d89b7ef83f1f8d8938de0ff84d4424797f478
Author: Javier Jardón <jjardon@gnome.org>
Date:   Tue Sep 4 05:47:03 2012 +0900

    Port to new documentation infrastruture
    
    Use yelp-tools instead gnome-doc-utils

M	Makefile.am
M	applets/clock/clock-utils.c
M	applets/fish/fish.c
M	configure.ac
M	gnome-panel/panel.c
R099	help/clock/C/clock.xml	help/clock/C/index.docbook
M	help/clock/C/legal.xml
M	help/clock/Makefile.am
D	help/clock/clock.omf.in
R099	help/fish/C/fish.xml	help/fish/C/index.docbook
M	help/fish/C/legal.xml
M	help/fish/Makefile.am
D	help/fish/fish.omf.in

commit 3d3e8062a864f7a68f56b4550bbae6860aa5b3ee
Author: Priit Laes <plaes@plaes.org>
Date:   Sat Aug 18 12:49:09 2012 +0300

    Rewrite evolution-data-server detection

M	applets/clock/Makefile.am
M	configure.ac

commit fef1a6218347359b2f9e24564f348b5931f1ca95
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Mon Sep 3 23:54:42 2012 +0200

    Updated Polish translation

M	po/pl.po

commit ec8f4949e245b3e07bcb0fa02585b97a6be28357
Author: Dr.T.Vasudevan <agnihot3@gmail.com>
Date:   Sun Sep 2 18:03:13 2012 +0530

    updated Tamil translation

M	po/ta.po

commit 64e4104df95ddddf5e44e8a18af31fae3a970199
Author: Duarte Loreto <happyguy_pt@hotmail.com>
Date:   Sat Sep 1 01:22:35 2012 +0100

    Updated Portuguese translation

M	po/pt.po

commit d10afe53acf51c2f4af723b8e981dbabd515400c
Author: Aurimas Černius <aurisc4@gmail.com>
Date:   Wed Aug 29 23:28:21 2012 +0300

    Updated Lithuanian translation

M	po/lt.po

commit c6e27a9f12bcee4b02d2baf3fbda7876d19a1577
Author: Nilamdyuti Goswami <nilamdyuti@gmail.com>
Date:   Tue Aug 28 00:06:03 2012 +0530

    Implemented FUEL entries to Assamese translation

M	po/as.po

commit 301ffa402ff6ceb5b8481a7105e7608f7fe1eea8
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Thu Aug 23 03:36:43 2012 +0200

    Updated Polish translation

M	po/pl.po

commit afa4cb953357e591de1a6e5f82559061ff21bcdf
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Wed Aug 22 12:51:52 2012 +0200

    Updated Norwegian bokmål translation

M	po/nb.po

commit 332c055eefceb468e9d9c866275349af0c6bffe3
Author: A S Alam <aalam@users.sf.net>
Date:   Wed Aug 22 08:45:28 2012 +0530

    update Punjabi Translation

M	po/pa.po

commit fdacd5dede0810bb739de60febc99c5814441252
Author: Dirgita <dirgitadevina@yahoo.co.id>
Date:   Tue Aug 21 22:17:24 2012 +0700

    Updated Indonesian translation

M	po/id.po

commit bc82b28910193190bfe34a988a9f6fb119b4ea12
Author: Takayuki KUSANO <AE5T-KSN@asahi-net.or.jp>
Date:   Sun Aug 19 15:48:44 2012 +0900

    Updated Japanese translation

M	po/ja.po

commit ec431a7d2747e613896d9d2447ccad54ff33b278
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:   Fri Aug 17 12:31:52 2012 +0200

    Updated Serbian translation

M	po/sr.po
M	po/sr@latin.po

commit 968e8ea7f4a4a7c9bf1903ba5c8c787c7e0e6837
Author: A S Alam <aalam@users.sf.net>
Date:   Fri Aug 17 07:03:20 2012 +0530

    Update Punjabi Translation

M	po/pa.po

commit 8239b72b6c8a651cb84f46b2a86c75c17a705f20
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:   Fri Aug 17 01:08:37 2012 +0200

    Updated Galician translations

M	po/gl.po

commit 74bf8d75ae1f680b9176f5b8ff93f8a3977b00fe
Author: Alexsey Nadtochey <irbis4lan@yandex.com>
Date:   Thu Aug 16 17:07:53 2012 +0400

    Updated Russian translation

M	po/ru.po

commit 6aefdea1a0738063e03e02ec1564dbeca9499162
Author: Sandeep Sheshrao Shedmake <sshedmak@redhat.com>
Date:   Thu Aug 16 13:06:58 2012 +0530

    Updated Marathi Translations

M	po/mr.po

commit cbbbbc9e0fc813fa73424d338d0078b29ac57a2c
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:   Fri Aug 10 14:57:36 2012 +0300

    Updated Hebrew translation.

M	po/he.po

commit 731df46a335f9dbb741eef0302929b9010ef3261
Author: Sweta Kothari <swkothar@redhat.com>
Date:   Wed Aug 8 16:21:12 2012 +0530

    Updated gujarati file

M	po/gu.po

commit 9a6869ffeb779eb1b4f81b1d1c48a1eab9c50d8c
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Tue Aug 7 21:03:13 2012 +0200

    Updated Spanish translation

M	po/es.po

commit bf8ba4077ac953f8fa2875d7588352225e747827
Author: Sweta Kothari <swkothar@redhat.com>
Date:   Tue Aug 7 15:09:01 2012 +0530

    Updated gujarati file

M	po/gu.po

commit 9298a30add3b73826191c78d1f14ab3d80a1656f
Author: Nilamdyuti Goswami <nilamdyuti@gmail.com>
Date:   Tue Aug 7 14:59:45 2012 +0530

    Assamese translation updated

M	po/as.po

commit 3fa1fd544eb42f4ecc69c2216950420b0279355b
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:   Tue Aug 7 15:17:51 2012 +0800

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

M	po/zh_HK.po
M	po/zh_TW.po

commit f08ac93672b729f87987cee008431c4c39521b64
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Tue Aug 7 08:48:48 2012 +0200

    Updated Slovenian translation

M	po/sl.po

commit f5eea7553b94119d867e0b55cf1d2ff458d42287
Author: Tom Tryfonidis <tomtryf@gmail.com>
Date:   Mon Aug 6 19:16:11 2012 +0300

    Updated Greek translation

M	po/el.po

commit e0d37bf88d2255d2e85769f0c8ed4d2e1a2f2ea5
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sun Aug 5 23:05:13 2012 -0400

    Remove markup from translations
    
    This commit uses explicit attributes instead of embedded markup.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=101596

M	applets/clock/clock.ui
M	gnome-panel/panel-properties-dialog.ui

commit fe38c6ab28d47db14f8828c28686c8c265b4bc3b
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:   Mon Aug 6 00:25:58 2012 +0200

    Updated Serbian translation

M	po/sr.po
M	po/sr@latin.po

commit 86864caf3f668a1e5da6748aa66f2ef86a12954c
Author: Sweta Kothari <swkothar@redhat.com>
Date:   Fri Aug 3 15:00:04 2012 +0530

    Updated gujarati file

M	po/gu.po

commit a9ca8a7c9244e17e7e5df5f432e6cb82bbd43382
Author: Alejandro Piñeiro <apinheiro@igalia.com>
Date:   Wed Jul 18 20:04:40 2012 +0200

    release: post release version bump

M	configure.ac

commit 5646a5de220463348f0a65ac0d8182bb58fcc387
Author: Alejandro Piñeiro <apinheiro@igalia.com>
Date:   Wed Jul 18 19:44:36 2012 +0200

    release: 3.5.4

M	NEWS

commit f477bf13fe61e5a4808f52aad4e30e7a990c82d3
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:   Tue Jul 17 15:03:01 2012 +0800

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

M	po/zh_HK.po
M	po/zh_TW.po

commit 020b7cdeaa4ca0fa6579b6b7d1725874b9f5e424
Author: Colin Walters <walters@verbum.org>
Date:   Sun Jul 15 18:11:03 2012 -0400

    configure: Newline-separate dependency list
    
    So diffs are somewhat legible.

M	configure.ac

commit 815246a3e297ba60694b20070af1324942f5f08b
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Sun Jul 15 14:52:07 2012 -0400

    libpanel-util: adjust to DConf API changes
    
    The libdconf API is unstable and just underwent some changes.  Adjust to
    those.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=679971

M	configure.ac
M	gnome-panel/libpanel-util/panel-dconf.c

commit 8f1a2bd942053fed38c3bff8d38e9f2a4be8e963
Author: Ihar Hrachyshka <ihar.hrachyshka@gmail.com>
Date:   Sun Jul 15 10:57:01 2012 +0300

    Updated Belarusian translation.

M	po/be.po

commit 64e8ef4b57ec7fd5c95e3ba5ab9b82da35490eec
Author: A S Alam <aalam@users.sf.net>
Date:   Wed Jul 11 07:26:39 2012 +0530

    update Punjabi Translation

M	po/pa.po

commit 4a271b9ceb523394600166392185182ff2e5d3d8
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:   Tue Jul 10 23:48:23 2012 +0300

    Updated Hebrew translation.

M	po/he.po

commit 15bb72264a38e48a5b9a6bfca596ab5232a15f86
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Mon Jul 9 15:17:17 2012 +0200

    Updated Norwegian bokmål translation

M	po/nb.po

commit aecb1b1d7bb50bc7daaf9486e6935d59864c381a
Author: Alexander Shopov <ash@kambanaria.org>
Date:   Thu Jul 5 08:11:27 2012 +0300

    Updated Bulgarian translation

M	po/bg.po

commit 6c35a2f423089fce0d74d532f4b43bf92ab7db84
Author: Nilamdyuti Goswami <nilamdyuti@gmail.com>
Date:   Wed Jun 27 20:45:19 2012 +0530

    Assamese translation reviewed

M	po/as.po

commit 898f42d1d9c9c826748f09c9b11a632bedf1270d
Author: Khaled Hosny <khaledhosny@eglug.org>
Date:   Wed Jun 27 13:19:07 2012 +0200

    Updated Arabic translation

M	po/ar.po

commit d67fa8cc41d3441ee4cb83f87355f5f77dc61143
Author: Luca Ferretti <lferrett@gnome.org>
Date:   Tue Jun 26 22:29:49 2012 +0200

    release: post release version bump

M	configure.ac

commit a7bc9fbe3e84caedbf6542369ff6c69e2152d20f
Author: Luca Ferretti <lferrett@gnome.org>
Date:   Tue Jun 26 22:28:43 2012 +0200

    release: 3.5.3

M	NEWS
M	configure.ac

commit ab140a6012fdd3300066aaf0f3966b1e18ec26d6
Author: Luca Ferretti <lferrett@gnome.org>
Date:   Tue Jun 26 22:17:20 2012 +0200

    revert "release: 3.4.3"

M	NEWS

commit 8fa841f934b37ada6b8938a56b877ef71b6b0ca1
Author: Luca Ferretti <lferrett@gnome.org>
Date:   Tue Jun 26 22:15:24 2012 +0200

    revert "release: post-release bump to 3.4.3"

M	configure.ac

commit ba8c809fb993a7bfebc945dfa683a8128c7b6b48
Author: Luca Ferretti <lferrett@gnome.org>
Date:   Tue Jun 26 10:16:37 2012 +0200

    release: post-release bump to 3.4.3

M	configure.ac

commit bccca6b0dd18e55f4da1a278305467226129b1a0
Author: Luca Ferretti <lferrett@gnome.org>
Date:   Tue Jun 26 10:13:52 2012 +0200

    release: 3.4.3

M	NEWS

commit 0a94b3ee031261d1749dbc6ecd41933bf61a52d7
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Tue Jun 26 09:20:36 2012 +0200

    Updated Slovenian translation

M	po/sl.po

commit 43ca10b86cde00eeeecb3b301ddf22a881acc6dd
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:   Sun Jun 24 22:47:24 2012 +0200

    Updated Galician translations

M	po/gl.po

commit 5a661081aa47aea2d078d1f4721b4d4a10818341
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Fri Jun 22 13:49:33 2012 +0200

    Updated Spanish translation

M	po/es.po

commit 6be21c40a624c4a042d1e8ec5471b0bb8e4251f8
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Fri Jun 22 13:44:43 2012 +0200

    Updated Spanish translation

M	po/es.po

commit 9f34605d432af851cf11b09c8417dd50f8d5912c
Author: Tom Tryfonidis <tomtryf@gmail.com>
Date:   Fri Jun 22 12:41:55 2012 +0300

    Updated Greek translation

M	po/el.po

commit a0329e7548dd8d98e1229429190e275633de93e6
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Thu Jun 21 19:50:27 2012 +0200

    Updated POTFILES.in and POTFILES.skip

M	po/POTFILES.in
M	po/POTFILES.skip

commit cd1a0db671b6eb57efcf2770287882e625ae1753
Author: Giovanni Campagna <gcampagna@src.gnome.org>
Date:   Mon Mar 5 22:44:35 2012 +0100

    Clock Applet: port to modern GNOME technologies
    
    This is a big commit that updates the Clock Applet to use modern
    libraries. This includes using GSettings instead of GConf, using
    GDateTime instead of the equivalents from libc and using the new
    API in libgweather.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=677512

M	applets/clock/Makefile.am
M	applets/clock/calendar-window.c
M	applets/clock/calendar-window.h
M	applets/clock/clock-face.c
M	applets/clock/clock-location-tile.c
M	applets/clock/clock-location-tile.h
M	applets/clock/clock-location.c
M	applets/clock/clock-location.h
M	applets/clock/clock-map.c
M	applets/clock/clock-menu.xml
M	applets/clock/clock-utils.c
M	applets/clock/clock-utils.h
M	applets/clock/clock.c
D	applets/clock/clock.schemas.in
M	configure.ac
M	data/Makefile.am
M	data/org.gnome.gnome-panel.applet.clock.gschema.xml.in.in

commit ce61fe8bc5cb74026f9692ada531d6aec8b87b0c
Author: Tom Tryfonidis <tomtryf@gmail.com>
Date:   Sun Jun 17 13:42:24 2012 +0300

    Updated Greek translation

M	po/el.po

commit d20653305b63fcf959bd9d0b61e6ac3bec53478e
Author: Justin Lecher <jlec@gentoo.org>
Date:   Thu Jun 7 13:13:47 2012 +0200

    build: Explicitly link to gmodule-2.0
    
    Recent changes in glib-2.32 deps in pkg-config files require addition of
    gmodule-2.0 to PKG_CHECK_MODULES. This underlinking will be visible when
    using gold linker.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=677616

M	configure.ac

commit 66ef9bf9941b940d21c9b6e904820067b13026b6
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Thu Apr 26 00:23:35 2012 -0400

    clock: Adapt to Evolution-Data-Server API changes
    
    Adapt the clock applet to some major API changes in E-D-S 3.5.3.
    
    More details about the breakage:
    http://mbarnes.livejournal.com/4631.html
    
    Requires E-D-S >= 3.5.3 and drops the dependency on libedataserverui.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=677392

M	applets/clock/calendar-client.c
M	applets/clock/calendar-client.h
M	applets/clock/calendar-sources.c
M	applets/clock/calendar-sources.h
M	applets/clock/calendar-window.c
M	applets/clock/clock.c
M	configure.ac

commit d8c6525a72ef89cb6aa5b556082bb4bc1f66ffc8
Author: Joachim Breitner <mail@joachim-breitner.de>
Date:   Sun Nov 13 20:06:41 2011 +0100

    libpanel-applet: Use on_bus_acquired instead of on_name_acquired
    
    This helps prevent race conditions at session starts. This is actually
    recommended in the gdbus documentation.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=654843

M	libpanel-applet/panel-applet-factory.c

commit d9877ba3d8a935a23011a22516f357648d996cbe
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon May 14 20:13:43 2012 +0200

    release: post-release bump to 3.4.3

M	configure.ac

commit f75c9b2c7430f59bd909f37356b54906f533c100
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon May 14 20:13:35 2012 +0200

    release: 3.4.2.1

M	NEWS
M	configure.ac

commit af737834bd5bf37268565a15cd050519f96a4963
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon May 14 20:06:10 2012 +0200

    panel: Fix GTK+ runtime check used to determine bookmark file
    
    gtk_version_check() doesn't return a boolean, but a string describing
    the version mismatch.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=676036

M	gnome-panel/libpanel-util/panel-gtk.c

commit d4a2abbf44a9fc9abc4985bf722adfd9bee16111
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon May 14 16:12:02 2012 +0200

    release: post-release bump to 3.4.3

M	configure.ac

commit d6f198ea8655f137fc9930ee322ff2f0709270a0
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon May 14 16:11:56 2012 +0200

    release: 3.4.2

M	NEWS
M	configure.ac

commit 19a23e81967317705ffc2506750e19961575fbb0
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon May 14 15:52:11 2012 +0200

    panel: Use new GTK bookmarks location if using GTK+ >= 3.5.1
    
    This is a runtime check, obviously.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=675393

M	gnome-panel/libpanel-util/panel-gtk.c
M	gnome-panel/libpanel-util/panel-gtk.h
M	gnome-panel/panel-menu-items.c

commit cf4a9397e79728ebe209453f6ec82b7a9760dc4a
Author: Mark Kwidzińsczi <Unknown>
Date:   Mon Apr 16 19:42:41 2012 +0200

    Added Kashubian translation

M	po/LINGUAS
A	po/csb.po

commit c20af5737491d8f0dbe52790c19a63270b8318e2
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Apr 16 13:49:59 2012 +0200

    release: post-release bump to 3.4.2

M	configure.ac

commit ebbc9d56c88107a9a4200957e4e425b29189324e
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Apr 16 13:49:44 2012 +0200

    release: 3.4.1

M	NEWS

commit c2da01fefc8f6533241557f54c398f3bf5de048f
Author: Paula <aninditapaula@yahoo.com>
Date:   Wed Apr 11 21:22:43 2012 +0700

    [l10n] Added Indonesian translation of clock applet manual

M	help/clock/Makefile.am
A	help/clock/id/id.po

commit 43b5ea66835b4e5c674ef6fe03a056c4431b8014
Author: Carles Ferrando <carles.ferrando@gmail.com>
Date:   Tue Apr 10 23:22:06 2012 +0200

    [l10n]Updated Catalan (Valencian) translation

M	po/ca@valencia.po

commit 7e902efe09bb1cc266c3d7e445cdf70e6376bde9
Author: Jordi Serratosa <jordis@softcatala.cat>
Date:   Tue Apr 10 23:21:59 2012 +0200

    [l10n] Fixes on Catalan translation

M	po/ca.po

commit e8e897dbfade6bf36e106ebf232549d6033cf5bd
Author: Sandeep Sheshrao Shedmake <sshedmak@redhat.com>
Date:   Mon Apr 2 12:38:28 2012 +0530

    Updated Marathi Translations

M	po/mr.po

commit cecf128dd31d6db00222a8fa00be7a4edf0b9037
Author: Yuri Kozlov <yuray@komyakino.ru>
Date:   Sat Mar 31 11:44:58 2012 +0400

    Updated Russian translation

M	help/fish/ru/ru.po

commit 2bbd442d8348591946c1602c8b2f8c422cdbf782
Author: Yuri Kozlov <yuray@komyakino.ru>
Date:   Sat Mar 31 11:43:16 2012 +0400

    Updated Russian translation

M	help/clock/ru/ru.po

commit 3da4d8433a03d06b77ed9a2f8280878c070831f3
Author: OKANO Takayoshi <kano@na.rim.or.jp>
Date:   Fri Mar 30 17:29:11 2012 +0900

    [l10n] Update Japanese translation
    
    Fix a typo

M	help/fish/ja/ja.po

commit 356fd463dad0b9a294eba7962f56f0e17af8f98f
Author: Og B. Maciel <ogmaciel@gnome.org>
Date:   Thu Mar 29 08:43:04 2012 -0400

    Updated Brazilian Portuguese translation. Fixes BZ 672997.

M	po/pt_BR.po

commit c85fe92c5922f1adae15e3b12b816a8153c41990
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Mar 26 10:47:42 2012 +0200

    release: post-release bump to 3.4.1

M	configure.ac

commit 0a5175b28025e7bdb7acdc9cb71d19c3ca2121a1
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Mar 26 10:47:37 2012 +0200

    release: 3.4.0

M	NEWS

commit d723fb6a53a2e8b0566430d108b20a971a831012
Author: Reşat SABIQ <tilde.birlik@gmail.com>
Date:   Mon Mar 26 02:52:40 2012 -0500

    Updated Crimean Tatar (Crimean Turkish) translation

M	po/crh.po

commit e1c1e2d32ae0be1bb8201aad36511bb9838ca458
Author: Sasi Bhushan <sasi@swecha.net>
Date:   Sun Mar 25 17:37:32 2012 +0530

    Added Telugu help Translations

M	help/clock/Makefile.am
A	help/clock/te/te.po

commit 899feca6a5ea6ba4ee2d283ac3f278165881c14f
Author: Nguyễn Thái Ngọc Duy <pclouds@gmail.com>
Date:   Thu Mar 22 10:32:59 2012 +0700

    Updated Vietnamese translation

M	po/vi.po

commit a0ae2edb4c651e02203e11311cdf90a2d98841cb
Author: Praveen Arimbrathodiyil <pravi.a@gmail.com>
Date:   Wed Mar 21 17:49:16 2012 +0530

    Malayalam translation updated

M	po/ml.po

commit 660c4c71c8d8847a9dccbd5f198c84a5abbb669c
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Mar 19 14:14:51 2012 +0100

    release: post-release bump to 3.4.0

M	configure.ac

commit 3e35ab54d47ea28d507db86dcd9fc173efe22d85
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Mar 19 14:14:44 2012 +0100

    release: 3.3.92

M	NEWS

commit 0fa4ad9bffe9f716f37c53fe99a9686ca1d21595
Author: Peter Hurley <peter@hurleysoftware.com>
Date:   Thu Mar 15 08:28:23 2012 -0400

    panel: Fix random grey box on logout
    
    On session logout, a grey box briefly appears in the upper left corner
    of the screen. This grey box appears because the PanelAppletFrame is
    attempting to notify the user that an applet has died and ask if the
    user would like to restart.
    
    This behavior is triggered by an "applet-broken" signal. This signal is
    generated when, as widgets are being unrealized & disposed from the
    toplevel in panel_shell_quit(), the socket created by
    PanelAppletContainer to track PanelApplet plugs is unrealized which
    causes the socket to generate a "plug-removed" signal.
    
    Don't generate "applet-broken" signal if the socket is unrealized.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=672111
    
    Signed-off-by: Peter Hurley <peter@hurleysoftware.com>

M	gnome-panel/libpanel-applet-private/panel-applet-container.c

commit d12e597ca627e285702b8a541a42c2c67ed5794e
Author: Peter Hurley <peter@hurleysoftware.com>
Date:   Wed Mar 14 12:26:53 2012 -0400

    panel: Add style class for orientation to PanelToplevel
    
      Add style class "horizontal" or "vertical" based on the orientation
      of the PanelToplevel. This allows themeing to adjust styling for
      vertical panels. An example selector would be:
    
      PanelToplevel.vertical {
        background-image: -gtk-gradient (linear, right top, left top,
                                         from (shade (@dark_bg_color, 1.15)),
                                         to (shade (@dark_bg_color, 0.95)));
      }
    
    Signed-off-by: Peter Hurley <peter@hurleysoftware.com>
    
    https://bugzilla.gnome.org/show_bug.cgi?id=672070

M	gnome-panel/panel-toplevel.c

commit ac26fe53235bc70e94fd501ceaab0070086a57bf
Author: Peter Hurley <peter@hurleysoftware.com>
Date:   Wed Mar 14 12:22:19 2012 -0400

    libpanel-applet: Add style class for orientation to PanelApplet
    
      Add style class "horizontal" or "vertical" based on the orientation
      of the PanelApplet. This allows themeing to adjust styling for vertical
      panels. An example selector would be:
    
      PanelApplet.vertical
      PanelApplet.vertical > GtkMenuBar.menubar {
        background-image: -gtk-gradient (linear, right top, left top,
                                         from (shade (@dark_bg_color, 1.15)),
                                         to (shade (@dark_bg_color, 0.95)));
      }
    
    Signed-off-by: Peter Hurley <peter@hurleysoftware.com>
    
    https://bugzilla.gnome.org/show_bug.cgi?id=672070

M	libpanel-applet/panel-applet.c

commit c066f71550f699a3958aca392f1dcd78f36bc4d8
Author: Peter Hurley <peter@hurleysoftware.com>
Date:   Wed Mar 14 12:17:57 2012 -0400

    panel: Add style class for orientation to PanelWidget
    
      Add style class "horizontal" or "vertical" based on the orientation
      of the PanelWidget. This allows themeing to adjust styling for vertical
      panels. An example selector would be:
    
      PanelWidget.vertical {
        background-image: -gtk-gradient (linear, right top, left top,
                                         from (shade (@dark_bg_color, 1.15)),
                                         to (shade (@dark_bg_color, 0.95)));
      }
    
    Signed-off-by: Peter Hurley <peter@hurleysoftware.com>
    
    https://bugzilla.gnome.org/show_bug.cgi?id=672070

M	gnome-panel/panel-widget.c

commit 5990d903635adf513ce4bd655ad48c5d7ab7f749
Author: Peter Hurley <peter@hurleysoftware.com>
Date:   Mon Mar 5 13:14:44 2012 -0500

    panel: Add style class for orientation to PanelAppletFrame
    
      Add style class "horizontal" or "vertical" based on the orientation
      of the PanelAppletFrame. This allows themeing to adjust styling for
      vertical panels. An example selector would be:
    
      PanelAppletFrame.vertical {
        background-image: -gtk-gradient (linear, right top, left top,
                                         from (shade (@dark_bg_color, 1.15)),
                                         to (shade (@dark_bg_color, 0.95)));
       }
    
    Signed-off-by: Peter Hurley <peter@hurleysoftware.com>
    
    https://bugzilla.gnome.org/show_bug.cgi?id=672070

M	gnome-panel/panel-applet-frame.c

commit 884600e579b40210b8ea0f333becc5bffe4ca9f1
Author: Peter Hurley <peter@hurleysoftware.com>
Date:   Wed Mar 14 12:14:04 2012 -0400

    panel: Add style class for orientation to menubar
    
      Add style class "horizontal" or "vertical" based on the orientation
      of the menubar. This allows themeing to adjust styling for vertical
      panels. An example selector would be:
    
      PanelMenuBar.menubar.vertical {
        background-image: -gtk-gradient (linear, right top, left top,
                                         from (shade (@dark_bg_color, 1.15)),
                                         to (shade (@dark_bg_color, 0.95)));
      }
    
    Signed-off-by: Peter Hurley <peter@hurleysoftware.com>
    
    https://bugzilla.gnome.org/show_bug.cgi?id=672070

M	gnome-panel/panel-menu-bar-object.c

commit c3a94c5b9c1d655d3dd69fbe58e762c514ad046e
Author: Nilamdyuti Goswami <nilamdyuti@gmail.com>
Date:   Mon Mar 12 18:11:25 2012 +0530

    Assamese translation completed

M	po/as.po

commit 3a64b0dc5a2cc4c5beade0e2768344f82895f555
Author: Khoem Sokhem <khoemsokhem@khmeros.info>
Date:   Sat Mar 10 13:23:14 2012 +0100

    Add initial Khmer translation

M	po/LINGUAS
A	po/km.po

commit 8c901582a94defb34ca9f2249386e98c974a2198
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Mar 5 10:59:09 2012 +0100

    release: post-release bump to 3.3.92

M	configure.ac

commit 198bae3567074db8182b76e833a30f655133e56e
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Mar 5 10:58:56 2012 +0100

    release: 3.3.91

M	NEWS

commit 1f7748b4b91ee45d4e3eb65e7cd177afdd39681d
Author: Peter Hurley <peter@hurleysoftware.com>
Date:   Mon Mar 5 09:46:56 2012 +0100

    panel: Fix position re-shuffling on orientation change
    
    The ButtonWidget widgets of launchers were accidentally triggering
    'EEEEK' code in panel_widget_update_positions.
    
    This can happen when the parent (the PanelWidget) allocation is stale or
    uninitialized. For example, when a panel's orientation is changed (eg,
    via the Properties dialog) and the toplevel initiates a resize, the
    children are queried for preferred height/width. At this point, the
    allocations are stale and reflect the values from the previous
    orientation.
    
    Instead, use the toplevel's specified size as the size of the
    ButtonWidget (accounting for padding in the major direction).
    
    https://bugzilla.gnome.org/show_bug.cgi?id=671328

M	gnome-panel/button-widget.c

commit 8986309114f54f1d2eba7e4838ee594b13a97c8f
Author: Peter Hurley <peter@hurleysoftware.com>
Date:   Sun Mar 4 10:00:02 2012 -0500

    panel: Force background redraw of PanelSeparator on orientation change
    
    Force a redraw of the background when the panel orientation has changed
    to ensure the background change is performed even if the allocation
    hasn't changed (for example, if the PanelSeparator is square).
    
    https://bugzilla.gnome.org/show_bug.cgi?id=671329

M	gnome-panel/panel-separator.c

commit b518243aff497a795b557245f1ac77b8406ba7d5
Author: Peter Hurley <peter@hurleysoftware.com>
Date:   Sat Mar 3 22:40:09 2012 -0500

    panel: Add class styling for orientation to PanelSeparator
    
    Add class style "horizontal" or "vertical", depending on the panel
    orientation. For example, css selector can be:
    
         PanelSeparator.horizontal {
             padding: 2 3;
         }
    
    Note that a PanelSeparator orientation is the same as the parent panel,
    ie. a PanelSeparator on a top panel will have "horizontal" style.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=671329

M	gnome-panel/panel-separator.c

commit f94190fe79d2e697ba216d8b6f84626a1b5470fc
Author: Peter Hurley <peter@hurleysoftware.com>
Date:   Sat Mar 3 17:19:47 2012 -0500

    panel: Size the PanelSeparator by css styling
    
    Instead of using a fixed value of 10 for the width/height of the
    PanelSeparator, compute the size dimensions based on the size of the css
    box dimensions and the enclosed GtkSeparator.
    
    This allows the theme to specify the dimensions to accomplish a
    particular look.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=671329

M	gnome-panel/panel-separator.c

commit 792aa870ef9fd6f57af7d07f152c1c987af1a6c2
Author: Peter Hurley <peter@hurleysoftware.com>
Date:   Sat Mar 3 14:43:57 2012 -0500

    panel: Remove unnecessary variable
    
    https://bugzilla.gnome.org/show_bug.cgi?id=671329

M	gnome-panel/panel-separator.c

commit c8a8d21a395c765fb185d6378ac5eb6dca614cb2
Author: Peter Hurley <peter@hurleysoftware.com>
Date:   Sun Mar 4 09:11:26 2012 -0500

    panel: Use GtkSeparator to draw PanelSeparator
    
    Rather than drawing a line in the PanelSeparator, instead use a
    GtkSeparator which allows the theme and themeing engine to customize the
    look.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=671329

M	gnome-panel/panel-separator.c

commit 419f41024e58b3eba6bfc93881fce104aca09e63
Author: Peter Hurley <peter@hurleysoftware.com>
Date:   Fri Mar 2 15:45:01 2012 -0500

    panel: Fix themed background pattern
    
    When the panel background is set to None (ie, use system theme), and the
    theme defines a background-image css style for the PanelWidget (with
    -gtk-gradient, for example), a pattern is created (the default_pattern
    member) which is incorrectly drawn in certain areas. The incorrectly
    drawn areas of the panel are regions that are not occupied by child
    widgets. These regions are wiped by GDK (in
    gdk_window_clear_backing_region) to the background pattern previously
    set (in panel_background_prepare).
    
    Although it appears as though no pattern is drawn, in fact the gradient
    pattern *is* drawn, but not scaled properly so that appears as if only
    one gradient value is used to fill.
    
    This patch correctly scales the default_pattern (if present) to the
    width & height of the panel window.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=663397

M	gnome-panel/panel-background.c

commit 3f7d6221a1629b184c88dfa4993f2ce48a90e555
Author: Peter Hurley <peter@hurleysoftware.com>
Date:   Mon Jan 23 23:05:56 2012 -0500

    panel: Fix rendering of the handle in the applet frame widget
    
    We were not drawing the handle with the right rectangle.
    
    We also need to re-scale the background pattern to the rendering
    rectangle.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=668573

M	gnome-panel/panel-applet-frame.c

commit a98c69540bda1479da1e357da7ebb58c7b7abd9f
Author: Mattias Põldaru <mahfiaz@gmail.com>
Date:   Fri Mar 2 13:53:00 2012 +0200

    [l10n] Updated Estonian translation

M	po/et.po

commit 58b4ac88d3d05ecfdc83c4cde3497a126c513e35
Author: Mattias Põldaru <mahfiaz@gmail.com>
Date:   Wed Feb 29 20:46:44 2012 +0200

    [l10n] Updated Estonian translation

M	po/et.po

commit 00f9870cb28e6ef657d1355f946140074b4551cb
Author: Colin Walters <walters@verbum.org>
Date:   Sun Feb 26 08:02:39 2012 -0500

    build: Fix srcdir != builddir for gresources
    
    There are three fixes here:
    
    1) We need to specify --srcdir=$(srcdir) for the generate-dependencies
       invocation; otherwise it won't know where to find the files that
       the resource file references.
    2) We need to prefix the resource file with $(srcdir) in the $(shell)
       call, because 'make' won't automatically search for it there.
    3) We DON'T need to prefix the resource file with $(srcdir)
       in the build command when using $<, because 'make' will search
       VPATH for it and automatically prefix it.
    
    Yes, this is all confusing.

M	applets/clock/Makefile.am
M	applets/fish/Makefile.am
M	applets/wncklet/Makefile.am
M	gnome-panel/Makefile.am

commit 2e16e95a1c46fbbe30e06ccff83508c52d32295e
Author: OKANO Takayoshi <kano@na.rim.or.jp>
Date:   Fri Feb 24 22:14:17 2012 +0900

    [l10n] Update Japanese translation

M	help/clock/ja/ja.po

commit ad0226e1c9d306344fba53be99f83632632efe4f
Author: Colin Walters <walters@verbum.org>
Date:   Thu Jan 26 18:11:10 2012 -0500

    build: Add --disable-documentation option
    
    Useful for operating system builders who want to avoid cyclic build
    dependencies.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=670689

M	configure.ac
M	help/Makefile.am

commit 3d0245ce1f0a6c47c6495e00e6e28945e82c8901
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Feb 22 15:10:25 2012 +0100

    build: Generate ChangeLog on make dist

M	Makefile.am

commit 060aedf18c18cfa47bdb7d88e5f2938b93683d71
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Feb 22 14:59:52 2012 +0100

    build: Update git.mk and ignore generated tarballs

M	Makefile.am
M	git.mk

commit f68f1e8b55b0f721a4cf8e67d9a68551d2bfbbf6
Author: Vincent Untz <vuntz@gnome.org>
Date:   Tue Feb 21 10:48:10 2012 +0100

    release: post-release bump to 3.3.91

M	configure.ac

commit b2c55fae42de23fb5b600700b473f4abf065aeb2
Author: Vincent Untz <vuntz@gnome.org>
Date:   Tue Feb 21 10:48:05 2012 +0100

    release: 3.3.90

M	NEWS

commit cfedc82e7bed93087d1346ab228ed83eb2871b4f
Author: Ihar Hrachyshka <ihar.hrachyshka@gmail.com>
Date:   Wed Feb 15 22:12:56 2012 +0300

    Updated Belarusian translation.

M	po/be.po

commit c1e7e41e3120f5ebe9a4a36ae9ef6697e8faca98
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Feb 8 09:30:46 2012 +0100

    wncklet: Remove obsolete help code

M	applets/wncklet/window-list.c
M	applets/wncklet/window-list.ui
M	applets/wncklet/wncklet.c
M	applets/wncklet/wncklet.h
M	applets/wncklet/workspace-switcher.c
M	applets/wncklet/workspace-switcher.ui

commit abe4720d00bcc5538bf2d66b578e6f0758e799b3
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Feb 8 09:26:44 2012 +0100

    panel: Remove more obsolete help code

M	gnome-panel/libpanel-util/panel-show.c
M	gnome-panel/libpanel-util/panel-show.h
M	gnome-panel/panel-addto.c
M	gnome-panel/panel-ditem-editor.c
M	gnome-panel/panel-menu-bar.c
M	gnome-panel/panel-menu-button.c
M	gnome-panel/panel-properties-dialog.c
M	gnome-panel/panel-run-dialog.c

commit c1b9cc3216a1d4e33a6a7d5a120f3847bd0cb64c
Author: Jeremy Bicha <jbicha@ubuntu.com>
Date:   Tue Feb 7 22:18:31 2012 -0500

    panel: Remove obsolete help buttons
    
    The GNOME user guide no longer includes help for gnome-panel, so
    remove the help buttons that's don't work any more.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=669630

M	gnome-panel/panel-addto.c
M	gnome-panel/panel-menu-bar.c
M	gnome-panel/panel-properties-dialog.ui
M	gnome-panel/panel-run-dialog.ui

commit 3c0af368a70b74e803420ca306dde9b3ee2acff2
Author: Vincent Untz <vuntz@gnome.org>
Date:   Tue Feb 7 10:04:37 2012 +0100

    clock: Use new GdkPixbuf API to load resources

M	applets/clock/clock-map.c
M	configure.ac
M	gnome-panel/nothing.cP

commit ef0e990bc72a69d5ad8063160d1e244aefa254b1
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Feb 6 13:39:43 2012 +0100

    release: post-release bump to 3.3.90

M	configure.ac

commit 44e2d6cd7c1dd4cb1b6a1b5ae8808823267f6a06
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Feb 6 13:39:35 2012 +0100

    release: 3.3.5

M	NEWS
M	configure.ac

commit 695d30c35df9ff4cc53381f473db2d4a24395511
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Feb 6 13:16:08 2012 +0100

    build: Fix distcheck

M	applets/clock/Makefile.am
M	applets/fish/Makefile.am
M	applets/wncklet/Makefile.am
M	gnome-panel/Makefile.am

commit 22ed971b882d16b584ca707d1c590243290432d5
Author: Vincent Untz <vuntz@gnome.org>
Date:   Thu Feb 2 17:50:27 2012 +0100

    clock: Bump CanSetTimezone cache to 20 seconds
    
    2 seconds is pretty low, and there's no reason to not have a higher
    value (especially as looking for this information requires some dbus
    traffic).

M	applets/clock/set-timezone.c

commit d6443052ade5ca283e6c070ece8771a8f3c70512
Author: Vincent Untz <vuntz@gnome.org>
Date:   Thu Feb 2 17:48:17 2012 +0100

    clock: Port to org.freedesktop.timedate1 (untested)
    
    As the old org.gnome.SettingsDaemon.DateTimeMechanism service is going
    away, we need to move to org.freedesktop.timedate1.
    
    Unfortunately, due to some brokenness on my system, this is not
    tested...
    
    This adds a dependency on polkit-gobject-1.

M	applets/clock/clock.c
M	applets/clock/set-timezone.c
M	configure.ac

commit 816dd9cfacdb9f75d6e1fdbdfcb11ded97a84de2
Author: Vincent Untz <vuntz@gnome.org>
Date:   Thu Feb 2 17:01:32 2012 +0100

    clock: Remove distro-specific code to set timezones
    
    We don't use this code anymore to set the timezone since we use a dbus
    service.

M	applets/clock/system-timezone.c
M	applets/clock/system-timezone.h
M	applets/clock/test-system-timezone.c

commit 221450b851b7d30c9e3d5389bdb04ff442632a29
Author: Vincent Untz <vuntz@gnome.org>
Date:   Thu Feb 2 16:42:50 2012 +0100

    clock: Always show actions to set time
    
    As we open the control center now and the datetime panel works in a
    different way than the old "set time" dialog, just always show the
    actions instead of trying to detect when the time cannot be set.

M	applets/clock/clock.c
M	applets/clock/set-timezone.c
M	applets/clock/set-timezone.h

commit 8d012f62adf2b810e98033bd4a80e018d3c9654a
Author: Vincent Untz <vuntz@gnome.org>
Date:   Thu Feb 2 14:58:29 2012 +0100

    panel: Stop using deprecated gtk_[hv]box_new()

M	gnome-panel/panel-addto.c
M	gnome-panel/panel-ditem-editor.c
M	gnome-panel/panel-force-quit.c

commit 9fca67f7bf2db30838ba6dcf86d49ca965ed31e5
Author: Vincent Untz <vuntz@gnome.org>
Date:   Thu Feb 2 14:54:58 2012 +0100

    panel: Convert to GResource

M	gnome-panel/Makefile.am
M	gnome-panel/nothing.cP
M	gnome-panel/panel-properties-dialog.c
M	gnome-panel/panel-run-dialog.c
M	gnome-panel/panel-schemas.h
M	gnome-panel/panel-test-applets.c
A	gnome-panel/panel-test-applets.gresource.xml
A	gnome-panel/panel.gresource.xml

commit f1e29e9527c9615a333a3be62e8842b84f291841
Author: Vincent Untz <vuntz@gnome.org>
Date:   Thu Feb 2 14:21:46 2012 +0100

    fish: Install fish animations in fish-specific directory

M	applets/fish/Makefile.am

commit 5161260240cc61b52e91ddfe7d297d0382e7a4f9
Author: Vincent Untz <vuntz@gnome.org>
Date:   Thu Feb 2 14:11:56 2012 +0100

    clock: Stop using deprecated gtk_[hv]box_new()

M	applets/clock/calendar-window.c
M	applets/clock/clock-location-tile.c
M	applets/clock/clock.c

commit 9ade365cd1a79c15ecf2a38a56bdb8d925eccf3a
Author: Vincent Untz <vuntz@gnome.org>
Date:   Thu Feb 2 14:05:12 2012 +0100

    clock: Remove useless icon

M	applets/clock/clock.gresource.xml
M	applets/clock/pixmaps/Makefile.am
D	applets/clock/pixmaps/clock-calendar-icon.png

commit aa2895d338c319f2cd22953937ec1991234fd9bf
Author: Vincent Untz <vuntz@gnome.org>
Date:   Thu Feb 2 14:04:27 2012 +0100

    clock: Convert to GResource

M	applets/clock/Makefile.am
M	applets/clock/clock-face.c
M	applets/clock/clock-map.c
M	applets/clock/clock-utils.c
M	applets/clock/clock-utils.h
M	applets/clock/clock.c
A	applets/clock/clock.gresource.xml
M	applets/clock/clock.h
M	applets/clock/pixmaps/Makefile.am

commit 9fbca7dfa21448e983b71d6530fcf7ea337bdd16
Author: Vincent Untz <vuntz@gnome.org>
Date:   Thu Feb 2 12:22:04 2012 +0100

    wncklet: Convert to GResource

M	applets/wncklet/Makefile.am
M	applets/wncklet/window-list.c
A	applets/wncklet/wncklet.gresource.xml
M	applets/wncklet/wncklet.h
M	applets/wncklet/workspace-switcher.c

commit 8a1060a1222d592aaa1957025fc1c366a82f9d46
Author: Vincent Untz <vuntz@gnome.org>
Date:   Thu Feb 2 12:05:45 2012 +0100

    fish: Remove unneeded variable

M	applets/fish/fish.c

commit 5478111b1fc676fc1d97a76911f0c33a7aa2e8c2
Author: Vincent Untz <vuntz@gnome.org>
Date:   Thu Feb 2 12:05:20 2012 +0100

    fish: Convert to GResource

M	applets/fish/Makefile.am
M	applets/fish/fish.c
A	applets/fish/fish.gresource.xml

commit 182cefdf8cc22be86d2c9fec7db2cd9fbda1e547
Author: Vincent Untz <vuntz@gnome.org>
Date:   Thu Feb 2 09:12:03 2012 +0100

    libpanel-applet: Add panel_applet_setup_menu_from_resource() API
    
    Add API to be able to use the new GResource framework.

M	configure.ac
M	libpanel-applet/panel-applet.c
M	libpanel-applet/panel-applet.h

commit 2fd32f37ff6cfb4772292ffb38329741c0f54c20
Author: Peter Hurley <peter@hurleysoftware.com>
Date:   Wed Jan 18 23:44:37 2012 -0500

    panel: Use horizontal/vertical padding for button widgets
    
    This avoids launcher being too close to each other.
    
    In addition, the "horizontal"/"vertical" class styles can be used to
    express the padding in a natural way:
    
         ButtonWidget.button.horizontal {
             padding : 0px 3px 0px 3px;
         }
    
    https://bugzilla.gnome.org/show_bug.cgi?id=668586

M	gnome-panel/button-widget.c

commit 0093d7db9f3d42e81994789c9b16b8ff72014054
Author: Peter Hurley <peter@hurleysoftware.com>
Date:   Thu Feb 2 10:50:25 2012 +0100

    panel: Minor cleanup
    
    Move some variable initializations around.

M	gnome-panel/panel-applet-frame.c

commit dbc81aeafc6ae05967a720eed9859d95437ec578
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Fri Dec 23 05:26:19 2011 +0000

    panel, libpanel-applet: Don't ask for menus to be pushed in
    
    That is really only useful for combo boxes.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=666569

M	gnome-panel/applet.c
M	libpanel-applet/panel-applet.c

commit 538c21a2d7e096cc03ee44bfe5b736afc837b66e
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Wed Jan 25 14:59:25 2012 +0100

    Updated Norwegian bokmål translation

M	po/nb.po

commit 21e493f47d25e8a890f23c02ccccc28614fa7f9a
Author: OKANO Takayoshi <kano@na.rim.or.jp>
Date:   Thu Jan 19 22:33:46 2012 +0900

    [l10n] Update Japanese translation

M	help/clock/ja/ja.po

commit 90682b3079099d74c64406899ce29a9afe20ccb1
Author: Gil Forcada <gforcada@gnome.org>
Date:   Thu Jan 12 23:54:01 2012 +0100

    [l10n]Updated Catalan documentation

M	help/fish/ca/ca.po

commit 29a89b89111f9dd3d37945c03bf455a5b68bad53
Author: Jovan Naumovski <jovan3.14@gmail.com>
Date:   Sun Jan 8 17:33:57 2012 +0100

    Updated Macedonian translation.

M	po/mk.po

commit e3cfec380bdf348ab4ab48e0f771a5720a7d6305
Author: Jiro Matsuzawa <jmatsuzawa@src.gnome.org>
Date:   Fri Jan 6 01:06:30 2012 +0900

    Updated Japanese translation

M	help/clock/ja/ja.po

commit cc9b7fd00676ce05d8a2c3f0f9ee58f41b3966e0
Author: Vincent Untz <vuntz@gnome.org>
Date:   Tue Dec 20 09:44:39 2011 +0100

    build: Create xz tarballs

M	configure.ac

commit f924d4804207f0c048ad4f51ba474b74c5a41826
Author: Vincent Untz <vuntz@gnome.org>
Date:   Tue Dec 20 09:22:08 2011 +0100

    release: post-release bump to 3.3.4

M	configure.ac

commit 18993fb81e2f795f11c6101754fa552352e4d2ab
Author: Vincent Untz <vuntz@gnome.org>
Date:   Tue Dec 20 09:22:00 2011 +0100

    release: 3.3.3

M	NEWS
M	configure.ac

commit 4f0aaf3dde07534be749821f46c98180e7976ca5
Author: Xandru Armesto <xandru@softastur.org>
Date:   Sun Dec 18 17:45:34 2011 +0100

    Updated asturian translation

M	po/ast.po

commit 83af3005e5c0c4201202630c1b0e44fd69611fb8
Author: Ihar Hrachyshka <ihar.hrachyshka@gmail.com>
Date:   Sun Dec 18 00:45:46 2011 +0300

    Updated Belarusian translation.

M	po/be.po

commit ef2f49ebcb0d28dc59e53b9a470a6220a4bce56e
Author: Vincent Untz <vuntz@gnome.org>
Date:   Thu Dec 8 13:57:43 2011 +0100

    build: Explicitly link to gmodule-2.0
    
    https://bugzilla.gnome.org/show_bug.cgi?id=665595

M	configure.ac

commit 643b1e8c63227e9951cf868599306c5cc6e77f71
Author: Vladislav Boboshko <vl.boboshko@gmail.com>
Date:   Sun Dec 4 22:50:32 2011 +0400

    Updated Russian translation

M	help/clock/ru/ru.po

commit 10079e9da795397f878f41ac10b23ebde50e32e2
Author: Lucian Adrian Grijincu <lucian.grijincu@gmail.com>
Date:   Thu Nov 24 15:40:58 2011 +0200

    Updated Romanian translation

M	po/ro.po

commit 2990f6c78d9c36b884da5e9202ec1648ff4bff86
Author: Lucian Adrian Grijincu <lucian.grijincu@gmail.com>
Date:   Sun Nov 20 23:08:07 2011 +0200

    Updated Romanian translation

M	po/ro.po

commit c82a9dce71b787f779a7a2f8418d988fb4a868fb
Author: Thura Hlaing <trhura@gmail.com>
Date:   Mon Nov 14 22:21:04 2011 +0100

    [l10n]Added Burmese translation

M	po/LINGUAS
A	po/my.po

commit 7a5e2a1b191b56fac81eb34d8b91f761cc103866
Author: Kristjan SCHMIDT <kristjan.schmidt@googlemail.com>
Date:   Wed Oct 26 08:56:40 2011 +0200

    Updated Esperanto translation

M	po/eo.po

commit 9736fb5c00d2972fb284c78db32dcaf2be75939f
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Oct 24 14:16:33 2011 +0200

    release: post-release bump to 3.3.2

M	configure.ac

commit 6e73cdb71a94a731f5feec40194bbd87da9a073d
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Oct 24 14:16:28 2011 +0200

    release: 3.3.1

M	NEWS
M	configure.ac

commit 41302ef675c612301766d57f89122219fce5f730
Author: Ihar Hrachyshka <ihar.hrachyshka@gmail.com>
Date:   Mon Oct 24 01:38:30 2011 +0300

    Updated Belarusian translation.

M	po/be.po

commit 3199fe885c9068c5ddd266f18b0a3d452ed35c5e
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Wed Oct 19 23:43:26 2011 +0200

    Updated Norwegian bokmål translation

M	po/nb.po

commit 5a54aa0e0c272a07a0a8226f2261adf1de35c553
Author: Erdal Ronahi <erdal.ronahi@gmail.com>
Date:   Tue Oct 18 17:19:23 2011 +0200

    updated Kurdish translations

M	po/ku.po

commit 9042d29697038c78e4c8da32e8a9f5a136a90bea
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Oct 17 14:34:42 2011 +0200

    panel: Doh, fix addition of non-existing include

M	gnome-panel/panel-menu-items.c

commit 12b371c4211ec5d17cf799cb3ee628ffd577cbf6
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Oct 17 13:41:50 2011 +0200

    panel: Change default size of icon in menu bar & user menu applets to 16
    
    This makes it possible to make the panel smaller than it used to be (the
    size of the icon was the blocker) and it also makes the icon consistent
    with the notification area icons.
    
    Note that this size doesn't apply to the user menu when it appears in
    the main menu (as opposed to the user menu applet).
    
    This can be changed in settings.ini (see GtkSettings doc) with:
     gtk-icon-sizes = panel-menu-bar=16,16
    
    This used to be called panel-foobar, but that name was horrible.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=660846
    https://bugzilla.gnome.org/show_bug.cgi?id=661790

M	gnome-panel/panel-menu-bar-object.c
M	gnome-panel/panel-menu-bar-object.h
M	gnome-panel/panel-menu-bar.c
M	gnome-panel/panel-menu-items.c

commit 743b3deaa1c7b4caac2d4fc74f5796af5e136880
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Oct 17 13:15:05 2011 +0200

    panel: Fix wrong height of Places menu item in main menu
    
    When not in the menu bar, the Places menu item should be of fixed width,
    like all other items -- regardless of whether the icon is shown or not.

M	gnome-panel/menu.c
M	gnome-panel/panel-menu-bar.c
M	gnome-panel/panel-menu-items.c
M	gnome-panel/panel-menu-items.h

commit cff8f9f22a031ca1ccab06a1460f8984d97f871f
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Oct 17 13:07:15 2011 +0200

    panel: Fix panels forced to be big because of user menu
    
    The user menu item was created with some functions that change the way
    the size of the menu item is negotiated, and we don't want this when
    this user menu item is in the user menu applet (we want this when it's
    in the main menu, though).
    
    Helps with https://bugzilla.gnome.org/show_bug.cgi?id=661790

M	gnome-panel/menu.c
M	gnome-panel/panel-menu-items.c
M	gnome-panel/panel-menu-items.h
M	gnome-panel/panel-user-menu.c

commit bb75a99aed60a48916c1aa13d1d84d173c15acf8
Author: Vincent Untz <vuntz@gnome.org>
Date:   Tue Oct 11 18:18:03 2011 +0200

    panel: Fix loading launchers defined with relative paths

M	gnome-panel/launcher.c

commit bc6beed1c7562f92a3993a720061a6e2f584646e
Author: Vincent Untz <vuntz@gnome.org>
Date:   Tue Oct 11 17:25:26 2011 +0200

    panel: Make it possible to load a default layout from the user config
    
    If ~/.config/gnome-panel/panel-default-layout.layout exists, use it in
    favor of /usr/share/gnome-panel/panel-default-layout.layout.

M	gnome-panel/panel-layout.c

commit 464c8666f20e885b22f255884580746aa8339b18
Author: Vincent Untz <vuntz@gnome.org>
Date:   Tue Oct 11 17:24:00 2011 +0200

    panel: Add helper API to get file in the user config directory for panel
    
    This just returns ~/.config/gnome-panel/$foo (with $foo optional, and
    respecting $XDG_CONFIG_HOME).

M	gnome-panel/panel-util.c
M	gnome-panel/panel-util.h

commit 077891cdfae7f0b247c1285de22d753d966712be
Author: Vincent Untz <vuntz@gnome.org>
Date:   Tue Oct 11 16:41:34 2011 +0200

    panel: Do not assert on error when using default layout
    
    Asserting is wrong: the default layout could be badly formatted, and in
    that case we should not abort but fail with a nice error. It turns out
    we already had the code for that, except that we never reached it since
    we asserted before :-)

M	gnome-panel/panel-layout.c
M	gnome-panel/panel-layout.h

commit 8fecde1a4067f9177aea611c9b73f543096d7b6e
Author: Vincent Untz <vuntz@gnome.org>
Date:   Tue Oct 11 16:36:15 2011 +0200

    panel: Support instance configuration of objects in default layout
    
    It's now possible to change some settings of the objects in the default
    layout. For instance, for a launcher, we would add this to the group of
    the launcher in the default layout file to set the .desktop file being
    used:
    
    @instance-config/location="foo.desktop"
    
    Syntax is:
     - @instance-config/ prefix
     - value of the key is a GVariant-parsable string

M	gnome-panel/panel-layout.c

commit 317d4a21dd28081a93e955a2e4a94f192231f7c8
Author: Vincent Untz <vuntz@gnome.org>
Date:   Tue Oct 11 16:35:11 2011 +0200

    panel: Add helper API to write directly to dconf
    
    This will be used for initial setup of panel, for GSettings keys
    applying to a specific path, while we don't really have the schema yet.

M	gnome-panel/libpanel-util/panel-dconf.c
M	gnome-panel/libpanel-util/panel-dconf.h

commit 4238b776ab74e38d36fc21810ce94dd1df2d5428
Author: Rudolfs Mazurs <rudolfs.mazurs@gmail.com>
Date:   Sat Oct 8 22:43:29 2011 +0300

    Updated Latvian translation.

M	po/lv.po

commit 563159e5e505ff7175004cb132ec2f069bfce550
Author: ipraveen <mail2ipn@gmail.com>
Date:   Sat Oct 8 22:34:23 2011 +0530

    Revert "Updated Telugu Translations done by Hari Krishna"
    
    This reverts commit 865de5a491550b67a84dd712e0232195d681eb45.
    Accidental and unrevised commit

M	po/te.po

commit 048d2230c6be6aafa4e38dd6a4f01c6b778fb1a6
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:   Sat Oct 8 14:23:19 2011 +0200

    Updated Spanish translation

M	po/es.po

commit 865de5a491550b67a84dd712e0232195d681eb45
Author: krishnababu k <kkrothap@redhat.ocm>
Date:   Fri Oct 7 19:44:54 2011 +0530

    Updated Telugu Translations done by Hari Krishna

M	po/te.po

commit 33233c9f5735dbe046b02876f79c01bc9e80c5bc
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:   Tue Sep 27 02:43:01 2011 +0200

    Updated Serbian translation

M	po/sr.po
M	po/sr@latin.po

commit c7d5cb14f06c652249e162d77bbb68f9efa58c30
Author: ipraveen <mail2ipn@gmail.com>
Date:   Mon Sep 26 22:39:12 2011 +0530

    Updated Telugu Translation

M	po/te.po

commit 8766b22bf4647e5bd9c87bf97bbd53876aac4951
Author: Carles Ferrando <carles.ferrando@gmail.com>
Date:   Mon Sep 26 14:25:08 2011 +0200

    [l10n]Updated Catalan (Valencian) translation

M	po/ca@valencia.po

commit 6c86d7f137f6f6ded54c73a6fc18af30d1de0db1
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Sep 26 11:09:45 2011 +0200

    release: post-release bump to 3.2.1

M	configure.ac

commit a124e56a8d03e3ad21421df97a0fb4523dbc0490
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Sep 26 11:09:36 2011 +0200

    release: 3.2.0

M	NEWS

commit 7dd9bdeed642ad872f8d60d773b599980218538a
Author: Tommi Vainikainen <thv@iki.fi>
Date:   Mon Sep 26 08:52:23 2011 +0300

    Updated Finnish translation

M	po/fi.po

commit eb4c2b2e1b82801282f49bef70533bc100fde36d
Author: Jiro Matsuzawa <jmatsuzawa@src.gnome.org>
Date:   Sun Sep 25 00:17:13 2011 +0900

    Updated Japanese translation

M	po/ja.po

commit 484d54ab27810e3e1223cc04e0594ca0018aea34
Author: Aurimas Černius <aurisc4@gmail.com>
Date:   Sat Sep 24 15:14:54 2011 +0300

    Updated Lithuanian translation

M	po/lt.po

commit 0a532c46bab84606dcea7855c69cc2d3ba7758d6
Author: Inaki Larranaga Murgoitio <dooteo@zundan.com>
Date:   Sat Sep 24 11:32:22 2011 +0200

    Updated Basque language

M	po/eu.po

commit fae7f3a9bbd47605f7f6433d6c5c7d4c7c8da7af
Author: Changwoo Ryu <cwryu@debian.org>
Date:   Fri Sep 23 03:17:31 2011 +0900

    Updated Korean translation

M	po/ko.po

commit 9290ec331de87bec32b6f950e8156596eaf614b5
Author: Flemming Christensen <fc@stromata.dk>
Date:   Thu Sep 22 16:13:45 2011 +0200

    Updated Danish translation

M	po/da.po

commit ad93af3725c9c0590a2f3c1c28fef26db1eecd26
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:   Wed Sep 21 03:10:07 2011 +0200

    Updated Hungarian translation

M	po/hu.po

commit 5f224ab8b6f66ef856551ea085f84e31d02b1fa3
Author: Sweta Kothari <swkothar@redhat.com>
Date:   Tue Sep 20 15:03:26 2011 +0530

    Updated Gujarati Translations

M	po/gu.po

commit 0855b2d7e0a2baff364d1fa5c86b440e1eac02a8
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Sep 19 23:16:25 2011 +0200

    release: post-release bump to 3.2.0

M	configure.ac

commit 5a8132fb358a34091d52539dc7519616619466dc
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Sep 19 23:16:17 2011 +0200

    release: 3.1.92

M	NEWS

commit 70ad1a2152b56e663ff6a254876a05ba2acea3bc
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Sep 19 23:02:50 2011 +0200

    clock: Look for calendar/tasks app in GSettings

M	applets/clock/calendar-window.c

commit bc32070f267d280739ab1ceb5d9116046c0abd9b
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Sep 19 17:17:17 2011 +0200

    panel: Change "My Account" to "Online Accounts" in user menu
    
    Obviously, we open the online accounts panel in the control center now.

M	gnome-panel/panel-menu-items.c

commit 066c35f46008582027f2deedc660b348496c2be5
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Sep 19 17:13:41 2011 +0200

    panel: Fix loading of main menu
    
    https://bugzilla.gnome.org/show_bug.cgi?id=658863

M	gnome-panel/panel-menu-button.c

commit 6d69511e08aeef57390cbf1eeb7284435f795b76
Author: Joan Duran <jodufi@gmail.com>
Date:   Mon Sep 19 00:32:48 2011 +0200

    [l10n]Updated Catalan translation

M	po/ca.po

commit 78abe9817a0ff96723293d17f27600c077ea30c7
Author: Ihar Hrachyshka <ihar.hrachyshka@gmail.com>
Date:   Sun Sep 18 19:23:00 2011 +0300

    Updated Belarusian translation (some fixes after manual testing).

M	po/be.po

commit 95d6840da2bcff812baa49039cbaf8d0f84ac612
Author: Jiro Matsuzawa <jmatsuzawa@src.gnome.org>
Date:   Sat Sep 17 12:21:40 2011 +0900

    Updated Japanese translation

M	po/ja.po

commit 5681cf2c34abac494e95d1efef010146ef38d3c6
Author: Antonio Fernandes C. Neto <fernandesn@gnome.org>
Date:   Fri Sep 16 09:07:15 2011 -0400

    Updated Brazilian Portuguese translation.

M	po/pt_BR.po

commit 0991b0cb17c1db3432e2e6db5d20d32bd8fec72a
Author: Daniel Korostil <ted.korostiled@gmail.com>
Date:   Fri Sep 16 14:31:57 2011 +0300

    Uploaded Ukranian

M	po/uk.po

commit e736085a36d741933d8093dbd737fedc69a1e655
Author: dmustieles <daniel.mustieles@gmail.com>
Date:   Wed Sep 14 17:39:47 2011 +0200

    Updated Spanish translation

M	po/es.po

commit 59edbcd08b64f52ecbd53b8b50e9878ad7eee572
Author: Anass Ahmed <anass.1430@gmail.com>
Date:   Tue Sep 13 21:16:33 2011 +0100

    Updated Arabic translation

M	po/ar.po

commit c6ceffa72fceec36b31e6c8e895ac994bc13cee9
Author: Yinghua Wang <wantinghard@gmail.com>
Date:   Tue Sep 13 12:44:29 2011 +0800

    update Simplified Chinese (zh_CN) translation

M	po/zh_CN.po

commit a2387a21601753903f5318cb4535044d96bf025f
Author: Dr.T.Vasudevan <agnihot3@gmail.com>
Date:   Mon Sep 12 21:57:40 2011 +0530

    updated Tamil translation

M	po/ta.po

commit 5c6e8f64a0e3b9bcf93d81426fc2d8ebf6ff3c7c
Author: Rudolfs Mazurs <rudolfs.mazurs@gmail.com>
Date:   Sun Sep 11 23:01:29 2011 +0300

    Updated Latvian translation.

M	po/lv.po

commit d1e6c844a0290bfa3fceb14b3d8f2e5ce1ec5c13
Author: Duarte Loreto <happyguy_pt@hotmail.com>
Date:   Sat Sep 10 23:52:50 2011 +0100

    Updated Portuguese translation

M	po/pt.po

commit 39684d077174ed078f0f6379d7d06db37362e16b
Author: Bruce Cowan <bruce@bcowan.me.uk>
Date:   Fri Sep 9 13:21:02 2011 +0100

    Updated British English translation

M	po/en_GB.po

commit b4844b5262a21ce1312c77296384ed5dafa03c45
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Wed Sep 7 20:50:42 2011 +0200

    Updated Slovenian translation

M	po/sl.po

commit 11c5efe87e92fd3b5044b86822b2e332bcd64df9
Author: Luca Ferretti <lferrett@gnome.org>
Date:   Wed Sep 7 00:43:21 2011 +0200

    Updated Italian translation

M	po/it.po

commit fa7786b78ede2cdf10482226b4cf76e92f8540bd
Author: Arash Mousavi <amousavi@src.gnome.org>
Date:   Tue Sep 6 19:29:28 2011 +0430

    Updated Persian translation

M	po/fa.po

commit 324e12be095d112bd5e82a2169f2ac22275a27e6
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:   Tue Sep 6 19:28:33 2011 +0800

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

M	po/zh_HK.po
M	po/zh_TW.po

commit 4686f67f3902cef67aa0a7c3c022069edeea2888
Author: Wouter Bolsterlee <wbolster@gnome.org>
Date:   Tue Sep 6 01:02:55 2011 +0200

    Updated Dutch translation by Wouter Bolsterlee

M	po/nl.po

commit dd453d2f1b53f2e78cdf093a13bf62eb1a450247
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Sep 5 09:06:59 2011 +0200

    release: post-release bump to 3.1.92

M	configure.ac

commit 757ce61ab0716ac8e2f395daabba13018e3ec32e
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Sep 5 09:06:52 2011 +0200

    release: 3.1.91

M	NEWS
M	configure.ac

commit 16f2ed81471dcc674296fe893a92111d010c9ab1
Author: Ihar Hrachyshka <ihar.hrachyshka@gmail.com>
Date:   Sun Sep 4 18:57:47 2011 +0300

    Updated Belarusian translation.

M	po/be.po

commit d62d466603feac52162c12290320847c0a1fb07f
Author: Marek Černocký <marek@manet.cz>
Date:   Fri Sep 2 20:21:08 2011 +0200

    Updated Czech translation

M	po/cs.po

commit f29c952a513f078c03b8d3f8e037dde1af1dd354
Author: Ihar Hrachyshka <ihar.hrachyshka@gmail.com>
Date:   Fri Sep 2 21:14:27 2011 +0300

    Updated Belarusian translation.

M	po/be.po

commit c13716f076ecf5357b7fc22cf7e68f1bbf2da6d9
Author: Colin Walters <walters@verbum.org>
Date:   Thu Sep 1 17:14:28 2011 -0400

    build: Fix srcdir != builddir
    
    We need to explicitly look in the srcdir for enums.

M	gnome-panel/libpanel-util/Makefile.am

commit 71aeff0f78f4d12e54bdf3fe0533bf89beddab9f
Author: Matt McCutchen <matt@mattmccutchen.net>
Date:   Wed Aug 31 12:50:00 2011 +0200

    panel: Do not forcecully center non-expanded panels on login
    
    When unexpanding panels, we only want to center them if this action is
    done when changing the expand property, not when initially loading it.

M	gnome-panel/panel-toplevel.c

commit 128e721ae4cbab236ddddb5d54c8fd8ca9f2acc1
Author: Stas Solovey <whats_up@tut.by>
Date:   Tue Aug 30 22:28:52 2011 +0400

    Updated Russian translation

M	po/ru.po

commit 2cee2096c3fddc77aaaff8c9d9564519d8f73477
Author: Alexandre Franke <alexandre.franke@gmail.com>
Date:   Mon Aug 29 15:22:32 2011 +0200

    Update French translation

M	po/fr.po

commit 1638b6408ccd5e667f26c29e590226616172f51e
Author: Ihar Hrachyshka <ihar.hrachyshka@gmail.com>
Date:   Sun Aug 28 19:26:14 2011 +0300

    Updated Belarusian translation.

M	po/be.po

commit 86efdcbb16dc8ffb99420b34a369ce6a47482773
Author: Abduxukur Abdurixit <abdurixit@gmail.com>
Date:   Sun Aug 28 16:37:06 2011 +0200

    Added UG translation

M	po/ug.po

commit 4f45e2a6c5ec9523af6a28057049d28db84184bc
Author: Mario Blättermann <mariobl@gnome.org>
Date:   Sun Aug 28 15:29:22 2011 +0200

    [l10n] Updated German translation

M	po/de.po

commit 6f78b8c86a6bceda07e6954b9dd8e47f73a5ab79
Author: A S Alam <aalam@users.sf.net>
Date:   Sun Aug 21 09:34:06 2011 +0530

    update Punjabi Translation

M	po/pa.po

commit 1d2d797666b11d03a9de0a84996eeb58684098f8
Author: Andika Triwidada <andika@gmail.com>
Date:   Fri Aug 19 05:25:45 2011 +0700

    Updated Indonesian translation

M	po/id.po

commit 5691d985c867a04e3caa11eb0c8630fa2bbb3498
Author: Fran Dieguez <fran@openhost.es>
Date:   Tue Aug 16 19:33:44 2011 +0200

    Updated Galician translations

M	po/gl.po

commit 41864d9d6a993b23dbc69752ec1ecb6b98a4d216
Author: Theppitak Karoonboonyanan <thep@linux.thai.net>
Date:   Sun Aug 14 22:52:44 2011 +0700

    Updated Thai translation.

M	po/th.po

commit b5068f85a40385cd77f5c539e146da5bd4ccc2b6
Author: Vincent Untz <vuntz@gnome.org>
Date:   Fri Aug 12 13:47:36 2011 +0200

    release: post-release bump to 3.1.90

M	configure.ac

commit f331081e3ff808428d07bd5df3184f09d9a4a04c
Author: Vincent Untz <vuntz@gnome.org>
Date:   Fri Aug 12 13:47:30 2011 +0200

    release: 3.1.5

M	NEWS
M	configure.ac

commit 20732053fbbb5b7a4b59c8f74a3a79dfca5a45cc
Author: Aryeh Gregor <Simetrical+gnome@gmail.com>
Date:   Fri Aug 12 13:33:57 2011 +0200

    clock: Do not miss seconds when displaying seconds
    
    The timeout we were using is expecting a 1ms resolution; usually, timers
    have a 10ms, though, so we could sometimes simply skip a second, which
    is bad. Add 15ms to the timeout to avoid that.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=585668

M	applets/clock/clock.c

commit 354d239f970f0bd6dfdf98c1ef8f2f53b8e5b32f
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Thu Aug 11 22:19:45 2011 +0200

    Updated Polish translation

M	po/pl.po

commit 8fc0e3e3d95528fd96128f9ddd2e1e22fa77400b
Author: Alexander Shopov <ash@kambanaria.org>
Date:   Wed Aug 10 23:25:38 2011 +0300

    Updated Bulgarian translation

M	po/bg.po

commit bbb76dcad1e717a2b9dd706c2849fe7ea055d520
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Wed Aug 10 15:17:09 2011 +0200

    Updated Norwegian bokmål translation

M	po/nb.po

commit 03dd6fd2ca1a677f3416809ae2885f2dbcccc338
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:   Sat Aug 6 14:56:23 2011 +0300

    Updated Hebrew translation.

M	po/he.po

commit a0a91850a5f646d8795e8c177bc63adbea533423
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Wed Aug 3 21:46:12 2011 +0200

    Updated Spanish translation

M	po/es.po

commit d9d4f5eb3aedd7500f33c293411088df647c0d13
Author: Daniel Nylander <po@danielnylander.se>
Date:   Tue Aug 2 00:34:39 2011 +0200

    Updated Swedish translation

M	po/sv.po

commit 247628370cadb3a4998a697b87780f8a990cd3c7
Author: Vincent Untz <vuntz@gnome.org>
Date:   Fri Jul 22 12:00:41 2011 +0200

    panel: Correctly reload menu on changes
    
    With the new API, we have to explicitly reload the menu.

M	gnome-panel/menu.c

commit f83c844e307ecae1d0ee83ff147e84a37c38316a
Author: Vincent Untz <vuntz@gnome.org>
Date:   Fri Jul 22 11:53:13 2011 +0200

    panel: Always keep the same window icon for run dialog
    
    We used to change the icon, depending on the app that was selected, but
    this actually doesn't make sense; it's just confusing when people look
    at the window list.

M	gnome-panel/panel-run-dialog.c

commit 10ce6bac116a089cc8982c084f094a3634f076cf
Author: Vincent Untz <vuntz@gnome.org>
Date:   Fri Jul 22 11:01:42 2011 +0200

    panel: Finish port to new gnome-menus API
    
    This completes Colin's previous commit, fixing various issues and
    cleaning some changes.
    
    We move quite some code to GIcon, which is easier in many cases.

M	configure.ac
M	gnome-panel/menu.c
M	gnome-panel/panel-addto.c
M	gnome-panel/panel-menu-button.c
M	gnome-panel/panel-run-dialog.c
M	gnome-panel/panel-util.c
M	gnome-panel/panel-util.h

commit 7fb52d0c7dd322c40e840a6808727031638ae69b
Author: Colin Walters <walters@verbum.org>
Date:   Tue May 3 17:49:40 2011 -0400

    panel: Port to new gnome-menus API
    
    This port is a bit suboptimal in that we call gmenu_tree_new()
    in multiple places.  But other than that, tested and appears to
    work in a jhbuild on Fedora 14.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=649327

M	configure.ac
M	gnome-panel/menu.c
M	gnome-panel/panel-addto.c
M	gnome-panel/panel-run-dialog.c

commit e16135199fda66ecfe06c70fe7ff42a5ae8cb9dc
Author: Tommi Vainikainen <thv@iki.fi>
Date:   Fri Jul 22 16:04:33 2011 +0300

    Updated Finnish translation

M	po/fi.po

commit 54697b3e2255d46e89ef0f93fb2149155723070b
Author: Brian Cameron <brian.cameron@oracle.com>
Date:   Mon Jul 18 15:05:27 2011 +0200

    libpanel-applet: Do not return a value in function with no return value
    
    https://bugzilla.gnome.org/show_bug.cgi?id=654716

M	libpanel-applet/panel-applet.c

commit 201da2505e5ae37cd1a11e77fdf9153f25702ebd
Author: Ihar Hrachyshka <ihar.hrachyshka@gmail.com>
Date:   Wed Jul 13 23:38:06 2011 +0300

    Updated Belarusian translation.

M	po/be.po

commit 0f086faf79e52e0daeea0310968514ad1bf11475
Author: Rudolfs Mazurs <rudolfs.mazurs@gmail.com>
Date:   Tue Jul 12 18:36:04 2011 +0300

    Updated Latvian translation.

M	po/lv.po

commit 8f58ed39ac07fadc5a6154b82f726e6c9425e5e5
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Jun 27 22:41:44 2011 +0200

    panel: Fix -Wunused-but-set-variable warnings

M	gnome-panel/applet.c
M	gnome-panel/button-widget.c
M	gnome-panel/libpanel-util/panel-launch.c
M	gnome-panel/panel-applet-frame.c
M	gnome-panel/panel-frame.c
M	gnome-panel/panel-layout.c
M	gnome-panel/panel-menu-button.c
M	gnome-panel/panel-separator.c
M	gnome-panel/panel-toplevel.c
M	gnome-panel/panel.c

commit 844c6bf5cf444abfda93fd0fcdbfb48b9fe3c4cb
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Jun 27 22:25:36 2011 +0200

    panel: Stop using G_CONST_RETURN

M	gnome-panel/applet.c
M	gnome-panel/panel-action-button.c
M	gnome-panel/panel-action-button.h
M	gnome-panel/panel-ditem-editor.c
M	gnome-panel/panel-ditem-editor.h
M	gnome-panel/panel-menu-button.c
M	gnome-panel/panel-toplevel.c
M	gnome-panel/panel-toplevel.h

commit 7ed11caf03c5d049f434ab23f8dde4448fac96c3
Author: Ihar Hrachyshka <ihar.hrachyshka@gmail.com>
Date:   Sun Jun 26 01:53:20 2011 +0300

    Updated Belarusian translation.

M	po/be.po

commit 79c4027f1f1a462437069c326a14e07933bc4d0d
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:   Sat Jun 25 00:03:58 2011 +0200

    Updated Serbian translation

M	po/sr.po
M	po/sr@latin.po

commit 04e752f52ce124fa1009cd01a76049aca66613fb
Author: Vincent Untz <vuntz@gnome.org>
Date:   Tue Jun 14 15:12:05 2011 +0200

    build: Modernize build system a bit
    
    Stop using GNOME_COMMON_INIT as it is deprecated.
    Do not use AM_MAINTAINER_MODE as it is not recommended by automake
    developers.
    Use LT_PREREQ & LT_INIT for libtool checks.
    Require intltool 0.40.6 to avoid various bugs.
    Do not use AC_ISC_POSIX, AC_HEADER_STDC, AM_PROG_CC_C_O as they
    shouldn't be needed on modern systems.
    Remove checks for perl and awk, and the useless --disable-rebuilds
    configure flag.

M	applets/clock/Makefile.am
M	configure.ac
M	gnome-panel/Makefile.am
M	gnome-panel/libpanel-util/Makefile.am
M	libpanel-applet/Makefile.am

commit f625da4e5f345ea9a7921c5edd60e48127a14596
Author: Carles Ferrando <carles.ferrando@gmail.com>
Date:   Sun May 29 18:30:06 2011 +0200

    [l10n]Updated Catalan (Valencian) translation

M	po/ca@valencia.po

commit c65f1ae3472cfd4cd96fd376b7bbd95fba5eef0a
Author: Vincent Untz <vuntz@gnome.org>
Date:   Fri May 27 19:00:14 2011 +0200

    build: Fix build with --as-needed

M	applets/notification_area/Makefile.am

commit 83c6f94ccd6bda9572f6e7a1159a0191bafaf8b9
Author: Vincent Untz <vuntz@gnome.org>
Date:   Tue May 24 01:27:42 2011 +0200

    release: post-release bump to 3.0.3

M	configure.ac

commit 3742908f0a3016873b1d1e13201430228dd0aca8
Author: Vincent Untz <vuntz@gnome.org>
Date:   Tue May 24 01:27:33 2011 +0200

    release: 3.0.2

M	NEWS
M	configure.ac

commit 11346ea2992a069e523bc50285b7431358e48c6a
Author: Andrey Vihrov <andrey.vihrov@gmail.com>
Date:   Tue May 24 01:06:14 2011 +0200

    clock: Correctly deal with leap seconds for updates
    
    We need to use localtime() to take into account leap seconds that might
    exist, when defining the new timeout to update the clock. Else, the
    clock will not update when a minute change, but a bit later.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=604317

M	applets/clock/clock.c

commit b316207f2ac7531dab82aa03f485d416150c6b2f
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Mon Mar 28 18:12:37 2011 +0200

    panel: Add missing #include <config.h> to make translations work
    
    https://bugzilla.gnome.org/show_bug.cgi?id=645968

M	gnome-panel/libpanel-util/panel-error.c
M	gnome-panel/libpanel-util/panel-icon-chooser.c
M	gnome-panel/libpanel-util/panel-launch.c
M	gnome-panel/libpanel-util/panel-show.c

commit 8cb5b77912d365f30ffd7027f6ba52212aebf4d1
Author: Vincent Untz <vuntz@gnome.org>
Date:   Tue May 24 00:07:44 2011 +0200

    panel: Fix crash when running without gnome-session
    
    https://bugzilla.gnome.org/show_bug.cgi?id=650476

M	gnome-panel/libpanel-util/panel-session-manager.c

commit 993dcc505e144cb598b527d002d6bf6ea52fe2b8
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon May 23 23:53:00 2011 +0200

    clock: Rename a variable

M	applets/clock/set-timezone.c
M	applets/clock/set-timezone.h

commit 747496d102ffca4587fd7b892da3d7b7f5474220
Author: Chris Vine <chris@cvine.freeserve.co.uk>
Date:   Mon May 23 23:49:54 2011 +0200

    clock: Fix usage of polkit service to set timezone
    
    There were several issues, caused by changes in the polkit service:
     - some dbus methods were renamed
     - we don't need to pass a path to a timezone file to set it, just the
       name of the timezone
    
    Also we were reading a return value correctly.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=649639

M	applets/clock/clock-location.c
M	applets/clock/set-timezone.c

commit 3ce3e099ef72627ff6c09681749edf419c13d1d5
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Apr 13 15:30:16 2011 +0200

    panel, libpanel-applet: Correctly test for modifier keys
    
    Using Alt to edit the panels doesn't always work; this is likely because
    we were not using gtk_accelerator_get_default_mod_mask() to test the
    modifier key.
    
    Note that we double-check that the metacity modifier is in the mask
    returned by gtk_accelerator_get_default_mod_mask(), to make sure it
    always work -- if it's not there, we default to MOD1.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=649971

M	gnome-panel/applet.c
M	gnome-panel/panel-applet-frame.c
M	gnome-panel/panel-bindings.c
M	gnome-panel/panel-toplevel.c
M	gnome-panel/panel-util.c
M	gnome-panel/panel-widget.c
M	gnome-panel/panel.c
M	libpanel-applet/panel-applet-bindings.c
M	libpanel-applet/panel-applet.c

commit 76fa96eba5541625761bac1f8620f9b896526652
Author: Rachid <rachidbm@ubuntu.com>
Date:   Wed May 4 20:29:31 2011 +0200

    Updated Dutch translation by Rachid

M	po/nl.po

commit 648b982b08dbb0fa960b747aded07faf1b3f25e9
Author: Daniel Korostil <ted.korostiled@gmail.com>
Date:   Tue May 3 22:09:08 2011 +0300

    Uploaded Ukranian

M	help/clock/uk/uk.po

commit a19af49c4a8f1ed77a1c5d1ff52e27f0f8197086
Author: Rodrigo Padula de Oliveira <contato@rodrigopadula.com>
Date:   Mon May 2 14:12:52 2011 -0300

    Updated Brazilian Portuguese translation

M	po/pt_BR.po

commit 241e288c0a9d30f9f2e8d608b0bbd950c1ac959c
Author: Rodrigo Moya <rodrigo@gnome-db.org>
Date:   Mon May 2 15:55:19 2011 +0200

    clock applet: Pass the correct month to Evolution command line
    
    gtk_calendar_get_date returns the month between 0 and 11, so we need to add
    1 to the month being passed to Evolution

M	applets/clock/calendar-window.c

commit aa4e5546275b0f600bf55fc43a9e5211e80b5450
Author: Abduxukur Abdurixit <abdurixit@gmail.com>
Date:   Mon May 2 07:21:01 2011 +0200

    Added UG translation

M	po/ug.po

commit ffa17160fc771b1613cc1ffaaeeb5b896f472b8a
Author: Daniel Korostil <ted.korostiled@gmail.com>
Date:   Mon May 2 02:51:57 2011 +0300

    Uploaded Ukranian

M	po/uk.po

commit 8940fdfcf34cc91f4bf748a7e77f150e9f1307ed
Author: Michael Kotsarinis <mk73628@gmail.com>
Date:   Wed Apr 27 23:11:07 2011 +0300

    l10n: Updated Greek translation for gnome-panel

M	po/el.po

commit cc1e380220ba02bec71d1fa455d59570e9a74f2e
Author: Ask H. Larsen <asklarsen@gmail.com>
Date:   Mon Apr 25 22:48:39 2011 +0200

    Updated Danish translation

M	po/da.po

commit 93db184ac8d26fab230b27fadf8f98cdbcb976c8
Author: Arash Mousavi <amousavi@src.gnome.org>
Date:   Sat Apr 23 20:37:10 2011 +0430

    Updated Persian translation

M	po/fa.po

commit 6a42aaf9257362358cee7736a646e26c8ec0a06f
Author: Claude Paroz <claude@2xlibre.net>
Date:   Thu Apr 21 16:22:58 2011 +0200

    Updated French translation

M	po/fr.po

commit a7972f7a87b2ad64aebb503cc4df46cbd6f14394
Author: Alexander Shopov <ash@kambanaria.org>
Date:   Thu Apr 21 07:30:09 2011 +0300

    Updated Bulgarian translation

M	po/bg.po

commit 44697df2f360bf010bd0666a399e661cde9762d5
Author: Bruce Cowan <bruce@bcowan.me.uk>
Date:   Wed Apr 20 12:52:58 2011 +0100

    Updated British English translation

M	po/en_GB.po

commit 14506a490787a5ed258e35f7273bd91204f0a383
Author: Gil Forcada <gforcada@gnome.org>
Date:   Wed Apr 20 09:10:08 2011 +0200

    [l10n]Updated Catalan translation

M	po/ca.po

commit 5951f599b2a09279c402f04e23663def0028c2ba
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Tue Apr 19 21:04:10 2011 +0200

    Updated Slovenian translation

M	po/sl.po

commit 9c582eac32d294725fa278021dd8e9d6633411d3
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Tue Apr 19 20:56:19 2011 +0200

    Updated Slovenian translation

M	po/sl.po

commit 2a19550bf133e0d5c6a3b314f88fe804afe09a9b
Author: Vincent Untz <vuntz@gnome.org>
Date:   Tue Apr 19 16:43:24 2011 +0200

    l10n: Ignore data/org.gnome.gnome-panel.applet.clock.gschema.xml.in.in
    
    This is not needed yet.

M	po/POTFILES.skip

commit 7ceba09dae2547f436320bf9c8cd091121a2cfa7
Author: Vincent Untz <vuntz@gnome.org>
Date:   Tue Apr 19 16:17:36 2011 +0200

    Revert "Updated POTFILES.in"
    
    org.gnome.gnome-panel.applet.clock.gschema.xml.in.in is not used yet.
    
    This reverts commit da9990f7bdd307fc758e17b3e17ca844cee48a62.

M	po/POTFILES.in

commit 85b29891286652059cd6258de3363ffb5bdcc2c3
Author: Vincent Untz <vuntz@gnome.org>
Date:   Tue Apr 19 16:16:12 2011 +0200

    panel: Move some checks around to avoid a cppcheck warning

M	gnome-panel/panel.c

commit 252bca7fece11c1d962cb8ee1435fefebdf00664
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Tue Apr 19 10:56:33 2011 +0200

    Updated Polish translation

M	po/pl.po

commit c4ee4768da8d0692b52c0b980ec02556b34ecbf0
Author: Mario Blättermann <mariobl@gnome.org>
Date:   Mon Apr 18 20:59:26 2011 +0200

    [l10n] Updated German translation

M	po/de.po

commit 34e746518eb66e32e75f2957cc69e92a2637482e
Author: Mario Blättermann <mariobl@gnome.org>
Date:   Mon Apr 18 20:57:26 2011 +0200

    [l10n] Updated German translation

M	po/de.po

commit 9a9f834221ecf706a1a3af0c1a00b4314b6011f9
Author: Marek Černocký <marek@manet.cz>
Date:   Sun Apr 17 10:45:18 2011 +0200

    Updated Czech translation

M	po/cs.po

commit 90cca1d617d14e25e663656c91a36c011ec922db
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:   Sat Apr 16 10:52:39 2011 +0300

    Updated Hebrew translation.

M	po/he.po

commit da9990f7bdd307fc758e17b3e17ca844cee48a62
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Thu Apr 14 21:57:43 2011 +0200

    Updated POTFILES.in

M	po/POTFILES.in

commit 5a24a4af6e5c8d2e2238300149bd5c5350990a3e
Author: Yuri Myasoedov <omerta13@yandex.ru>
Date:   Thu Apr 14 23:06:22 2011 +0400

    Updated Russian translation

M	po/ru.po

commit 5461c557f79b4083bda2139a3f0b2fab31d4c605
Author: Changwoo Ryu <cwryu@debian.org>
Date:   Fri Apr 15 04:05:19 2011 +0900

    Updated Korean translation

M	po/ko.po

commit df622016e3ab1fb1e49b800a78475329a7df8550
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Thu Apr 14 19:21:40 2011 +0200

    Updated Spanish translation

M	po/es.po

commit 0346e9bd8222b99173087dd4d5aef896a9ef071a
Author: Nguyễn Thái Ngọc Duy <pclouds@gmail.com>
Date:   Thu Apr 14 19:59:15 2011 +0700

    Updated Vietnamese translation

M	po/vi.po

commit 3600a00f96cf304b70f1a55d50134066d8944509
Author: Nguyễn Thái Ngọc Duy <pclouds@gmail.com>
Date:   Thu Apr 14 19:58:06 2011 +0700

    po/vi.po: import from Damned Lies

M	po/vi.po

commit e8ee07d76ac267d47ae567676e716d2c09f6bbc0
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:   Thu Apr 14 19:37:43 2011 +0800

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

M	po/zh_HK.po
M	po/zh_TW.po

commit 733fe30aec9a0ce15f7f8e53a1646f18e607266e
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:   Wed Apr 13 23:04:16 2011 +0200

    Updated Galician translations

M	po/gl.po

commit 842465f7b2fe18fda0f10bacebbfd4361c7ee64e
Author: Daniel Nylander <po@danielnylander.se>
Date:   Wed Apr 13 22:53:59 2011 +0200

    Updated Swedish translation

M	po/sv.po

commit d367a3cde917917bd20142237ffa8ddcbd9e1a07
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Wed Apr 13 19:47:36 2011 +0200

    Updated Norwegian bokmål translation

M	po/nb.po

commit d44814bb363742ffa170f8104c23cad23b6fbf50
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Apr 13 15:57:57 2011 +0200

    panel: Remove unused no_die field in structure

M	gnome-panel/panel-widget.c
M	gnome-panel/panel-widget.h

commit 3897d3d2d78ad2ea5645a9c2dd0e5fb68fafbeeb
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:   Wed Apr 13 09:05:38 2011 +0200

    Updated Hungarian translation

M	po/hu.po

commit 208893e075d9ecc2877f6d2b400eb1044d8eeedc
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:   Wed Apr 13 00:24:29 2011 +0200

    Mark the type of panel-applet.in.in files, so that
    strings get extracted correctly for translation. Fixes:
    https://bugzilla.gnome.org/show_bug.cgi?id=647609

M	po/POTFILES.in

commit 8c275a2adf4ad99297a17cabf251344837620831
Author: Josselin Mouette <joss@malsain.org>
Date:   Mon Apr 11 15:05:32 2011 +0200

    panel: Fix crash when starting launcher
    
    Do not destroy a widget in its draw signal. This is bad. Really.
    
    This was happening in the animation that is being drawn after clicking a
    launcher.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=641325

M	gnome-panel/xstuff.c

commit 3f1fb09dc634190d1ed7ce867bec5311351766eb
Author: Alexander Shopov <ash@kambanaria.org>
Date:   Sun Apr 10 08:48:18 2011 +0300

    Updated Bulgarian translation

M	po/bg.po

commit 18d6b59135b5ddb7c2f5f5daa15e41ce568b8712
Author: A S Alam <aalam@users.sf.net>
Date:   Thu Apr 7 19:29:43 2011 +0530

    update Punjabi translation

M	po/pa.po

commit a4e433a4ca95bf6bae67bd71ad00f4b4faf1591b
Author: Ask H. Larsen <asklarsen@gmail.com>
Date:   Wed Apr 6 22:00:00 2011 +0200

    Updated Danish translation

M	help/clock/da/da.po

commit 1bc1421bb2b155ad95891eac8d1542692f94d2c2
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Apr 6 13:44:25 2011 +0200

    release: post-release bump to 3.0.1

M	configure.ac

commit d8a3ab3b10784e7ceabd9215cc29a4736ec9ea86
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Apr 6 13:44:17 2011 +0200

    release: 3.0.0.1

M	NEWS
M	configure.ac

commit 41d0e690edfe952a4ff8b8f6ea01cb9cb09695f7
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Apr 6 11:11:54 2011 +0200

    na: Fix thin lines appearing when an icon is removed
    
    We were simply never removing the NaTrayChild/GtkSocket object from the
    box when the icon/GtkPlug gets removed.

M	applets/notification_area/na-tray.c

commit 063ba27fbe900fdeac774a24f1c80800e4644084
Author: Vincent Untz <vuntz@gnome.org>
Date:   Tue Apr 5 15:59:46 2011 +0200

    doc: Move some defines around in panel-applet.h to fix doc
    
    Some values of the enums were not being correctly documented because of
    defines inside the typedef.

M	doc/reference/panel-applet/tmpl/applet.sgml
M	libpanel-applet/panel-applet.h

commit 2fad0423d70a0b540d3857744c78f4d0a8ed89a5
Author: Vincent Untz <vuntz@gnome.org>
Date:   Tue Apr 5 12:41:07 2011 +0200

    panel: Simply code to open menu bar on alt+f1
    
    With GTK+ 3, we cannot do some hacks to deal with grabs. And it turns
    out this is really an issue with GTK+ anyway. See
    https://bugzilla.gnome.org/show_bug.cgi?id=554057

M	gnome-panel/panel-menu-bar.c

commit 0aba62123db642bd345771eca59c3d41064fe18b
Author: Vincent Untz <vuntz@gnome.org>
Date:   Tue Apr 5 01:30:00 2011 +0200

    release: post-release bump to 3.0.1

M	configure.ac

commit 512a75052c16b17991633146b2898502955aafe3
Author: Vincent Untz <vuntz@gnome.org>
Date:   Tue Apr 5 01:29:52 2011 +0200

    release: 3.0.0

M	NEWS

commit 73a7a1ef2258718a351618cbb256964023440d9c
Author: Jamil Ahmed <itsjamil@gmail.com>
Date:   Tue Apr 5 01:33:11 2011 +0600

    Updated Bengali translation

M	po/bn.po

commit f605897fd0bad63b668f0effeb74a9b5a4ed8544
Author: Rudolfs Mazurs <rudolfs.mazurs@gmail.com>
Date:   Mon Apr 4 19:53:33 2011 +0300

    Updated Latvian translation.

M	po/lv.po

commit b6d96c86c75ccddd11e664860c3edacbb0e4bf81
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Apr 4 17:44:20 2011 +0200

    panel: Fix main menu detection for menu buttons
    
    The logic was inverted.

M	gnome-panel/panel-menu-button.c

commit 780501b76b71ad0089731f26a92b5355b727e1e6
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:   Mon Apr 4 20:52:53 2011 +0800

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

M	po/zh_HK.po
M	po/zh_TW.po

commit 83b637501214762a2f42ac00bf900cea10b1a585
Author: Jamil Ahmed <itsjamil@gmail.com>
Date:   Mon Apr 4 15:30:34 2011 +0600

    Updated Bengali translation

M	po/bn.po

commit 6cb24ba6e7de1c80d1faffe397bab29f6a37f95c
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Mon Apr 4 08:20:23 2011 +0200

    Updated Polish translation

M	po/pl.po

commit c75528f01b869952379862370d8dba8175aa9d54
Author: OKANO Takayoshi <kano@na.rim.or.jp>
Date:   Mon Apr 4 13:20:45 2011 +0900

    Updated Japanese translation

M	po/ja.po

commit 4af87248bebfd016aa74fa6de70c17c80e3e4ebe
Author: Baris Cicek <baris@teamforce.name.tr>
Date:   Mon Apr 4 05:52:23 2011 +0300

    Updated turkish translation

M	po/tr.po

commit b93260ff152c8b22fb61ea3fadad59afbf9d2088
Author: Jordi Serratosa <serratosa@gmail.com>
Date:   Mon Apr 4 00:23:33 2011 +0200

    [l10n]Fixes on Catalan translation

M	po/ca.po

commit a52cd4f913949c442aa68700ddc0c41bbbec94d2
Author: Friedel Wolff <friedel@translate.org.za>
Date:   Sun Apr 3 23:02:24 2011 +0200

    Update translation for Afrikaans (af)

M	po/af.po

commit 3ae9bdf92182a29d2db4ca7c9d70a78cb6f736d8
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Sun Apr 3 16:46:13 2011 +0200

    Updated Norwegian bokmål translation

M	po/nb.po

commit 48b80c575007b2ed7febc85682bf152459bd3f9b
Author: Rodrigo Padula de Oliveira <contato@rodrigopadula.com>
Date:   Sun Apr 3 09:46:34 2011 -0400

    Updated Brazilian Portuguese translation. Reviewed by Antonio Fernandes C. Neto.

M	po/pt_BR.po

commit c18e5eb576dfaae15df569d7d6fa9d5cf43eb9ed
Author: Ask H. Larsen <asklarsen@gmail.com>
Date:   Sat Apr 2 22:43:11 2011 +0200

    Updated Danish translation

M	po/da.po

commit 6105c3007bf51d34e2c2ec0d5503462a9730369a
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:   Sat Apr 2 20:40:34 2011 +0200

    Updated Spanish translation

M	po/es.po

commit 23fd2c50eb3147204be2d993b302b84aff9400ea
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Sat Apr 2 19:42:59 2011 +0200

    Updated Slovenian translation

M	po/sl.po

commit 40ef41d38d18693bac3037278d6c23849422c920
Author: Ask H. Larsen <asklarsen@gmail.com>
Date:   Sat Apr 2 19:36:53 2011 +0200

    Updated Danish translation

M	po/da.po

commit 0086f28c135f900d50737b411583967812732406
Author: Marek Černocký <marek@manet.cz>
Date:   Sat Apr 2 19:22:35 2011 +0200

    Updated Czech translation

M	po/cs.po

commit c22eb47c4889aa525c6a534201afee2b0a47c34d
Author: Marek Černocký <marek@manet.cz>
Date:   Sat Apr 2 17:50:14 2011 +0200

    Updated Czech translation

M	po/cs.po

commit 19d98d1ab2081dcdf4afcb64dbafac59ec515737
Author: Wouter Bolsterlee <wbolster@gnome.org>
Date:   Sat Apr 2 17:43:35 2011 +0200

    Updated Dutch translation by Wouter Bolsterlee

M	po/nl.po

commit c0624e0e8dc9f7fc5ae3a8139f7a316c9a3f09ab
Author: Daniel Korostil <ted.korostiled@gmail.com>
Date:   Sat Apr 2 16:29:55 2011 +0300

    Uploaded Ukranian

M	po/uk.po

commit b924273d16bbbd4701092d5daa4c51dd2d6f4380
Author: Inaki Larranaga Murgoitio <dooteo@zundan.com>
Date:   Sat Apr 2 14:03:50 2011 +0200

    Updated Basque language

M	po/eu.po

commit 5b914f275d18b17f628caa11ccfd82876d7a215c
Author: Changwoo Ryu <cwryu@debian.org>
Date:   Sat Apr 2 19:40:26 2011 +0900

    Updated Korean translation

M	po/ko.po

commit be57af77c6c93a1440faac3b759a91cde5091f33
Author: Yuri Myasoedov <omerta13@yandex.ru>
Date:   Sat Apr 2 11:27:43 2011 +0400

    Updated Russian translation

M	po/ru.po

commit 6203a023675475dca234e8bda761a30acb705873
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:   Sat Apr 2 08:29:45 2011 +0300

    Updated Hebrew translation.

M	po/he.po

commit 1873b40f5a588eb7db8cab4307d2e2d94023c776
Author: Nguyễn Thái Ngọc Duy <pclouds@gmail.com>
Date:   Sat Apr 2 10:29:31 2011 +0700

    Updated Vietnamese translation

M	po/vi.po

commit 0e6603e4a6474bac823a6f5cd64ceec2a4870fe0
Author: Nguyễn Thái Ngọc Duy <pclouds@gmail.com>
Date:   Sat Apr 2 10:11:42 2011 +0700

    po/vi.po: import from Damned Lies

M	po/vi.po

commit a28339095a8c6b1e74fcfe3f94d19127f2f5605c
Author: Duarte Loreto <happyguy_pt@hotmail.com>
Date:   Sat Apr 2 00:02:54 2011 +0100

    Updated Portuguese translation

M	po/pt.po

commit c2acb4b0a481533b05f0ee85857b46d8a34fa006
Author: Duarte Loreto <happyguy_pt@hotmail.com>
Date:   Sat Apr 2 00:01:49 2011 +0100

    Updated Portuguese translation

M	po/pt.po

commit b048d550bfd6639d9774436727344b65b0936beb
Author: Fran Dieguez <frandieguez@gnome.org>
Date:   Sat Apr 2 00:57:38 2011 +0200

    Updated Galician translations

M	po/gl.po

commit 88c83fc4b5422e036bca83adb15bc9049e434dd7
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:   Fri Apr 1 23:00:37 2011 +0200

    Updated Hungarian translation

M	po/hu.po

commit bde962078fb814bdfc1ee4ceeb0900e28be362dc
Author: Gintautas Miliauskas <gintautas@miliauskas.lt>
Date:   Fri Apr 1 22:48:49 2011 +0200

    Updated Lithuanian translation.

M	po/lt.po

commit 65e4c3de989541146f0b5a1f9670f7283512b3e2
Author: Bruno Brouard <annoa.b@gmail.com>
Date:   Fri Apr 1 21:56:48 2011 +0200

    Updated French translation

M	po/fr.po

commit a83996aa46298deddd540d5bacd42c24bb9bb6b7
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Fri Apr 1 21:23:02 2011 +0200

    Updated Polish translation

M	po/pl.po

commit 544f020662351f01ec091c2286758155f4b5567d
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Fri Apr 1 21:21:43 2011 +0200

    Updated Polish translation

M	po/pl.po

commit f0be2f9e34d12dc18b1f22bdfeeeae9ae7583bb4
Author: Aron Xu <aronxu@gnome.org>
Date:   Fri Apr 1 18:25:46 2011 +0000

    Update Simplified Chinese translation.

M	po/zh_CN.po

commit bade81df7adf2646c652b23c114b53ab72fb2dc8
Author: Luca Ferretti <lferrett@gnome.org>
Date:   Fri Apr 1 19:09:46 2011 +0200

    Updated Italian translation

M	po/it.po

commit 15c567349d3d87f65f57cba82c5712f28c25ba71
Author: Luca Ferretti <lferrett@gnome.org>
Date:   Fri Mar 25 22:56:21 2011 +0100

    Updated Italian translation

M	po/it.po

commit 9260b2572db4a635788bfa9b2bb7afcc278d45f4
Author: Gil Forcada <gforcada@gnome.org>
Date:   Fri Apr 1 17:59:58 2011 +0200

    [l10n]Updated Catalan translation

M	po/ca.po

commit 949781522e056804522f5720d5f3482bc15a96f6
Author: Daniel Nylander <po@danielnylander.se>
Date:   Fri Apr 1 17:41:10 2011 +0200

    Updated Swedish translation

M	po/sv.po

commit abe515e8e9758411c0fc1f465f5c0eabad51a2d3
Author: Mario Blättermann <mariobl@gnome.org>
Date:   Fri Apr 1 15:39:24 2011 +0200

    [l10n] Updated German translation

M	po/de.po

commit 140de8172d990cdf41610edcb0aada50a58c364d
Author: Khaled Hosny <khaledhosny@eglug.org>
Date:   Fri Apr 1 14:12:05 2011 +0200

    Updated Arabic translation

M	po/ar.po

commit 81ef2b6c2f0335850b1172128c440303f9e62204
Author: Vincent Untz <vuntz@gnome.org>
Date:   Fri Apr 1 16:34:46 2011 +0530

    release: post-release bump to 3.0.0

M	configure.ac

commit 9b985383d8d851a634f978eba2a011401d923f81
Author: Vincent Untz <vuntz@gnome.org>
Date:   Fri Apr 1 16:33:33 2011 +0530

    release: 2.91.94

M	NEWS
M	configure.ac

commit e60f126b3005bf68585eff3374ec4ad65a2c1c2f
Author: Vincent Untz <vuntz@gnome.org>
Date:   Fri Apr 1 16:11:31 2011 +0530

    l10n: Merge some translations from gnome-shell
    
    This is to minimize the string freeze break, as discussed on gnome-i18n.

M	po/af.po
M	po/ar.po
M	po/bg.po
M	po/bn_IN.po
M	po/ca.po
M	po/cs.po
M	po/da.po
M	po/de.po
M	po/el.po
M	po/en_GB.po
M	po/es.po
M	po/et.po
M	po/eu.po
M	po/fa.po
M	po/fi.po
M	po/fr.po
M	po/ga.po
M	po/gl.po
M	po/gu.po
M	po/he.po
M	po/hi.po
M	po/hu.po
M	po/id.po
M	po/it.po
M	po/ja.po
M	po/kn.po
M	po/ko.po
M	po/lt.po
M	po/lv.po
M	po/mr.po
M	po/nb.po
M	po/nl.po
M	po/nn.po
M	po/pa.po
M	po/pl.po
M	po/pt.po
M	po/pt_BR.po
M	po/ro.po
M	po/ru.po
M	po/sl.po
M	po/sr.po
M	po/sr@latin.po
M	po/sv.po
M	po/ta.po
M	po/th.po
M	po/tr.po
M	po/ug.po
M	po/uk.po
M	po/vi.po
M	po/zh_CN.po
M	po/zh_HK.po
M	po/zh_TW.po

commit 4789a29e26fd16e7472058de681bfb25d57f4ef6
Author: Vincent Untz <vuntz@gnome.org>
Date:   Thu Mar 31 19:35:31 2011 +0530

    panel: Update description of user menu
    
    This is a better one; now we can ask for string freeze break.

M	gnome-panel/panel-addto.c

commit 3dca6c6c847fb3b5b0c436f43c7b71151039347b
Author: Vincent Untz <vuntz@gnome.org>
Date:   Thu Mar 31 18:34:16 2011 +0530

    panel: Add "Switch User" to user menu
    
    Also do not add login to "Logout..." string since the username is
    already visible.

M	gnome-panel/panel-menu-items.c

commit d2b81899ea681715e801a5d6240a04ed28dcaaec
Author: Vincent Untz <vuntz@gnome.org>
Date:   Thu Mar 31 17:49:42 2011 +0530

    panel: Make PanelLockdown track disable-user-switching too

M	gnome-panel/panel-lockdown.c
M	gnome-panel/panel-lockdown.h
M	gnome-panel/panel-schemas.h

commit e5de78ee81d7a047efc5a839e741bbab0bb266fb
Author: Vincent Untz <vuntz@gnome.org>
Date:   Thu Mar 31 17:37:14 2011 +0530

    panel: Add user menu to default layout

M	data/panel-default-layout.layout

commit 2a0311d6ed881fa683761952fd586e899ca42b65
Author: Vincent Untz <vuntz@gnome.org>
Date:   Thu Mar 31 17:32:24 2011 +0530

    panel: Remove user menu from PanelMenuBar
    
    It's not needed anymore now that we have a specific object for that.

M	gnome-panel/panel-menu-bar.c

commit 31ab046e2b8d30bee7fbb14392da1d7b192b18ba
Author: Vincent Untz <vuntz@gnome.org>
Date:   Thu Mar 31 17:30:36 2011 +0530

    panel: Add user status menu
    
    This is a new object, based on PanelMenuBarObject.
    
    This breaks the string freeze, with the name and description of the
    object.

M	gnome-panel/Makefile.am
M	gnome-panel/applet.c
M	gnome-panel/panel-addto.c
M	gnome-panel/panel-enums.h
M	gnome-panel/panel-object-loader.c
A	gnome-panel/panel-user-menu.c
A	gnome-panel/panel-user-menu.h
M	gnome-panel/panel.c

commit 633615a619ddc44cc334fb751e295decc6e1f93d
Author: Vincent Untz <vuntz@gnome.org>
Date:   Thu Mar 31 17:13:36 2011 +0530

    panel: Create a generic PanelMenuBarObject widget
    
    PanelMenuBar is based on it, and we'll be able to easily add
    PanelUserMenu.

M	gnome-panel/Makefile.am
A	gnome-panel/panel-menu-bar-object.c
A	gnome-panel/panel-menu-bar-object.h
M	gnome-panel/panel-menu-bar.c
M	gnome-panel/panel-menu-bar.h
M	gnome-panel/panel.c

commit cd1cfc7a71069245a4d2c2c44a6d77027e584753
Author: Vincent Untz <vuntz@gnome.org>
Date:   Thu Mar 31 16:28:43 2011 +0530

    panel: Move System menu closer to User menu
    
    A couple of changes:
     - use the user name for the label
     - add icon showing the presence
     - change Available/Busy items to GtkCheckMenuItems. We lose the icon
       for now
     - listen for presence changes, and propagate them to the UI

M	gnome-panel/panel-icon-names.h
M	gnome-panel/panel-menu-items.c
M	gnome-panel/panel-util.c
M	gnome-panel/panel-util.h

commit d7f1871f2a4d7fbc927662e3aeab739261132e2f
Author: Vincent Untz <vuntz@gnome.org>
Date:   Thu Mar 31 16:28:07 2011 +0530

    panel: Fix panel_session_manager_get_presence()
    
    D-Bus signature was wrong.

M	gnome-panel/libpanel-util/panel-session-manager.c

commit dd253be98ac60c7784998daf57a2872438707f94
Author: Vincent Untz <vuntz@gnome.org>
Date:   Thu Mar 31 14:22:22 2011 +0530

    panel: Add presence items to System menu
    
    This adds a new (optional) dependency on telepathy-glib.
    
    This breaks the string freeze, but I'll merge translations from
    gnome-shell later on.

M	configure.ac
M	gnome-panel/Makefile.am
M	gnome-panel/panel-icon-names.h
M	gnome-panel/panel-menu-items.c

commit 91e6abe14c952f43903ff8894439a7b901424892
Author: Vincent Untz <vuntz@gnome.org>
Date:   Thu Mar 31 13:45:53 2011 +0530

    panel: Add presence API to PanelSessionManager
    
    We'll be able to easily set (and watch) the presence this way.

M	gnome-panel/libpanel-util/Makefile.am
M	gnome-panel/libpanel-util/panel-session-manager.c
M	gnome-panel/libpanel-util/panel-session-manager.h

commit ba3acabe09b8db4bd952325272122e407bfeb9a7
Author: Vincent Untz <vuntz@gnome.org>
Date:   Thu Mar 31 11:36:47 2011 +0530

    panel: Remove Help from system menu and add My Account instead
    
    This breaks the string freeze, but I'll merge translations from
    gnome-shell later on.

M	gnome-panel/panel-menu-items.c

commit f63d91d16d1f282e987f87d3ec631a06535fb531
Author: Vincent Untz <vuntz@gnome.org>
Date:   Thu Mar 31 11:14:46 2011 +0530

    panel: Update positions of objects after removal of an object
    
    When an object is removed, this obviously changes the layout inside a
    PanelWidget, so we have to update the positions of all objects.

M	gnome-panel/panel-widget.c

commit ad8ceeef5c52770e9c25c977f06279fac77ae747
Author: Vincent Untz <vuntz@gnome.org>
Date:   Thu Mar 31 11:13:18 2011 +0530

    panel: Add comments to explain how the size hints interaction works
    
    We use size hints in PanelToplevel to compute the size of a packed
    panel, and this is then used in size_allocate() of the PanelWidget to
    know how much size to allocate to an object with size hints.

M	gnome-panel/panel-toplevel.c

commit 96bca32bfe01ee3bfb4e66b21d5d5b640ee3628f
Author: Vincent Untz <vuntz@gnome.org>
Date:   Thu Mar 31 11:09:17 2011 +0530

    panel: Update the size hints array used by toplevel at the right times
    
    We were updating this array on size_request() of PanelWidget, erasing
    the old array. However, due to how the size_request() now work, it could
    happen that this were doing this another time, after the size_request()
    of PanelToplevel which was filling the array with the appropriate sizes.
    
    So instead, only update the array when needed (after moving an object,
    or when an object gets its size hints set).

M	gnome-panel/panel-widget.c

commit 7a1bd25759b3f3bfc91e5c8e568dee3528eda10c
Author: Vincent Untz <vuntz@gnome.org>
Date:   Thu Mar 31 10:11:56 2011 +0530

    panel: Fix display corruption in objects after moving them
    
    We have to queue a draw for the object to make sure it will be correctly
    displayed.

M	gnome-panel/panel-widget.c

commit c6bdfc7a660a4a5b969e4a31683f849cd43d7019
Author: Vincent Untz <vuntz@gnome.org>
Date:   Thu Mar 31 05:50:49 2011 +0530

    panel: Fix size of applets using size hints if they are not packed alone
    
    This is for the expanded mode. For some reason I ignore, we were
    starting by giving the minimum size to such applets, while we do have
    many passes that allow us to move from the maximum size to a smaller
    size -- we were instead going from the minimum size to a bigger size.
    
    This change makes sure we really give as much as possible to such
    applets. This is needed with the new packing model where the packing
    actually just gave the minimal size to size hints applets because they
    weren't requesting more.

M	gnome-panel/panel-widget.c

commit 533581210e13713855a49bfd8f4012e97a7f9885
Author: Vincent Untz <vuntz@gnome.org>
Date:   Thu Mar 31 05:09:34 2011 +0530

    panel: Implement push move for panel objects
    
    We simply move all objects before/after us in our pack to the next pack.

M	gnome-panel/panel-widget.c

commit 2256381b631d65025c5982ff34f9fbd75c5aa76b
Author: Vincent Untz <vuntz@gnome.org>
Date:   Thu Mar 31 04:08:56 2011 +0530

    panel: "Compress" indexes on end of drag
    
    To make sure the pack indexes never grow forever, recompute them on the
    end of a drag, starting from 0. This way, we always keep a 0:n range of
    indexes, instead of x:x+n with a moving x.
    
    While it could be argued it should not be needed, it's much simpler than
    specifically handling some cases where we have to explicitly decrease
    all indexes, like when moving an object which is moved to another panel,
    or removing an object from the panel.
    
    This is not an action that is urgent to do (since "uncompressed"
    indexes don't harm in any way), so the end of a drag is a good enough
    place to call that.

M	gnome-panel/panel-widget.c

commit ed1054799496e48ea8c11024f3ca79cb297f22dd
Author: Vincent Untz <vuntz@gnome.org>
Date:   Thu Mar 31 04:04:05 2011 +0530

    panel: Implement switch move for panel objects
    
    A few points that are worth noticing:
    
     - now, when we start a drag, we always consider the drag to be started
       from the center of the object. This makes it easier to know whether
       the drag offset means we should move or not.
    
     - after we move an object, we have to recompute the positions of the
       objects on the panel, in pixel size. Else, we won't know how much
       space there is between two packs, which breaks moving between packs.
       This uses code that was previously in size_allocate()
    
     - most of the decision on whether a switch move is needed is rather
       simple to understand; it's just a matter of getting the
       additions/substractions right :-)
    
    Note: the code for push move is disabled right now.

M	gnome-panel/applet.c
M	gnome-panel/panel-applet-frame.c
M	gnome-panel/panel-widget.c
M	gnome-panel/panel-widget.h
M	gnome-panel/panel.c

commit 1652218bb53b6a476eb384f745bd16b8f74e3637
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Mar 30 23:47:42 2011 +0530

    panel: Remove free-move mode for moving objects
    
    With the new packed model, free-move does not make any sense: we don't
    want to move an object to an arbitrary spot; we're only interested in
    switching/pushing to move an object from one pack to another pack
    (switching if it's the first/last one, pushing which also push other
    objects=, or inside a specific pack (switching).

M	gnome-panel/panel-widget.c
M	gnome-panel/panel-widget.h

commit cb29d47f51cfb2f0eea861652f431e707a9b5f1f
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Mar 30 23:42:50 2011 +0530

    panel: Fix addition of objects with the new packed model

M	gnome-panel/launcher.c
M	gnome-panel/launcher.h
M	gnome-panel/panel-action-button.c
M	gnome-panel/panel-action-button.h
M	gnome-panel/panel-addto.c
M	gnome-panel/panel-applet-frame.c
M	gnome-panel/panel-applet-frame.h
M	gnome-panel/panel-menu-bar.c
M	gnome-panel/panel-menu-bar.h
M	gnome-panel/panel-menu-button.c
M	gnome-panel/panel-menu-button.h
M	gnome-panel/panel-separator.c
M	gnome-panel/panel-separator.h
M	gnome-panel/panel-widget.c
M	gnome-panel/panel-widget.h
M	gnome-panel/panel.c
M	gnome-panel/panel.h

commit 51757603d6d99148e8b2073343ffe57f448563d3
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Mar 30 21:48:28 2011 +0530

    panel: Add a center pack type for objects and make clock centered
    
    Woo. Of course, moving/adding objects is still a bad idea.

M	data/panel-default-layout.layout
M	gnome-panel/panel-enums-gsettings.h
M	gnome-panel/panel-widget.c

commit 6db6be277ce4fdd3d8f2a1d1c50a6bf06e25d10e
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Mar 30 21:43:52 2011 +0530

    panel: Move to a model where panel objects are all packed
    
    Instead of positioning objects on specific positions on panels, we pack
    them all either at the start or the end. This simplify things a lot, and
    help keep clean panels.
    
    Note that adding/moving objects is broken right now.

M	data/org.gnome.gnome-panel.object.gschema.xml.in.in
M	data/panel-default-layout.layout
M	gnome-panel/applet.c
M	gnome-panel/applet.h
M	gnome-panel/panel-layout.c
M	gnome-panel/panel-layout.h
M	gnome-panel/panel-object-loader.c
M	gnome-panel/panel-schemas.h
M	gnome-panel/panel-widget.c
M	gnome-panel/panel-widget.h
M	gnome-panel/panel.c
M	gnome-panel/panel.h

commit f42b54636a29bcb7fe6eb020c31990c1f3412ff8
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Mar 30 20:11:27 2011 +0530

    schemas, panel: Rename pack key to pack-type
    
    We'll have a pack-index key soon.

M	data/org.gnome.gnome-panel.object.gschema.xml.in.in
M	data/panel-default-layout.layout
M	gnome-panel/applet.c
M	gnome-panel/panel-enums-gsettings.h
M	gnome-panel/panel-layout.c
M	gnome-panel/panel-layout.h
M	gnome-panel/panel-object-loader.c
M	gnome-panel/panel-schemas.h
M	gnome-panel/panel-widget.c
M	gnome-panel/panel-widget.h

commit e73566ed609f8fa7c423b73edeaaab59df242e2c
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Mar 30 19:31:42 2011 +0530

    schemas: Add some ranges where it makes sense

M	data/org.gnome.gnome-panel.applet.workspace-switcher.gschema.xml.in.in
M	data/org.gnome.gnome-panel.toplevel.gschema.xml.in.in

commit e46fa147b1f19a1c255b475369b48b9d580ce0b8
Author: Vincent Untz <vuntz@gnome.org>
Date:   Tue Mar 29 01:16:49 2011 +0530

    panel: Apply delayed GSettings when destroying toplevel
    
    We don't want to lose a very last-second position change.

M	gnome-panel/panel-toplevel.c

commit 9480f4458615f6f39f9d228235fb0c60f7754840
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Mar 28 18:02:59 2011 +0530

    panel: Pass the pack style of objects when adding applet to PanelWidget
    
    PanelWidget will soon learn how to use this.

M	gnome-panel/applet.c
M	gnome-panel/panel-object-loader.c
M	gnome-panel/panel-widget.c
M	gnome-panel/panel-widget.h

commit 8804c8b37278c752640c3051d1dfc1464c26636f
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Mar 28 17:11:48 2011 +0530

    panel: When creating an object, explicitly specify how it's packed
    
    Instead of saying whether it's packed to the end, we pass the real pack
    method. This will enable us to add centered objects.

M	gnome-panel/launcher.c
M	gnome-panel/panel-action-button.c
M	gnome-panel/panel-applet-frame.c
M	gnome-panel/panel-layout.c
M	gnome-panel/panel-layout.h
M	gnome-panel/panel-menu-bar.c
M	gnome-panel/panel-menu-button.c
M	gnome-panel/panel-separator.c

commit 4a4b52816d58195945d210cff1bb4e4199559eee
Author: Claude Paroz <claude@2xlibre.net>
Date:   Fri Apr 1 10:10:23 2011 +0200

    Updated French translation
    
    Contributed by Bruno Brouard and Claude Paroz

M	po/fr.po

commit 663d83866a2ee022cb371216310f2ad49826d981
Author: Dr.T.Vasudevan <agnihot3@gmail.com>
Date:   Fri Apr 1 13:19:10 2011 +0530

    Updated Tamil translation

M	po/ta.po

commit 13077343ee84e3afc7ee630529ebc2b666801a41
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Fri Apr 1 09:42:49 2011 +0200

    Updated Norwegian bokmål translation

M	po/nb.po

commit ff9a48bb1c275748a77bc50700844ef66aa50dbb
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:   Thu Mar 31 22:14:15 2011 +0200

    Updated Hebrew translation.

M	po/he.po

commit 5e4540b9e09cf0b920f0c3c74cf0fdfaf0faaba5
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Thu Mar 31 18:36:22 2011 +0530

    actually, don't leak the proxy.

M	applets/clock/clock-location.c

commit 4248c71656c6d1848deb4caf159ed7e68aac4943
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Tue Mar 29 15:27:51 2011 +0530

    clock applet: minor tweak
    
    D-Bus integer sign mismatch

M	applets/clock/set-timezone.c

commit 101591439111c149998c14ff0c2c34c4fa6143b5
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Tue Mar 29 12:02:48 2011 +0530

    clock applet: port to GDBus
    
    no more dbus-glib in gnome-panel

M	applets/clock/clock-location.c
M	applets/clock/set-timezone.c
M	applets/clock/set-timezone.h
M	configure.ac

commit b8449144b26ae30633b235d7e7c99c3cd457417a
Author: Милош Поповић <gpopac@gmail.com>
Date:   Thu Mar 31 11:09:10 2011 +0200

    Updated Serbian translation

M	po/sr.po
M	po/sr@latin.po

commit 8636cba4bb4056fd5cb037b1d28164278f109eb6
Author: Alexander Shopov <ash@kambanaria.org>
Date:   Thu Mar 31 06:59:59 2011 +0300

    Updated Bulgarian translation

M	po/bg.po

commit c55fd68bee2a2f0ec129cf003013d1c0f018a0cc
Author: Inaki Larranaga Murgoitio <dooteo@zundan.com>
Date:   Wed Mar 30 23:35:02 2011 +0200

    Updated Basque language

M	po/eu.po

commit 153f038fbec99455b09147369dc7b5d97fc17ee5
Author: Joan Duran <jodufi@gmail.com>
Date:   Wed Mar 30 21:42:32 2011 +0200

    [l10n]Updated Catalan translation

M	po/ca.po

commit b3d969bbc305d50a1c9b8bb3895f718ff405e73c
Author: Bruce Cowan <bruce@bcowan.me.uk>
Date:   Wed Mar 30 15:06:47 2011 +0100

    Updated British English translation

M	po/en_GB.po

commit 5be84eecf6842407c650008c090f204754e50a59
Author: Duarte Loreto <happyguy_pt@hotmail.com>
Date:   Wed Mar 30 00:28:12 2011 +0100

    Updated Portuguese translation

M	po/pt.po

commit 209ff2e28f0a9c1228ea18af2497cafc681a08b9
Author: Wouter Bolsterlee <wbolster@gnome.org>
Date:   Tue Mar 29 23:54:45 2011 +0200

    Fix typo in translatable schema string
    
    Also updated the affected translations.

M	data/org.gnome.gnome-panel.menu-button.gschema.xml.in.in
M	po/ar.po
M	po/cs.po
M	po/de.po
M	po/gl.po
M	po/nl.po
M	po/pa.po
M	po/pl.po
M	po/sv.po
M	po/uk.po
M	po/zh_HK.po
M	po/zh_TW.po

commit 27eaecd65f74dcf8ffe2e9511a57564f422cdd9c
Author: Wouter Bolsterlee <wbolster@gnome.org>
Date:   Tue Mar 29 23:45:05 2011 +0200

    Updated Dutch translation by Wouter Bolsterlee

M	po/nl.po

commit 711c1198c2542df739c93b45f31d8cd9e5113fce
Author: Christian Kirbach <Christian.Kirbach@googlemail.com>
Date:   Tue Mar 29 22:48:03 2011 +0200

    [l10n] Updated German translation by Mario Blättermann

M	po/de.po

commit 06033bd75e83051fa92bf6fed601c0f6e7c8eb29
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Tue Mar 29 23:41:17 2011 +0530

    notification applet: support fixed-sized icons
    
    Add a new _NET_SYSTEM_TRAY_ICON_SIZE property that is set to the value
    of the "icon-size" style property.  The result is that all icons in the
    tray will be hinted to draw themselves with exactly this pixel size
    (16x16, for example).
    
    Bug #645232

M	applets/notification_area/main.c
M	applets/notification_area/na-tray-manager.c
M	applets/notification_area/na-tray-manager.h
M	applets/notification_area/na-tray.c
M	applets/notification_area/na-tray.h

commit 7dd7532573267152f1d7c94f86f73f85cd83c46a
Author: Daniel Korostil <ted.korostiled@gmail.com>
Date:   Tue Mar 29 17:23:49 2011 +0300

    Uploaded Ukranian

M	po/uk.po

commit ef72042340df912384e03dc1dc39fb667c13be55
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:   Tue Mar 29 21:22:26 2011 +0800

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

M	po/zh_HK.po
M	po/zh_TW.po

commit e2b6065563e686add9d72c7c9ae93b2fb7760017
Author: Vincent Untz <vuntz@gnome.org>
Date:   Tue Mar 29 12:02:58 2011 +0530

    panel: Fix moving of panel objects to use switch mode again by default
    
    We were looking at the modifier on the panel, and this was set to Alt,
    since this is required to open the context menu. So we always used the
    free move mode by default, and this could easily break in weird ways
    later on. And we really want the switch mode.
    
    So instead, take the modifier from the event triggering the move.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=646041

M	gnome-panel/panel-widget.c
M	gnome-panel/panel-widget.h

commit 2a08a24f259bc43e854439be27435084de0201d8
Author: Marek Černocký <marek@manet.cz>
Date:   Tue Mar 29 08:05:14 2011 +0200

    Updated Czech translation

M	po/cs.po

commit 83be5e398e9783b1bb3fa65daad8e498186d2e3d
Author: Vincent Untz <vuntz@gnome.org>
Date:   Tue Mar 29 10:15:11 2011 +0530

    release: post-release bump to 3.0.0

M	configure.ac

commit afff0e826bb5510f0adb4dc113e263660fd6c29d
Author: Vincent Untz <vuntz@gnome.org>
Date:   Tue Mar 29 10:05:36 2011 +0530

    release: 2.91.93

M	NEWS
M	configure.ac

commit 52d18bdd765f5a2b8b745b3fdcb012c394a41a27
Author: Khaled Hosny <khaledhosny@eglug.org>
Date:   Tue Mar 29 06:15:01 2011 +0200

    Updated Arabic translation

M	po/ar.po

commit 0541c036eaca871afda8af1093a7d16dc12bd87b
Author: Daniel Nylander <po@danielnylander.se>
Date:   Tue Mar 29 06:08:18 2011 +0200

    Updated Swedish translation

M	po/sv.po

commit eb352173eb6899cb484a417c00dfa972a893b5bb
Author: Daniel Nylander <po@danielnylander.se>
Date:   Tue Mar 29 06:07:56 2011 +0200

    Updated Swedish translation

M	po/sv.po

commit 5e36fb0c76d1f76bf9b9cc67baa15acd0ac8efe5
Author: Daniel Nylander <po@danielnylander.se>
Date:   Tue Mar 29 06:07:30 2011 +0200

    Updated Swedish translation

M	po/sv.po

commit 9c7f174eb78483377837d0f57a1403938841c39b
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Tue Mar 29 09:30:51 2011 +0530

    Remove unused inline gconf utility function
    
    ...and #include

M	gnome-panel/menu.c

commit c2c013e7c4339418c68e5b628860d643ea389e29
Author: A S Alam <aalam@users.sf.net>
Date:   Tue Mar 29 07:58:43 2011 +0530

    update tranlation for Punjabi by A S Alam

M	po/pa.po

commit b5922f217df60367235c48df339aae79dbf6fcdc
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:   Tue Mar 29 00:11:49 2011 +0200

    Updated Galician translations

M	po/gl.po

commit 30d415ecc557630ec1acf8c81e925abb88a00ac1
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Mon Mar 28 23:29:04 2011 +0200

    Updated Polish translation

M	po/pl.po

commit 4d179612593570ddf20d1e6875d051c110032869
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Mar 28 15:49:16 2011 +0530

    schemas: Make GSettings schemas translatable

M	data/Makefile.am
D	data/org.gnome.gnome-panel.applet.clock.gschema.xml
A	data/org.gnome.gnome-panel.applet.clock.gschema.xml.in.in
D	data/org.gnome.gnome-panel.applet.fish.gschema.xml
A	data/org.gnome.gnome-panel.applet.fish.gschema.xml.in.in
D	data/org.gnome.gnome-panel.applet.window-list.gschema.xml
A	data/org.gnome.gnome-panel.applet.window-list.gschema.xml.in.in
D	data/org.gnome.gnome-panel.applet.workspace-switcher.gschema.xml
A	data/org.gnome.gnome-panel.applet.workspace-switcher.gschema.xml.in.in
D	data/org.gnome.gnome-panel.gschema.xml
A	data/org.gnome.gnome-panel.gschema.xml.in.in
D	data/org.gnome.gnome-panel.launcher.gschema.xml
A	data/org.gnome.gnome-panel.launcher.gschema.xml.in.in
D	data/org.gnome.gnome-panel.menu-button.gschema.xml
A	data/org.gnome.gnome-panel.menu-button.gschema.xml.in.in
D	data/org.gnome.gnome-panel.object.gschema.xml
A	data/org.gnome.gnome-panel.object.gschema.xml.in.in
D	data/org.gnome.gnome-panel.toplevel.gschema.xml
A	data/org.gnome.gnome-panel.toplevel.gschema.xml.in.in
M	po/POTFILES.in
M	po/POTFILES.skip

commit 1c325749ab686470d8d2e1791115a93b1a00f5d0
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Mar 28 14:59:00 2011 +0530

    schemas: Do not ship the clock GSettings schema for now
    
    I won't port the clock applet, it needs to much work, really.

M	data/Makefile.am

commit e00ad6d31ec0d5b5e71ae2af9b7f7cd2a9445071
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Mar 28 14:01:55 2011 +0530

    panel: Also remove per-instance gconf path of applets on removal
    
    We were never removing gconf per-applet configuration of applets on
    removal, which means we'd keep stale data forever; this also means a new
    applet could inherit keys from a previous removed applet.

M	gnome-panel/panel-applet-frame.c
M	gnome-panel/panel-gconf.c
M	gnome-panel/panel-gconf.h
M	gnome-panel/panel-layout.c
M	gnome-panel/panel-layout.h

commit 3faa80cd686026a28e7ea514af4388d8da7c81c6
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Mon Mar 28 13:55:25 2011 +0530

    workspace switcher: GSettings port

M	applets/wncklet/Makefile.am
M	applets/wncklet/workspace-switcher.c
D	applets/wncklet/workspace-switcher.schemas.in
M	data/org.gnome.gnome-panel.applet.workspace-switcher.gschema.xml

commit 1da2291670fa485d4d748926babf155d4831fe77
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Mar 28 13:38:07 2011 +0530

    panel: Fix generation of enums GSettings schemas
    
    Orientation is not a flag, really. Thanks Ryan for the tip on the fix!

M	gnome-panel/panel-enums-gsettings.h

commit 24ae51447b878e6ec7e73ec3ab5f7a37d4d078d7
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Mar 28 13:20:53 2011 +0530

    wncklet: Drop window list GConf schema

M	applets/wncklet/Makefile.am
D	applets/wncklet/window-list.schemas.in

commit 4916b40afe7e5f932b07947a39c7a2a9b128dbd3
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Mar 28 13:11:40 2011 +0530

    fish: Port to GSettings
    
    Note that the image that is being used is now defined in .fish files.
    There's no UI to choose this right now; will be for 3.2.

M	applets/fish/Makefile.am
M	applets/fish/fish.c
D	applets/fish/fish.schemas.in
M	applets/fish/fish.ui
A	applets/fish/fishanim.fish
A	applets/fish/footguy.fish
A	applets/fish/monkey.fish
A	applets/fish/oldwanda.fish
A	applets/fish/wanda.fish
M	data/org.gnome.gnome-panel.applet.fish.gschema.xml

commit 00f91d71ae51db5014a1884b7fde618c3a417033
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Mon Mar 28 12:40:16 2011 +0530

    window list applet: port to GSettings
    
    A fairly direct port, without use of g_settings_bind or anything fancy.

M	applets/wncklet/window-list.c
M	data/org.gnome.gnome-panel.applet.window-list.gschema.xml

commit dea38d7234cf078090aad61f8650466d259e1d6d
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Mar 28 11:04:25 2011 +0530

    applets: Add GSettings schemas for applets

M	data/Makefile.am
A	data/org.gnome.gnome-panel.applet.clock.gschema.xml
A	data/org.gnome.gnome-panel.applet.fish.gschema.xml
A	data/org.gnome.gnome-panel.applet.window-list.gschema.xml
A	data/org.gnome.gnome-panel.applet.workspace-switcher.gschema.xml

commit 07341274fe3427227584d7552414de30186cf052
Author: Vincent Untz <vuntz@gnome.org>
Date:   Sun Mar 27 12:26:05 2011 +0530

    libpanel-applet: Mark all GConf-related API as deprecated
    
    Applet developers are encouraged to use GSettings :-)

M	libpanel-applet/panel-applet-gconf.c
M	libpanel-applet/panel-applet.c

commit 5e3685ca12aeed6c8c7b7d9c6afd8514fed72dba
Author: Vincent Untz <vuntz@gnome.org>
Date:   Sun Mar 27 12:25:37 2011 +0530

    doc: Add panel_applet_settings_new() to API doc

M	doc/reference/panel-applet/panel-applet-sections.txt
M	doc/reference/panel-applet/tmpl/applet.sgml

commit 9d89bbc8a3cb37ded868dd642043535b68de9dd1
Author: Vincent Untz <vuntz@gnome.org>
Date:   Sat Mar 26 07:11:14 2011 +0100

    libpanel-applet: Add panel_applet_settings_new() API
    
    This makes it convenient for applets to use per-instance configuration
    in GSettings.
    
    Note that  for compatibility reasons, we keep all the gconf API too.

M	libpanel-applet/panel-applet.c
M	libpanel-applet/panel-applet.h

commit 9ba82bcd808b9707553f88b5149b981e2f2a2df3
Author: Vincent Untz <vuntz@gnome.org>
Date:   Sat Mar 26 07:10:03 2011 +0100

    panel, libpanel-applet: Send per-instance GSettings path to the applets
    
    We add a new "settings-path" property.
    
    This will enable applets to use GSettings for per-instance
    configuration.

M	gnome-panel/libpanel-applet-private/panel-applet-container.c
M	gnome-panel/libpanel-applet-private/panel-applet-frame-dbus.c
M	gnome-panel/panel-applet-frame.c
M	gnome-panel/panel-applet-frame.h
M	libpanel-applet/panel-applet.c

commit 987d9c132be42eb4a0c49fdee3db520189c55dfb
Author: Vincent Untz <vuntz@gnome.org>
Date:   Fri Mar 25 23:28:00 2011 +0100

    panel: Rename panel_toplevel_get_toplevel_id to panel_toplevel_get_id

M	gnome-panel/applet.c
M	gnome-panel/launcher.c
M	gnome-panel/panel-action-button.c
M	gnome-panel/panel-applet-frame.c
M	gnome-panel/panel-layout.c
M	gnome-panel/panel-menu-bar.c
M	gnome-panel/panel-menu-button.c
M	gnome-panel/panel-separator.c
M	gnome-panel/panel-toplevel.c
M	gnome-panel/panel-toplevel.h
M	gnome-panel/panel.c

commit 446ff991d2f9a221dbb6fd98d35731937ef827b4
Author: Vincent Untz <vuntz@gnome.org>
Date:   Fri Mar 25 23:24:39 2011 +0100

    panel: Change pack-end (boolean) key to pack (enum) in object schema
    
    This will make it easier to add a way to center objects later on.

M	data/org.gnome.gnome-panel.object.gschema.xml
M	data/panel-default-layout.layout
M	gnome-panel/applet.c
M	gnome-panel/panel-enums-gsettings.h
M	gnome-panel/panel-layout.c
M	gnome-panel/panel-object-loader.c
M	gnome-panel/panel-schemas.h

commit 456ecda3c9c43afc0065327b2db5ef76582eb431
Author: Vincent Untz <vuntz@gnome.org>
Date:   Fri Mar 25 23:10:23 2011 +0100

    panel: Remove some gconf-related includes where not needed

M	gnome-panel/applet.h
M	gnome-panel/menu.c
M	gnome-panel/panel-applet-frame.c
M	gnome-panel/panel-menu-items.c
M	gnome-panel/panel.c

commit a596db4e829fb1f8922e20a2dfcb2439104a4aa8
Author: Vincent Untz <vuntz@gnome.org>
Date:   Fri Mar 25 23:10:06 2011 +0100

    panel: Drop GConf schemas
    
    Woohoo!

M	gnome-panel/Makefile.am
D	gnome-panel/panel-compatibility.schemas
D	gnome-panel/panel-default-setup.entries
D	gnome-panel/panel-general.schemas.in
D	gnome-panel/panel-global.schemas.in
D	gnome-panel/panel-object.schemas.in
D	gnome-panel/panel-toplevel.schemas.in

commit 5da6a2695edaf25cfb6645d54e5c2e4bc6cf9ec4
Author: Vincent Untz <vuntz@gnome.org>
Date:   Fri Mar 25 23:04:02 2011 +0100

    panel: Drop panel-profile.[ch] and remove dead code in panel-gconf.[ch]

M	gnome-panel/Makefile.am
M	gnome-panel/applet.c
M	gnome-panel/main.c
M	gnome-panel/menu.c
M	gnome-panel/panel-addto.c
M	gnome-panel/panel-applet-frame.c
M	gnome-panel/panel-bindings.c
M	gnome-panel/panel-compatibility.c
M	gnome-panel/panel-compatibility.h
M	gnome-panel/panel-context-menu.c
M	gnome-panel/panel-enums.h
M	gnome-panel/panel-gconf.c
M	gnome-panel/panel-gconf.h
M	gnome-panel/panel-layout.h
D	gnome-panel/panel-profile.c
D	gnome-panel/panel-profile.h
M	gnome-panel/panel-shell.c
M	gnome-panel/panel-toplevel.c
M	gnome-panel/panel-widget.c
M	gnome-panel/panel.c

commit f7ef5d80eb174f5cd4ba39f539dba0aceeaf376f
Author: Vincent Untz <vuntz@gnome.org>
Date:   Fri Mar 25 22:57:14 2011 +0100

    panel: Port creation of PanelActionButton to GSettings

M	gnome-panel/panel-action-button.c

commit 48fab1f7f0f689af8db0d3ecbed7ab22455f4ba2
Author: Vincent Untz <vuntz@gnome.org>
Date:   Fri Mar 25 22:52:25 2011 +0100

    panel: Port PanelMenuButton to GSettings

M	gnome-panel/panel-menu-button.c
M	gnome-panel/panel-schemas.h

commit 81c039aeb6493e79371500c558d0d863d06e3a84
Author: Vincent Untz <vuntz@gnome.org>
Date:   Fri Mar 25 22:28:38 2011 +0100

